/*
	disppvs.h

	% Functions for allocating and searching for pixel values.

	2/14/90  by Ted.

	OWL 1.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
*/
/* -------------------------------------------------------------------------- */

/* DISPAPV.C */
extern boolean	disp_AllocPixval(opixval *pixvalp);
extern int		disp_FindPixval(orgb_struct *rgb, opixval *pixvalp, int maxcdist);
extern void		disp_MakePixvalRO(opixval pixval);
extern void		disp_FreePixval(opixval pixval);
extern int		disp_GetPixval(orgb_struct *rgb, opixval *pixvalp, int maxcdist);

/* -------------------------------------------------------------------------- */

