/*
	fsymdecl.h

	% function symbol header

	C-scape 3.2
	Copyright (c) 1986-1990, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 4/21/89 jdc	rewrote for non-global fsymlists
	 4/23/89 jdc	added ox and user functions
	 4/24/89 jdc	added handle pass back in fsym_FindName
	 4/30/89 jmd	renamed AX stuff
	 5/28/89 jdc	added var type stuff
	 7/15/89 ted	Soved VOID_FPTR to oakland.h.
	 7/15/89 ted	Split the fptr in fsyminit_struct into fptr and dptr.
	 7/22/89 jdc	added fsym_FindNameFunc, fsym_FindNamePtr
	 8/13/89 jdc	split into winfsym.h

	 3/28/90 jmd	ansi-fied
	 5/10/90 jdc	added win_GoFunc
	 8/08/90 jdc	moved aux function down to window level
	 8/13/90 jdc	moved FSYM_US, FSYM_CS from fsymdecl.h to winfsym.h
	 9/21/90 pmcm	changed extern to OEXTERN for def_fsyminit_list
	 9/24/90 jdc	removed gofunc code
*/

OEXTERN fsyminit_struct def_fsyminit_list[];

/* FSYMINIT.C */
extern boolean  fsym_Init(fsyminit_struct *fsyminit_list, oslist_type *oslist_array);

#define	FSYM_DATASIZE			sizeof(VOID_FPTR)
#define	FSYM_LIST_START_SIZE	4
#define FSYM_CHAR				'$'

#define FSYM_LISTEND			NULL, FNULL, NULL
#define FSYM_FIELDFUNCS			"$0", FNULL, NULL
#define FSYM_MOVEMETHOD			"$1", FNULL, NULL
#define FSYM_SPECIAL			"$2", FNULL, NULL
#define FSYM_TYPENFFUNCS		"$3", FNULL, NULL	/* variable type and fieldfuncs */

#define FSYM_EXPLODE			"$4", FNULL, NULL
#define FSYM_BORDER				"$5", FNULL, NULL
#define FSYM_MOUSE				"$6", FNULL, NULL
#define FSYM_FONT				"$7", FNULL, NULL
#define FSYM_AUX				"$8", FNULL, NULL

#define FSYM_USER				"$9", FNULL, NULL
#define FSYM_CLASS				"$10", FNULL, NULL

/*
 	WIN_FSYM_COUNT, SED_FSYM_COUNT, TOT_FSYM_COUNT	"winfsym.h"
	FSYM_EX, FSYM_BD, FSYM_MS, FSYM_FT, FSYM_AX, FSYM_US, FSYM_CS
*/

#define FSYM_FF					0
#define FSYM_MM					1
#define FSYM_SP					2
#define FSYM_TY					3
