/*
	sfilpriv.h

	% sfile header (private stuff)

	C-scape 3.2
	Copyright (c) 1986-1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	---------------------
	 7/22/89 jdc	cleaned and preened
	 8/07/89 jmd	hand expanded macros for wimpy compilers
	 1/21/90 jdc	preened
	 3/28/90 jmd	ansi-fied
	 8/08/90 jdc	moved aux function down to window level
	 9/07/90 jmd	renamed oslist funcs
*/

#include "winspriv.h"

#define	menu_GetFuncHandle(m, n)		ia_Get((m)->funcnamea, n)
#define menu_GetFuncName(m, sf, n)		\
		oslist_GetSym((sf)->oslist_array[n], ia_Get((m)->funcnamea, n))
#define sed_GetFuncName(s, sf, n)		menu_GetFuncName(sed_GetMenu(s), sf, n)

/* FIELD funcs -------------------------------------------------------------*/

#define sfile_FindFieldFuncName(sf, f)		sfile_FindPtrName(sf, f, FSYM_FF)
#define sfile_FindFieldFunc(sf, nm, h)		(field_funcs_ptr)sfile_FindPtr(sf, nm, h, FSYM_FF)

#define menu_GetFieldFuncName(m, sf, fn)		\
	oslist_GetSym((sf)->oslist_array[FSYM_FF], ia_Get((m)->funcnamea, SED_FSYM_COUNT + fn))

#define sed_GetFieldFuncName(s, sf, fn)		menu_GetFieldFuncName(sed_GetMenu(sed), sf, fn)

#define menu_SetFieldFuncHandle(m, fn, h)		\
	ia_Put((m)->funcnamea, SED_FSYM_COUNT + fn, h)

/* MOVE methods ------------------------------------------------------------*/

#define	sfile_PutMoveMethodFunc(sf, nm, f)	sfile_PutFunc(sf, nm, f, FSYM_MM)

#define sfile_FindMoveMethodName(sf, f)	 	sfile_FindFuncName(sf, f, FSYM_MM)
#define sfile_FindMoveMethodFunc(sf, nm, h)	(move_method)sfile_FindFunc(sf, nm, h, FSYM_MM)

#define menu_GetMoveMethodName(m, sf)		\
	oslist_GetSym((sf)->oslist_array[FSYM_MM], ia_Get((m)->funcnamea, FSYM_MM))

#define sed_GetMoveMethodName(s, sf)		menu_GetMoveMethodName(sed_GetMenu(s), sf)
												
#define menu_SetMoveMethodHandle(m, h)		ia_Put((m)->funcnamea, FSYM_MM, h)

/* SPECIAL functions -------------------------------------------------------*/

#define	sfile_PutSpecialFunc(sf, nm, f)		sfile_PutFunc(sf, nm, f, FSYM_SP)

#define sfile_FindSpecialName(sf, f)	 	sfile_FindFuncName(sf, f, FSYM_SP)
#define sfile_FindSpecialFunc(sf, nm, h)	(spc_fptr)sfile_FindFunc(sf, nm, h, FSYM_SP)

#define menu_GetSpecialName(m, sf)		\
	oslist_GetSym((sf)->oslist_array[FSYM_SP], ia_Get((m)->funcnamea, FSYM_SP))

#define sed_GetSpecialName(s, sf)		menu_GetSpecialName(sed_GetMenu(s), sf)

#define menu_SetSpecialHandle(m, h)		ia_Put((m)->funcnamea, FSYM_SP, h)
