/*
	winfsym.h

	% Window function symbol definitions

	OWL 1.2
	Copyright (c) 1988-1990 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 5/10/90 jdc	added win_GoFunc
	 8/08/90 jdc	moved aux function down to window level
	 8/13/90 jdc	moved FSYM_US, FSYM_CS from fsymdecl.h to winfsym.h
	 9/24/90 jdc	removed gofunc code
*/

#define WIN_FSYM_COUNT			5
#define SED_FSYM_COUNT			4
#define TOT_FSYM_COUNT			SED_FSYM_COUNT + WIN_FSYM_COUNT + 2

#define FSYM_EX					SED_FSYM_COUNT
#define FSYM_BD	  				SED_FSYM_COUNT + 1
#define FSYM_MS					SED_FSYM_COUNT + 2
#define FSYM_FT					SED_FSYM_COUNT + 3
#define FSYM_AX					SED_FSYM_COUNT + 4

#define FSYM_US					SED_FSYM_COUNT + WIN_FSYM_COUNT
#define FSYM_CS					SED_FSYM_COUNT + WIN_FSYM_COUNT + 1

/* structure for holding function symbol list initialization data */
typedef struct _fsyminit {

	char 	   *name;
	VOID_FPTR	fptr;
	VOID	   *dptr;
        
} fsyminit_struct;


