@echo off
echo This batch file will produce the C-scape libraries
echo  ..\lib\J1mCSCAP.lib and ..\lib\J1mOWL.lib for
echo  the JPI TopSpeed C 1.06 compiler.
rem  Compiler = J1, model = m, type = Regular, nearsegs = TRUE
rem  Delete old object files if they exist to prepare for new ones.
echo del obj\*.obj
del obj\*.obj
rem 
rem  Create object files directory if it's not already there.
echo md obj
md obj
rem 

echo Compiling CS files

tsc auxtop.c /mm /I..\include /wall /y 
 copy auxtop.obj obj 
 del auxtop.obj
tsc field.c /mm /I..\include /wall /y 
 copy field.obj obj 
 del field.obj
tsc fldcls.c /mm /I..\include /wall /y 
 copy fldcls.obj obj 
 del fldcls.obj
tsc fldgetb.c /mm /I..\include /wall /y 
 copy fldgetb.obj obj 
 del fldgetb.obj
tsc fldpulll.c /mm /I..\include /wall /y 
 copy fldpulll.obj obj 
 del fldpulll.obj
tsc fldpullr.c /mm /I..\include /wall /y 
 copy fldpullr.obj obj 
 del fldpullr.obj
tsc fldpushl.c /mm /I..\include /wall /y 
 copy fldpushl.obj obj 
 del fldpushl.obj
tsc fldpushr.c /mm /I..\include /wall /y 
 copy fldpushr.obj obj 
 del fldpushr.obj
tsc fnalpha.c /mm /I..\include /wall /y 
 copy fnalpha.obj obj 
 del fnalpha.obj
tsc fnbob.c /mm /I..\include /wall /y 
 copy fnbob.obj obj 
 del fnbob.obj
tsc fnchar.c /mm /I..\include /wall /y 
 copy fnchar.obj obj 
 del fnchar.obj
tsc fncheck.c /mm /I..\include /wall /y 
 copy fncheck.obj obj 
 del fncheck.obj
tsc fnclong.c /mm /I..\include /wall /y 
 copy fnclong.obj obj 
 del fnclong.obj
tsc fncmoney.c /mm /I..\include /wall /y 
 copy fncmoney.obj obj 
 del fncmoney.obj
tsc fncntry.c /mm /I..\include /wall /y 
 copy fncntry.obj obj 
 del fncntry.obj
tsc fncomma.c /mm /I..\include /wall /y 
 copy fncomma.obj obj 
 del fncomma.obj
tsc fndate.c /mm /I..\include /wall /y 
 copy fndate.obj obj 
 del fndate.obj
tsc fndecpt.c /mm /I..\include /wall /y 
 copy fndecpt.obj obj 
 del fndecpt.obj
tsc fndigit.c /mm /I..\include /wall /y 
 copy fndigit.obj obj 
 del fndigit.obj
tsc fndouble.c /mm /I..\include /wall /y 
 copy fndouble.obj obj 
 del fndouble.obj
tsc fnfixdp.c /mm /I..\include /wall /y 
 copy fnfixdp.obj obj 
 del fnfixdp.obj
tsc fnframer.c /mm /I..\include /wall /y 
 copy fnframer.obj obj 
 del fnframer.obj
tsc fnhex.c /mm /I..\include /wall /y 
 copy fnhex.obj obj 
 del fnhex.obj
tsc fnifld.c /mm /I..\include /wall /y 
 copy fnifld.obj obj 
 del fnifld.obj
tsc fnifldg.c /mm /I..\include /wall /y 
 copy fnifldg.obj obj 
 del fnifldg.obj
tsc fnint.c /mm /I..\include /wall /y 
 copy fnint.obj obj 
 del fnint.obj
tsc fnipage.c /mm /I..\include /wall /y 
 copy fnipage.obj obj 
 del fnipage.obj
tsc fnlist.c /mm /I..\include /wall /y 
 copy fnlist.obj obj 
 del fnlist.obj
tsc fnlong.c /mm /I..\include /wall /y 
 copy fnlong.obj obj 
 del fnlong.obj
tsc fnmark.c /mm /I..\include /wall /y 
 copy fnmark.obj obj 
 del fnmark.obj
tsc fnmenu.c /mm /I..\include /wall /y 
 copy fnmenu.obj obj 
 del fnmenu.obj
tsc fnmoney.c /mm /I..\include /wall /y 
 copy fnmoney.obj obj 
 del fnmoney.obj
tsc fnmsys.c /mm /I..\include /wall /y 
 copy fnmsys.obj obj 
 del fnmsys.obj
tsc fnnowrit.c /mm /I..\include /wall /y 
 copy fnnowrit.obj obj 
 del fnnowrit.obj
tsc fnnum.c /mm /I..\include /wall /y 
 copy fnnum.obj obj 
 del fnnum.obj
tsc fnpnum.c /mm /I..\include /wall /y 
 copy fnpnum.obj obj 
 del fnpnum.obj
tsc fnradio.c /mm /I..\include /wall /y 
 copy fnradio.obj obj 
 del fnradio.obj
tsc fnrange.c /mm /I..\include /wall /y 
 copy fnrange.obj obj 
 del fnrange.obj
tsc fnsdoubl.c /mm /I..\include /wall /y 
 copy fnsdoubl.obj obj 
 del fnsdoubl.obj
tsc fnsecure.c /mm /I..\include /wall /y 
 copy fnsecure.obj obj 
 del fnsecure.obj
tsc fnselect.c /mm /I..\include /wall /y 
 copy fnselect.obj obj 
 del fnselect.obj
tsc fnsfloat.c /mm /I..\include /wall /y 
 copy fnsfloat.obj obj 
 del fnsfloat.obj
tsc fnsint.c /mm /I..\include /wall /y 
 copy fnsint.obj obj 
 del fnsint.obj
tsc fnslong.c /mm /I..\include /wall /y 
 copy fnslong.obj obj 
 del fnslong.obj
tsc fnslug.c /mm /I..\include /wall /y 
 copy fnslug.obj obj 
 del fnslug.obj
tsc fnspec.c /mm /I..\include /wall /y 
 copy fnspec.obj obj 
 del fnspec.obj
tsc fnstd.c /mm /I..\include /wall /y 
 copy fnstd.obj obj 
 del fnstd.obj
tsc fnstdval.c /mm /I..\include /wall /y 
 copy fnstdval.obj obj 
 del fnstdval.obj
tsc fnstrcom.c /mm /I..\include /wall /y 
 copy fnstrcom.obj obj 
 del fnstrcom.obj
tsc fnstring.c /mm /I..\include /wall /y 
 copy fnstring.obj obj 
 del fnstring.obj
tsc fnted.c /mm /I..\include /wall /y 
 copy fnted.obj obj 
 del fnted.obj
tsc fnticker.c /mm /I..\include /wall /y 
 copy fnticker.obj obj 
 del fnticker.obj
tsc fntime.c /mm /I..\include /wall /y 
 copy fntime.obj obj 
 del fntime.obj
tsc fntoggle.c /mm /I..\include /wall /y 
 copy fntoggle.obj obj 
 del fntoggle.obj
tsc fntogint.c /mm /I..\include /wall /y 
 copy fntogint.obj obj 
 del fntogint.obj
tsc fnvalfmt.c /mm /I..\include /wall /y 
 copy fnvalfmt.obj obj 
 del fnvalfmt.obj
tsc fnvalnum.c /mm /I..\include /wall /y 
 copy fnvalnum.obj obj 
 del fnvalnum.obj
tsc fnvalrng.c /mm /I..\include /wall /y 
 copy fnvalrng.obj obj 
 del fnvalrng.obj
tsc fnvalstr.c /mm /I..\include /wall /y 
 copy fnvalstr.obj obj 
 del fnvalstr.obj
tsc fnxstr.c /mm /I..\include /wall /y 
 copy fnxstr.obj obj 
 del fnxstr.obj
tsc fnyesno.c /mm /I..\include /wall /y 
 copy fnyesno.obj obj 
 del fnyesno.obj
tsc framer.c /mm /I..\include /wall /y 
 copy framer.obj obj 
 del framer.obj
tsc fsym.c /mm /I..\include /wall /y 
 copy fsym.obj obj 
 del fsym.obj
tsc fsymidef.c /mm /I..\include /wall /y 
 copy fsymidef.obj obj 
 del fsymidef.obj
tsc fsyminit.c /mm /I..\include /wall /y 
 copy fsyminit.obj obj 
 del fsyminit.obj
tsc help.c /mm /I..\include /wall /y 
 copy help.obj obj 
 del help.obj
tsc helpshow.c /mm /I..\include /wall /y 
 copy helpshow.obj obj 
 del helpshow.obj
tsc helpview.c /mm /I..\include /wall /y 
 copy helpview.obj obj 
 del helpview.obj
tsc helpxref.c /mm /I..\include /wall /y 
 copy helpxref.obj obj 
 del helpxref.obj
tsc idleclk.c /mm /I..\include /wall /y 
 copy idleclk.obj obj 
 del idleclk.obj
tsc menu.c /mm /I..\include /wall /y 
 copy menu.obj obj 
 del menu.obj
tsc menuaftg.c /mm /I..\include /wall /y 
 copy menuaftg.obj obj 
 del menuaftg.obj
tsc menucfld.c /mm /I..\include /wall /y 
 copy menucfld.obj obj 
 del menucfld.obj
tsc menudest.c /mm /I..\include /wall /y 
 copy menudest.obj obj 
 del menudest.obj
tsc menudfld.c /mm /I..\include /wall /y 
 copy menudfld.obj obj 
 del menudfld.obj
tsc menudrow.c /mm /I..\include /wall /y 
 copy menudrow.obj obj 
 del menudrow.obj
tsc menufind.c /mm /I..\include /wall /y 
 copy menufind.obj obj 
 del menufind.obj
tsc menuirow.c /mm /I..\include /wall /y 
 copy menuirow.obj obj 
 del menuirow.obj
tsc menuload.c /mm /I..\include /wall /y 
 copy menuload.obj obj 
 del menuload.obj
tsc menumfld.c /mm /I..\include /wall /y 
 copy menumfld.obj obj 
 del menumfld.obj
tsc menumrkf.c /mm /I..\include /wall /y 
 copy menumrkf.obj obj 
 del menumrkf.obj
tsc menuname.c /mm /I..\include /wall /y 
 copy menuname.obj obj 
 del menuname.obj
tsc menupdpl.c /mm /I..\include /wall /y 
 copy menupdpl.obj obj 
 del menupdpl.obj
tsc menuputb.c /mm /I..\include /wall /y 
 copy menuputb.obj obj 
 del menuputb.obj
tsc menusave.c /mm /I..\include /wall /y 
 copy menusave.obj obj 
 del menusave.obj
tsc menusfb.c /mm /I..\include /wall /y 
 copy menusfb.obj obj 
 del menusfb.obj
tsc menusfld.c /mm /I..\include /wall /y 
 copy menusfld.obj obj 
 del menusfld.obj
tsc menusize.c /mm /I..\include /wall /y 
 copy menusize.obj obj 
 del menusize.obj
tsc menutb.c /mm /I..\include /wall /y 
 copy menutb.obj obj 
 del menutb.obj
tsc menutffg.c /mm /I..\include /wall /y 
 copy menutffg.obj obj 
 del menutffg.obj
tsc menuunpf.c /mm /I..\include /wall /y 
 copy menuunpf.obj obj 
 del menuunpf.obj
tsc menuvars.c /mm /I..\include /wall /y 
 copy menuvars.obj obj 
 del menuvars.obj
tsc menuxfld.c /mm /I..\include /wall /y 
 copy menuxfld.obj obj 
 del menuxfld.obj
tsc msys.c /mm /I..\include /wall /y 
 copy msys.obj obj 
 del msys.obj
tsc msysdo.c /mm /I..\include /wall /y 
 copy msysdo.obj obj 
 del msysdo.obj
tsc msyspars.c /mm /I..\include /wall /y 
 copy msyspars.obj obj 
 del msyspars.obj
tsc objload.c /mm /I..\include /wall /y 
 copy objload.obj obj 
 del objload.obj
tsc puedit.c /mm /I..\include /wall /y 
 copy puedit.obj obj 
 del puedit.obj
tsc pumenu.c /mm /I..\include /wall /y 
 copy pumenu.obj obj 
 del pumenu.obj
tsc pumsg.c /mm /I..\include /wall /y 
 copy pumsg.obj obj 
 del pumsg.obj
tsc puparms.c /mm /I..\include /wall /y 
 copy puparms.obj obj 
 del puparms.obj
tsc puprompt.c /mm /I..\include /wall /y 
 copy puprompt.obj obj 
 del puprompt.obj
tsc putext.c /mm /I..\include /wall /y 
 copy putext.obj obj 
 del putext.obj
tsc puview.c /mm /I..\include /wall /y 
 copy puview.obj obj 
 del puview.obj
tsc sd1stfld.c /mm /I..\include /wall /y 
 copy sd1stfld.obj obj 
 del sd1stfld.obj
tsc sdalloc.c /mm /I..\include /wall /y 
 copy sdalloc.obj obj 
 del sdalloc.obj
tsc sdcenter.c /mm /I..\include /wall /y 
 copy sdcenter.obj obj 
 del sdcenter.obj
tsc sdcurs.c /mm /I..\include /wall /y 
 copy sdcurs.obj obj 
 del sdcurs.obj
tsc sddecchr.c /mm /I..\include /wall /y 
 copy sddecchr.obj obj 
 del sddecchr.obj
tsc sddecfld.c /mm /I..\include /wall /y 
 copy sddecfld.obj obj 
 del sddecfld.obj
tsc sddelfld.c /mm /I..\include /wall /y 
 copy sddelfld.obj obj 
 del sddelfld.obj
tsc sddelrow.c /mm /I..\include /wall /y 
 copy sddelrow.obj obj 
 del sddelrow.obj
tsc sddisp.c /mm /I..\include /wall /y 
 copy sddisp.obj obj 
 del sddisp.obj
tsc sddobob.c /mm /I..\include /wall /y 
 copy sddobob.obj obj 
 del sddobob.obj
tsc sddsexit.c /mm /I..\include /wall /y 
 copy sddsexit.obj obj 
 del sddsexit.obj
tsc sdfindf.c /mm /I..\include /wall /y 
 copy sdfindf.obj obj 
 del sdfindf.obj
tsc sdgetbhw.c /mm /I..\include /wall /y 
 copy sdgetbhw.obj obj 
 del sdgetbhw.obj
tsc sdgetclr.c /mm /I..\include /wall /y 
 copy sdgetclr.obj obj 
 del sdgetclr.obj
tsc sdgetcor.c /mm /I..\include /wall /y 
 copy sdgetcor.obj obj 
 del sdgetcor.obj
tsc sdgetfrc.c /mm /I..\include /wall /y 
 copy sdgetfrc.obj obj 
 del sdgetfrc.obj
tsc sdgethw.c /mm /I..\include /wall /y 
 copy sdgethw.obj obj 
 del sdgethw.obj
tsc sdgetpos.c /mm /I..\include /wall /y 
 copy sdgetpos.obj obj 
 del sdgetpos.obj
tsc sdgetsiz.c /mm /I..\include /wall /y 
 copy sdgetsiz.obj obj 
 del sdgetsiz.obj
tsc sdgettb.c /mm /I..\include /wall /y 
 copy sdgettb.obj obj 
 del sdgettb.obj
tsc sdgfld.c /mm /I..\include /wall /y 
 copy sdgfld.obj obj 
 del sdgfld.obj
tsc sdgo.c /mm /I..\include /wall /y 
 copy sdgo.obj obj 
 del sdgo.obj
tsc sdgohome.c /mm /I..\include /wall /y 
 copy sdgohome.obj obj 
 del sdgohome.obj
tsc sdgoto.c /mm /I..\include /wall /y 
 copy sdgoto.obj obj 
 del sdgoto.obj
tsc sdgrid.c /mm /I..\include /wall /y 
 copy sdgrid.obj obj 
 del sdgrid.obj
tsc sdgtfclr.c /mm /I..\include /wall /y 
 copy sdgtfclr.obj obj 
 del sdgtfclr.obj
tsc sdgtochr.c /mm /I..\include /wall /y 
 copy sdgtochr.obj obj 
 del sdgtochr.obj
tsc sdgtofld.c /mm /I..\include /wall /y 
 copy sdgtofld.obj obj 
 del sdgtofld.obj
tsc sdincchr.c /mm /I..\include /wall /y 
 copy sdincchr.obj obj 
 del sdincchr.obj
tsc sdincfld.c /mm /I..\include /wall /y 
 copy sdincfld.obj obj 
 del sdincfld.obj
tsc sdinsrow.c /mm /I..\include /wall /y 
 copy sdinsrow.obj obj 
 del sdinsrow.obj
tsc sdisfnam.c /mm /I..\include /wall /y 
 copy sdisfnam.obj obj 
 del sdisfnam.obj
tsc sdload.c /mm /I..\include /wall /y 
 copy sdload.obj obj 
 del sdload.obj
tsc sdlstfld.c /mm /I..\include /wall /y 
 copy sdlstfld.obj obj 
 del sdlstfld.obj
tsc sdmevacc.c /mm /I..\include /wall /y 
 copy sdmevacc.obj obj 
 del sdmevacc.obj
tsc sdmouckf.c /mm /I..\include /wall /y 
 copy sdmouckf.obj obj 
 del sdmouckf.obj
tsc sdmouclk.c /mm /I..\include /wall /y 
 copy sdmouclk.obj obj 
 del sdmouclk.obj
tsc sdmoudrg.c /mm /I..\include /wall /y 
 copy sdmoudrg.obj obj 
 del sdmoudrg.obj
tsc sdmoufrm.c /mm /I..\include /wall /y 
 copy sdmoufrm.obj obj 
 del sdmoufrm.obj
tsc sdmougck.c /mm /I..\include /wall /y 
 copy sdmougck.obj obj 
 del sdmougck.obj
tsc sdmougtk.c /mm /I..\include /wall /y 
 copy sdmougtk.obj obj 
 del sdmougtk.obj
tsc sdmoutrk.c /mm /I..\include /wall /y 
 copy sdmoutrk.obj obj 
 del sdmoutrk.obj
tsc sdmovfld.c /mm /I..\include /wall /y 
 copy sdmovfld.obj obj 
 del sdmovfld.obj
tsc sdname.c /mm /I..\include /wall /y 
 copy sdname.obj obj 
 del sdname.obj
tsc sdnamvar.c /mm /I..\include /wall /y 
 copy sdnamvar.obj obj 
 del sdnamvar.obj
tsc sdok.c /mm /I..\include /wall /y 
 copy sdok.obj obj 
 del sdok.obj
tsc sdopen.c /mm /I..\include /wall /y 
 copy sdopen.obj obj 
 del sdopen.obj
tsc sdover.c /mm /I..\include /wall /y 
 copy sdover.obj obj 
 del sdover.obj
tsc sdovrwrt.c /mm /I..\include /wall /y 
 copy sdovrwrt.obj obj 
 del sdovrwrt.obj
tsc sdpgdn.c /mm /I..\include /wall /y 
 copy sdpgdn.obj obj 
 del sdpgdn.obj
tsc sdpglt.c /mm /I..\include /wall /y 
 copy sdpglt.obj obj 
 del sdpglt.obj
tsc sdpgrt.c /mm /I..\include /wall /y 
 copy sdpgrt.obj obj 
 del sdpgrt.obj
tsc sdpgup.c /mm /I..\include /wall /y 
 copy sdpgup.obj obj 
 del sdpgup.obj
tsc sdploat.c /mm /I..\include /wall /y 
 copy sdploat.obj obj 
 del sdploat.obj
tsc sdpulllt.c /mm /I..\include /wall /y 
 copy sdpulllt.obj obj 
 del sdpulllt.obj
tsc sdpullrt.c /mm /I..\include /wall /y 
 copy sdpullrt.obj obj 
 del sdpullrt.obj
tsc sdpushlt.c /mm /I..\include /wall /y 
 copy sdpushlt.obj obj 
 del sdpushlt.obj
tsc sdpushrt.c /mm /I..\include /wall /y 
 copy sdpushrt.obj obj 
 del sdpushrt.obj
tsc sdrptfld.c /mm /I..\include /wall /y 
 copy sdrptfld.obj obj 
 del sdrptfld.obj
tsc sdsave.c /mm /I..\include /wall /y 
 copy sdsave.obj obj 
 del sdsave.obj
tsc sdscrlad.c /mm /I..\include /wall /y 
 copy sdscrlad.obj obj 
 del sdscrlad.obj
tsc sdscrldn.c /mm /I..\include /wall /y 
 copy sdscrldn.obj obj 
 del sdscrldn.obj
tsc sdscrllt.c /mm /I..\include /wall /y 
 copy sdscrllt.obj obj 
 del sdscrllt.obj
tsc sdscrlrt.c /mm /I..\include /wall /y 
 copy sdscrlrt.obj obj 
 del sdscrlrt.obj
tsc sdscrlup.c /mm /I..\include /wall /y 
 copy sdscrlup.obj obj 
 del sdscrlup.obj
tsc sdsetclr.c /mm /I..\include /wall /y 
 copy sdsetclr.obj obj 
 del sdsetclr.obj
tsc sdsetfw.c /mm /I..\include /wall /y 
 copy sdsetfw.obj obj 
 del sdsetfw.obj
tsc sdsethgt.c /mm /I..\include /wall /y 
 copy sdsethgt.obj obj 
 del sdsethgt.obj
tsc sdsetmou.c /mm /I..\include /wall /y 
 copy sdsetmou.obj obj 
 del sdsetmou.obj
tsc sdsettb.c /mm /I..\include /wall /y 
 copy sdsettb.obj obj 
 del sdsettb.obj
tsc sdsetwid.c /mm /I..\include /wall /y 
 copy sdsetwid.obj obj 
 del sdsetwid.obj
tsc sdsrch.c /mm /I..\include /wall /y 
 copy sdsrch.obj obj 
 del sdsrch.obj
tsc sdwin.c /mm /I..\include /wall /y 
 copy sdwin.obj obj 
 del sdwin.obj
tsc sdwinimo.c /mm /I..\include /wall /y 
 copy sdwinimo.obj obj 
 del sdwinimo.obj
tsc sdxflds.c /mm /I..\include /wall /y 
 copy sdxflds.obj obj 
 del sdxflds.obj
tsc sfile.c /mm /I..\include /wall /y 
 copy sfile.obj obj 
 del sfile.obj
tsc slddrows.c /mm /I..\include /wall /y 
 copy slddrows.obj obj 
 del slddrows.obj
tsc sldirows.c /mm /I..\include /wall /y 
 copy sldirows.obj obj 
 del sldirows.obj
tsc sledopen.c /mm /I..\include /wall /y 
 copy sledopen.obj obj 
 del sledopen.obj
tsc sledprot.c /mm /I..\include /wall /y 
 copy sledprot.obj obj 
 del sledprot.obj
tsc sledwin.c /mm /I..\include /wall /y 
 copy sledwin.obj obj 
 del sledwin.obj
tsc slug.c /mm /I..\include /wall /y 
 copy slug.obj obj 
 del slug.obj
tsc spcabort.c /mm /I..\include /wall /y 
 copy spcabort.obj obj 
 del spcabort.obj
tsc spcembed.c /mm /I..\include /wall /y 
 copy spcembed.obj obj 
 del spcembed.obj
tsc spcembtd.c /mm /I..\include /wall /y 
 copy spcembtd.obj obj 
 del spcembtd.obj
tsc spcsled.c /mm /I..\include /wall /y 
 copy spcsled.obj obj 
 del spcsled.obj
tsc tbsetmax.c /mm /I..\include /wall /y 
 copy tbsetmax.obj obj 
 del tbsetmax.obj
tsc tbstr.c /mm /I..\include /wall /y 
 copy tbstr.obj obj 
 del tbstr.obj
tsc tedcopy.c /mm /I..\include /wall /y 
 copy tedcopy.obj obj 
 del tedcopy.obj
tsc tedcurs.c /mm /I..\include /wall /y 
 copy tedcurs.obj obj 
 del tedcurs.obj
tsc tedfile.c /mm /I..\include /wall /y 
 copy tedfile.obj obj 
 del tedfile.obj
tsc tedfoll.c /mm /I..\include /wall /y 
 copy tedfoll.obj obj 
 del tedfoll.obj
tsc tedgstr.c /mm /I..\include /wall /y 
 copy tedgstr.obj obj 
 del tedgstr.obj
tsc tedit.c /mm /I..\include /wall /y 
 copy tedit.obj obj 
 del tedit.obj
tsc tedline.c /mm /I..\include /wall /y 
 copy tedline.obj obj 
 del tedline.obj
tsc tedpast.c /mm /I..\include /wall /y 
 copy tedpast.obj obj 
 del tedpast.obj
tsc tedsetmv.c /mm /I..\include /wall /y 
 copy tedsetmv.obj obj 
 del tedsetmv.obj
tsc tedsrch.c /mm /I..\include /wall /y 
 copy tedsrch.obj obj 
 del tedsrch.obj
tsc tedstrip.c /mm /I..\include /wall /y 
 copy tedstrip.obj obj 
 del tedstrip.obj
tsc tedword.c /mm /I..\include /wall /y 
 copy tedword.obj obj 
 del tedword.obj
tsc textbuf.c /mm /I..\include /wall /y 
 copy textbuf.obj obj 
 del textbuf.obj
tsc ufncload.c /mm /I..\include /wall /y 
 copy ufncload.obj obj 
 del ufncload.obj
tsc ufncsave.c /mm /I..\include /wall /y 
 copy ufncsave.obj obj 
 del ufncsave.obj
tsc ufuncobj.c /mm /I..\include /wall /y 
 copy ufuncobj.obj obj 
 del ufuncobj.obj

echo Compiling OWL files

tsc bbchain.c /mm /I..\include /wall /y 
 copy bbchain.obj obj 
 del bbchain.obj
tsc bcwin.c /mm /I..\include /wall /y 
 copy bcwin.obj obj 
 del bcwin.obj
tsc bfaux.c /mm /I..\include /wall /y 
 copy bfaux.obj obj 
 del bfaux.obj
tsc bfile.c /mm /I..\include /wall /y 
 copy bfile.obj obj 
 del bfile.obj
tsc blwin.c /mm /I..\include /wall /y 
 copy blwin.obj obj 
 del blwin.obj
tsc bobgo.c /mm /I..\include /wall /y 
 copy bobgo.obj obj 
 del bobgo.obj
tsc bobgtanc.c /mm /I..\include /wall /y 
 copy bobgtanc.obj obj 
 del bobgtanc.obj
tsc bobgtown.c /mm /I..\include /wall /y 
 copy bobgtown.obj obj 
 del bobgtown.obj
tsc bobset.c /mm /I..\include /wall /y 
 copy bobset.obj obj 
 del bobset.obj
tsc bordaux.c /mm /I..\include /wall /y 
 copy bordaux.obj obj 
 del bordaux.obj
tsc bordclos.c /mm /I..\include /wall /y 
 copy bordclos.obj obj 
 del bordclos.obj
tsc borddrwt.c /mm /I..\include /wall /y 
 copy borddrwt.obj obj 
 del borddrwt.obj
tsc bordghzb.c /mm /I..\include /wall /y 
 copy bordghzb.obj obj 
 del bordghzb.obj
tsc bordglts.c /mm /I..\include /wall /y 
 copy bordglts.obj obj 
 del bordglts.obj
tsc bordgvtb.c /mm /I..\include /wall /y 
 copy bordgvtb.obj obj 
 del bordgvtb.obj
tsc bordimo.c /mm /I..\include /wall /y 
 copy bordimo.obj obj 
 del bordimo.obj
tsc bordobj.c /mm /I..\include /wall /y 
 copy bordobj.obj obj 
 del bordobj.obj
tsc bordout.c /mm /I..\include /wall /y 
 copy bordout.obj obj 
 del bordout.obj
tsc bordsend.c /mm /I..\include /wall /y 
 copy bordsend.obj obj 
 del bordsend.obj
tsc bordsetp.c /mm /I..\include /wall /y 
 copy bordsetp.obj obj 
 del bordsetp.obj
tsc bordssds.c /mm /I..\include /wall /y 
 copy bordssds.obj obj 
 del bordssds.obj
tsc cmap.c /mm /I..\include /wall /y 
 copy cmap.obj obj 
 del cmap.obj
tsc cmapcopy.c /mm /I..\include /wall /y 
 copy cmapcopy.obj obj 
 del cmapcopy.obj
tsc cmapput.c /mm /I..\include /wall /y 
 copy cmapput.obj obj 
 del cmapput.obj
tsc cmwin.c /mm /I..\include /wall /y 
 copy cmwin.obj obj 
 del cmwin.obj
tsc cmwindra.c /mm /I..\include /wall /y 
 copy cmwindra.obj obj 
 del cmwindra.obj
tsc cmwinimo.c /mm /I..\include /wall /y 
 copy cmwinimo.obj obj 
 del cmwinimo.obj
tsc cmwintty.c /mm /I..\include /wall /y 
 copy cmwintty.obj obj 
 del cmwintty.obj
tsc disp.c /mm /I..\include /wall /y 
 copy disp.obj obj 
 del disp.obj
tsc dispapv.c /mm /I..\include /wall /y 
 copy dispapv.obj obj 
 del dispapv.obj
tsc dispbfon.c /mm /I..\include /wall /y 
 copy dispbfon.obj obj 
 del dispbfon.obj
tsc dispclr.c /mm /I..\include /wall /y 
 copy dispclr.obj obj 
 del dispclr.obj
tsc dispcurr.c /mm /I..\include /wall /y 
 copy dispcurr.obj obj 
 del dispcurr.obj
tsc dispinit.c /mm /I..\include /wall /y 
 copy dispinit.obj obj 
 del dispinit.obj
tsc dispmono.c /mm /I..\include /wall /y 
 copy dispmono.obj obj 
 del dispmono.obj
tsc disppcco.c /mm /I..\include /wall /y 
 copy disppcco.obj obj 
 del disppcco.obj
tsc disprein.c /mm /I..\include /wall /y 
 copy disprein.obj obj 
 del disprein.obj
tsc expbmu.c /mm /I..\include /wall /y 
 copy expbmu.obj obj 
 del expbmu.obj
tsc expstd.c /mm /I..\include /wall /y 
 copy expstd.obj obj 
 del expstd.obj
tsc frw.c /mm /I..\include /wall /y 
 copy frw.obj obj 
 del frw.obj
tsc grwin.c /mm /I..\include /wall /y 
 copy grwin.obj obj 
 del grwin.obj
tsc jains.c /mm /I..\include /wall /y 
 copy jains.obj obj 
 del jains.obj
tsc jarray.c /mm /I..\include /wall /y 
 copy jarray.obj obj 
 del jarray.obj
tsc kbidle.c /mm /I..\include /wall /y 
 copy kbidle.obj obj 
 del kbidle.obj
tsc kblist.c /mm /I..\include /wall /y 
 copy kblist.obj obj 
 del kblist.obj
tsc kbmacro.c /mm /I..\include /wall /y 
 copy kbmacro.obj obj 
 del kbmacro.obj
tsc kbread.c /mm /I..\include /wall /y 
 copy kbread.obj obj 
 del kbread.obj
tsc kbrecord.c /mm /I..\include /wall /y 
 copy kbrecord.obj obj 
 del kbrecord.obj
tsc mouseini.c /mm /I..\include /wall /y 
 copy mouseini.obj obj 
 del mouseini.obj
tsc msgwin.c /mm /I..\include /wall /y 
 copy msgwin.obj obj 
 del msgwin.obj
tsc npwin.c /mm /I..\include /wall /y 
 copy npwin.obj obj 
 del npwin.obj
tsc oakalloc.c /mm /I..\include /wall /y 
 copy oakalloc.obj obj 
 del oakalloc.obj
tsc oakerrno.c /mm /I..\include /wall /y 
 copy oakerrno.obj obj 
 del oakerrno.obj
tsc oakerror.c /mm /I..\include /wall /y 
 copy oakerror.obj obj 
 del oakerror.obj
tsc oakint.c /mm /I..\include /wall /y 
 copy oakint.obj obj 
 del oakint.obj
tsc objfuncs.c /mm /I..\include /wall /y 
 copy objfuncs.obj obj 
 del objfuncs.obj
tsc objname.c /mm /I..\include /wall /y 
 copy objname.obj obj 
 del objname.obj
tsc oboxclip.c /mm /I..\include /wall /y 
 copy oboxclip.obj obj 
 del oboxclip.obj
tsc oboxdist.c /mm /I..\include /wall /y 
 copy oboxdist.obj obj 
 del oboxdist.obj
tsc ocbox.c /mm /I..\include /wall /y 
 copy ocbox.obj obj 
 del ocbox.obj
tsc ocolmap.c /mm /I..\include /wall /y 
 copy ocolmap.obj obj 
 del ocolmap.obj
tsc omemmove.c /mm /I..\include /wall /y 
 copy omemmove.obj obj 
 del omemmove.obj
tsc opbox.c /mm /I..\include /wall /y 
 copy opbox.obj obj 
 del opbox.obj
tsc opclipso.c /mm /I..\include /wall /y 
 copy opclipso.obj obj 
 del opclipso.obj
tsc opclipst.c /mm /I..\include /wall /y 
 copy opclipst.obj obj 
 del opclipst.obj
tsc oslist.c /mm /I..\include /wall /y 
 copy oslist.obj obj 
 del oslist.obj
tsc pmapload.c /mm /I..\include /wall /y 
 copy pmapload.obj obj 
 del pmapload.obj
tsc pmapopen.c /mm /I..\include /wall /y 
 copy pmapopen.obj obj 
 del pmapopen.obj
tsc pmapx.c /mm /I..\include /wall /y 
 copy pmapx.obj obj 
 del pmapx.obj
tsc pmwin.c /mm /I..\include /wall /y 
 copy pmwin.obj obj 
 del pmwin.obj
tsc pmwinimo.c /mm /I..\include /wall /y 
 copy pmwinimo.obj obj 
 del pmwinimo.obj
tsc pmwinope.c /mm /I..\include /wall /y 
 copy pmwinope.obj obj 
 del pmwinope.obj
tsc ptdchar.c /mm /I..\include /wall /y 
 copy ptdchar.obj obj 
 del ptdchar.obj
tsc ptdframe.c /mm /I..\include /wall /y 
 copy ptdframe.obj obj 
 del ptdframe.obj
tsc ptdline.c /mm /I..\include /wall /y 
 copy ptdline.obj obj 
 del ptdline.obj
tsc ptdpixch.c /mm /I..\include /wall /y 
 copy ptdpixch.obj obj 
 del ptdpixch.obj
tsc sarray.c /mm /I..\include /wall /y 
 copy sarray.obj obj 
 del sarray.obj
tsc sfiltext.c /mm /I..\include /wall /y 
 copy sfiltext.obj obj 
 del sfiltext.obj
tsc strmask.c /mm /I..\include /wall /y 
 copy strmask.obj obj 
 del strmask.obj
tsc strtools.c /mm /I..\include /wall /y 
 copy strtools.obj obj 
 del strtools.obj
tsc strwrap.c /mm /I..\include /wall /y 
 copy strwrap.obj obj 
 del strwrap.obj
tsc tmadd.c /mm /I..\include /wall /y 
 copy tmadd.obj obj 
 del tmadd.obj
tsc tmelap.c /mm /I..\include /wall /y 
 copy tmelap.obj obj 
 del tmelap.obj
tsc tmnow.c /mm /I..\include /wall /y 
 copy tmnow.obj obj 
 del tmnow.obj
tsc tmvalid.c /mm /I..\include /wall /y 
 copy tmvalid.obj obj 
 del tmvalid.obj
tsc userwin.c /mm /I..\include /wall /y 
 copy userwin.obj obj 
 del userwin.obj
tsc varray.c /mm /I..\include /wall /y 
 copy varray.obj obj 
 del varray.obj
tsc vid.c /mm /I..\include /wall /y 
 copy vid.obj obj 
 del vid.obj
tsc winclear.c /mm /I..\include /wall /y 
 copy winclear.obj obj 
 del winclear.obj
tsc winclip.c /mm /I..\include /wall /y 
 copy winclip.obj obj 
 del winclip.obj
tsc wincurso.c /mm /I..\include /wall /y 
 copy wincurso.obj obj 
 del wincurso.obj
tsc windump.c /mm /I..\include /wall /y 
 copy windump.obj obj 
 del windump.obj
tsc winexpos.c /mm /I..\include /wall /y 
 copy winexpos.obj obj 
 del winexpos.obj
tsc wingetp.c /mm /I..\include /wall /y 
 copy wingetp.obj obj 
 del wingetp.obj
tsc wingo.c /mm /I..\include /wall /y 
 copy wingo.obj obj 
 del wingo.obj
tsc winlist.c /mm /I..\include /wall /y 
 copy winlist.obj obj 
 del winlist.obj
tsc winload.c /mm /I..\include /wall /y 
 copy winload.obj obj 
 del winload.obj
tsc winmev.c /mm /I..\include /wall /y 
 copy winmev.obj obj 
 del winmev.obj
tsc winmougt.c /mm /I..\include /wall /y 
 copy winmougt.obj obj 
 del winmougt.obj
tsc winmouse.c /mm /I..\include /wall /y 
 copy winmouse.obj obj 
 del winmouse.obj
tsc winmoutk.c /mm /I..\include /wall /y 
 copy winmoutk.obj obj 
 del winmoutk.obj
tsc winobj.c /mm /I..\include /wall /y 
 copy winobj.obj obj 
 del winobj.obj
tsc winobsc.c /mm /I..\include /wall /y 
 copy winobsc.obj obj 
 del winobsc.obj
tsc winopen.c /mm /I..\include /wall /y 
 copy winopen.obj obj 
 del winopen.obj
tsc winpaint.c /mm /I..\include /wall /y 
 copy winpaint.obj obj 
 del winpaint.obj
tsc winsave.c /mm /I..\include /wall /y 
 copy winsave.obj obj 
 del winsave.obj
tsc winscrol.c /mm /I..\include /wall /y 
 copy winscrol.obj obj 
 del winscrol.obj
tsc winsetp.c /mm /I..\include /wall /y 
 copy winsetp.obj obj 
 del winsetp.obj
tsc winsize.c /mm /I..\include /wall /y 
 copy winsize.obj obj 
 del winsize.obj
tsc wintop.c /mm /I..\include /wall /y 
 copy wintop.obj obj 
 del wintop.obj
tsc wmgrinit.c /mm /I..\include /wall /y 
 copy wmgrinit.obj obj 
 del wmgrinit.obj

echo Compiling BD files

tsc bd1.c /mm /I..\include /wall /y 
 copy bd1.obj obj 
 del bd1.obj
tsc bd123.c /mm /I..\include /wall /y 
 copy bd123.obj obj 
 del bd123.obj
tsc bd2.c /mm /I..\include /wall /y 
 copy bd2.obj obj 
 del bd2.obj
tsc bdbar.c /mm /I..\include /wall /y 
 copy bdbar.obj obj 
 del bdbar.obj
tsc bdbox.c /mm /I..\include /wall /y 
 copy bdbox.obj obj 
 del bdbox.obj
tsc bdboxlt.c /mm /I..\include /wall /y 
 copy bdboxlt.obj obj 
 del bdboxlt.obj
tsc bdhead.c /mm /I..\include /wall /y 
 copy bdhead.obj obj 
 del bdhead.obj
tsc bdmouse.c /mm /I..\include /wall /y 
 copy bdmouse.obj obj 
 del bdmouse.obj
tsc bdmouse2.c /mm /I..\include /wall /y 
 copy bdmouse2.obj obj 
 del bdmouse2.obj
tsc bdnull.c /mm /I..\include /wall /y 
 copy bdnull.obj obj 
 del bdnull.obj
tsc bdplain.c /mm /I..\include /wall /y 
 copy bdplain.obj obj 
 del bdplain.obj
tsc bdprompt.c /mm /I..\include /wall /y 
 copy bdprompt.obj obj 
 del bdprompt.obj
tsc bdside.c /mm /I..\include /wall /y 
 copy bdside.obj obj 
 del bdside.obj
tsc bdstd.c /mm /I..\include /wall /y 
 copy bdstd.obj obj 
 del bdstd.obj
tsc bdtitle.c /mm /I..\include /wall /y 
 copy bdtitle.obj obj 
 del bdtitle.obj
tsc bdxref.c /mm /I..\include /wall /y 
 copy bdxref.obj obj 
 del bdxref.obj

echo Compiling DIG files

tsc digbtree.c /mm /I..\include /wall /y 
 copy digbtree.obj obj 
 del digbtree.obj
tsc digcursb.c /mm /I..\include /wall /y 
 copy digcursb.obj obj 
 del digcursb.obj
tsc digcursl.c /mm /I..\include /wall /y 
 copy digcursl.obj obj 
 del digcursl.obj
tsc digflip.c /mm /I..\include /wall /y 
 copy digflip.obj obj 
 del digflip.obj
tsc digklex.c /mm /I..\include /wall /y 
 copy digklex.obj obj 
 del digklex.obj
tsc digpmcli.c /mm /I..\include /wall /y 
 copy digpmcli.obj obj 
 del digpmcli.obj
tsc digpow2.c /mm /I..\include /wall /y 
 copy digpow2.obj obj 
 del digpow2.obj
tsc digscmap.c /mm /I..\include /wall /y 
 copy digscmap.obj obj 
 del digscmap.obj
tsc digshsec.c /mm /I..\include /wall /y 
 copy digshsec.obj obj 
 del digshsec.obj
tsc digsqcm.c /mm /I..\include /wall /y 
 copy digsqcm.obj obj 
 del digsqcm.obj
tsc pcxload.c /mm /I..\include /wall /y 
 copy pcxload.obj obj 
 del pcxload.obj
tsc pcxsave.c /mm /I..\include /wall /y 
 copy pcxsave.obj obj 
 del pcxsave.obj

echo Compiling PC files

tsc pcbdrawc.c /mm /I..\include /wall /y 
 copy pcbdrawc.obj obj 
 del pcbdrawc.obj
tsc pcbios.c /mm /I..\include /wall /y 
 copy pcbios.obj obj 
 del pcbios.obj
tsc pcbscrol.c /mm /I..\include /wall /y 
 copy pcbscrol.obj obj 
 del pcbscrol.obj
tsc pcbsetcu.c /mm /I..\include /wall /y 
 copy pcbsetcu.obj obj 
 del pcbsetcu.obj
tsc pccga.c /mm /I..\include /wall /y 
 copy pccga.obj obj 
 del pccga.obj
tsc pcdir.c /mm /I..\include /wall /y 
 copy pcdir.obj obj 
 del pcdir.obj
tsc pcdisp.c /mm /I..\include /wall /y 
 copy pcdisp.obj obj 
 del pcdisp.obj
tsc pcevga.c /mm /I..\include /wall /y 
 copy pcevga.obj obj 
 del pcevga.obj
tsc pcgfuncs.c /mm /I..\include /wall /y 
 copy pcgfuncs.obj obj 
 del pcgfuncs.obj
tsc pchard.c /mm /I..\include /wall /y 
 copy pchard.obj obj 
 del pchard.obj
tsc pcherc.c /mm /I..\include /wall /y 
 copy pcherc.obj obj 
 del pcherc.obj
tsc pcmcga.c /mm /I..\include /wall /y 
 copy pcmcga.obj obj 
 del pcmcga.obj
tsc pcmcurr.c /mm /I..\include /wall /y 
 copy pcmcurr.obj obj 
 del pcmcurr.obj
tsc pcmcurrt.c /mm /I..\include /wall /y 
 copy pcmcurrt.obj obj 
 del pcmcurrt.obj
tsc pcmgraph.c /mm /I..\include /wall /y 
 copy pcmgraph.obj obj 
 del pcmgraph.obj
tsc pcmode.c /mm /I..\include /wall /y 
 copy pcmode.obj obj 
 del pcmode.obj
tsc pcopen.c /mm /I..\include /wall /y 
 copy pcopen.obj obj 
 del pcopen.obj
tsc pcpmap.c /mm /I..\include /wall /y 
 copy pcpmap.obj obj 
 del pcpmap.obj
tsc pcpmapio.c /mm /I..\include /wall /y 
 copy pcpmapio.obj obj 
 del pcpmapio.obj
tsc pcramcle.c /mm /I..\include /wall /y 
 copy pcramcle.obj obj 
 del pcramcle.obj
tsc pcramcpp.c /mm /I..\include /wall /y 
 copy pcramcpp.obj obj 
 del pcramcpp.obj
tsc pcramdra.c /mm /I..\include /wall /y 
 copy pcramdra.obj obj 
 del pcramdra.obj
tsc pcrestor.c /mm /I..\include /wall /y 
 copy pcrestor.obj obj 
 del pcrestor.obj
tsc pcsplash.c /mm /I..\include /wall /y 
 copy pcsplash.obj obj 
 del pcsplash.obj
tsc pctext.c /mm /I..\include /wall /y 
 copy pctext.obj obj 
 del pctext.obj
tsc pctextin.c /mm /I..\include /wall /y 
 copy pctextin.obj obj 
 del pctextin.obj
tsc pcvgrab.c /mm /I..\include /wall /y 
 copy pcvgrab.obj obj 
 del pcvgrab.obj

echo Compiling PCA files

masm /ML /DJ1=99 /DmMOD=99 /I..\include  pc1bitpl.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pc2bitpl.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pc8bitpl.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pcbunrun.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pcbxlat.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pccbrk.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pcevgapl.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pchcfont.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pchcfunc.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pciscpq.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pcneares.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pcoint86.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pcrammov.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pcramwmo.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pcvfreez.asm, obj\;
masm /ML /DJ1=99 /DmMOD=99 /I..\include  pcvscan.asm, obj\;

echo Done compiling.

echo Creating C-scape library file.
rem  Delete old C-scape lib if it exists to prepare for new one.
del ..\lib\J1mCSCAP.lib
rem 
lib @CSRESP.J1m
echo Creating OWL library file.
rem  Delete old OWL lib if it exists to prepare for new one.
del ..\lib\J1mOWL.lib
rem 
lib @OWLRESP.J1m
echo Done.

