@echo off
echo This batch file will produce the C-scape libraries
echo  ..\lib\T2mCSCAP.lib and ..\lib\T2mOWL.lib for
echo  the Borland Turbo C 2.0 compiler.
rem  Compiler = T2, model = m, type = Regular, nearsegs = TRUE
rem  Delete old object files if they exist to prepare for new ones.
echo del obj\*.obj
del obj\*.obj
rem 
rem  Create object files directory if it's not already there.
echo md obj
md obj
rem 

echo Compiling CS files

tcc -c -w -w-par -oobj\auxtop -mm -I..\include auxtop.c
tcc -c -w -w-par -oobj\field -mm -I..\include field.c
tcc -c -w -w-par -oobj\fldcls -mm -I..\include fldcls.c
tcc -c -w -w-par -oobj\fldgetb -mm -I..\include fldgetb.c
tcc -c -w -w-par -oobj\fldpulll -mm -I..\include fldpulll.c
tcc -c -w -w-par -oobj\fldpullr -mm -I..\include fldpullr.c
tcc -c -w -w-par -oobj\fldpushl -mm -I..\include fldpushl.c
tcc -c -w -w-par -oobj\fldpushr -mm -I..\include fldpushr.c
tcc -c -w -w-par -oobj\fnalpha -mm -I..\include fnalpha.c
tcc -c -w -w-par -oobj\fnbob -mm -I..\include fnbob.c
tcc -c -w -w-par -oobj\fnchar -mm -I..\include fnchar.c
tcc -c -w -w-par -oobj\fncheck -mm -I..\include fncheck.c
tcc -c -w -w-par -oobj\fnclong -mm -I..\include fnclong.c
tcc -c -w -w-par -oobj\fncmoney -mm -I..\include fncmoney.c
tcc -c -w -w-par -oobj\fncntry -mm -I..\include fncntry.c
tcc -c -w -w-par -oobj\fncomma -mm -I..\include fncomma.c
tcc -c -w -w-par -oobj\fndate -mm -I..\include fndate.c
tcc -c -w -w-par -oobj\fndecpt -mm -I..\include fndecpt.c
tcc -c -w -w-par -oobj\fndigit -mm -I..\include fndigit.c
tcc -c -w -w-par -oobj\fndouble -mm -I..\include fndouble.c
tcc -c -w -w-par -oobj\fnfixdp -mm -I..\include fnfixdp.c
tcc -c -w -w-par -oobj\fnframer -mm -I..\include fnframer.c
tcc -c -w -w-par -oobj\fnhex -mm -I..\include fnhex.c
tcc -c -w -w-par -oobj\fnifld -mm -I..\include fnifld.c
tcc -c -w -w-par -oobj\fnifldg -mm -I..\include fnifldg.c
tcc -c -w -w-par -oobj\fnint -mm -I..\include fnint.c
tcc -c -w -w-par -oobj\fnipage -mm -I..\include fnipage.c
tcc -c -w -w-par -oobj\fnlist -mm -I..\include fnlist.c
tcc -c -w -w-par -oobj\fnlong -mm -I..\include fnlong.c
tcc -c -w -w-par -oobj\fnmark -mm -I..\include fnmark.c
tcc -c -w -w-par -oobj\fnmenu -mm -I..\include fnmenu.c
tcc -c -w -w-par -oobj\fnmoney -mm -I..\include fnmoney.c
tcc -c -w -w-par -oobj\fnmsys -mm -I..\include fnmsys.c
tcc -c -w -w-par -oobj\fnnowrit -mm -I..\include fnnowrit.c
tcc -c -w -w-par -oobj\fnnum -mm -I..\include fnnum.c
tcc -c -w -w-par -oobj\fnpnum -mm -I..\include fnpnum.c
tcc -c -w -w-par -oobj\fnradio -mm -I..\include fnradio.c
tcc -c -w -w-par -oobj\fnrange -mm -I..\include fnrange.c
tcc -c -w -w-par -oobj\fnsdoubl -mm -I..\include fnsdoubl.c
tcc -c -w -w-par -oobj\fnsecure -mm -I..\include fnsecure.c
tcc -c -w -w-par -oobj\fnselect -mm -I..\include fnselect.c
tcc -c -w -w-par -oobj\fnsfloat -mm -I..\include fnsfloat.c
tcc -c -w -w-par -oobj\fnsint -mm -I..\include fnsint.c
tcc -c -w -w-par -oobj\fnslong -mm -I..\include fnslong.c
tcc -c -w -w-par -oobj\fnslug -mm -I..\include fnslug.c
tcc -c -w -w-par -oobj\fnspec -mm -I..\include fnspec.c
tcc -c -w -w-par -oobj\fnstd -mm -I..\include fnstd.c
tcc -c -w -w-par -oobj\fnstdval -mm -I..\include fnstdval.c
tcc -c -w -w-par -oobj\fnstrcom -mm -I..\include fnstrcom.c
tcc -c -w -w-par -oobj\fnstring -mm -I..\include fnstring.c
tcc -c -w -w-par -oobj\fnted -mm -I..\include fnted.c
tcc -c -w -w-par -oobj\fnticker -mm -I..\include fnticker.c
tcc -c -w -w-par -oobj\fntime -mm -I..\include fntime.c
tcc -c -w -w-par -oobj\fntoggle -mm -I..\include fntoggle.c
tcc -c -w -w-par -oobj\fntogint -mm -I..\include fntogint.c
tcc -c -w -w-par -oobj\fnvalfmt -mm -I..\include fnvalfmt.c
tcc -c -w -w-par -oobj\fnvalnum -mm -I..\include fnvalnum.c
tcc -c -w -w-par -oobj\fnvalrng -mm -I..\include fnvalrng.c
tcc -c -w -w-par -oobj\fnvalstr -mm -I..\include fnvalstr.c
tcc -c -w -w-par -oobj\fnxstr -mm -I..\include fnxstr.c
tcc -c -w -w-par -oobj\fnyesno -mm -I..\include fnyesno.c
tcc -c -w -w-par -oobj\framer -mm -I..\include framer.c
tcc -c -w -w-par -oobj\fsym -mm -I..\include fsym.c
tcc -c -w -w-par -oobj\fsymidef -mm -I..\include fsymidef.c
tcc -c -w -w-par -oobj\fsyminit -mm -I..\include fsyminit.c
tcc -c -w -w-par -oobj\help -mm -I..\include help.c
tcc -c -w -w-par -oobj\helpshow -mm -I..\include helpshow.c
tcc -c -w -w-par -oobj\helpview -mm -I..\include helpview.c
tcc -c -w -w-par -oobj\helpxref -mm -I..\include helpxref.c
tcc -c -w -w-par -oobj\idleclk -mm -I..\include idleclk.c
tcc -c -w -w-par -oobj\menu -mm -I..\include menu.c
tcc -c -w -w-par -oobj\menuaftg -mm -I..\include menuaftg.c
tcc -c -w -w-par -oobj\menucfld -mm -I..\include menucfld.c
tcc -c -w -w-par -oobj\menudest -mm -I..\include menudest.c
tcc -c -w -w-par -oobj\menudfld -mm -I..\include menudfld.c
tcc -c -w -w-par -oobj\menudrow -mm -I..\include menudrow.c
tcc -c -w -w-par -oobj\menufind -mm -I..\include menufind.c
tcc -c -w -w-par -oobj\menuirow -mm -I..\include menuirow.c
tcc -c -w -w-par -oobj\menuload -mm -I..\include menuload.c
tcc -c -w -w-par -oobj\menumfld -mm -I..\include menumfld.c
tcc -c -w -w-par -oobj\menumrkf -mm -I..\include menumrkf.c
tcc -c -w -w-par -oobj\menuname -mm -I..\include menuname.c
tcc -c -w -w-par -oobj\menupdpl -mm -I..\include menupdpl.c
tcc -c -w -w-par -oobj\menuputb -mm -I..\include menuputb.c
tcc -c -w -w-par -oobj\menusave -mm -I..\include menusave.c
tcc -c -w -w-par -oobj\menusfb -mm -I..\include menusfb.c
tcc -c -w -w-par -oobj\menusfld -mm -I..\include menusfld.c
tcc -c -w -w-par -oobj\menusize -mm -I..\include menusize.c
tcc -c -w -w-par -oobj\menutb -mm -I..\include menutb.c
tcc -c -w -w-par -oobj\menutffg -mm -I..\include menutffg.c
tcc -c -w -w-par -oobj\menuunpf -mm -I..\include menuunpf.c
tcc -c -w -w-par -oobj\menuvars -mm -I..\include menuvars.c
tcc -c -w -w-par -oobj\menuxfld -mm -I..\include menuxfld.c
tcc -c -w -w-par -oobj\msys -mm -I..\include msys.c
tcc -c -w -w-par -oobj\msysdo -mm -I..\include msysdo.c
tcc -c -w -w-par -oobj\msyspars -mm -I..\include msyspars.c
tcc -c -w -w-par -oobj\objload -mm -I..\include objload.c
tcc -c -w -w-par -oobj\puedit -mm -I..\include puedit.c
tcc -c -w -w-par -oobj\pumenu -mm -I..\include pumenu.c
tcc -c -w -w-par -oobj\pumsg -mm -I..\include pumsg.c
tcc -c -w -w-par -oobj\puparms -mm -I..\include puparms.c
tcc -c -w -w-par -oobj\puprompt -mm -I..\include puprompt.c
tcc -c -w -w-par -oobj\putext -mm -I..\include putext.c
tcc -c -w -w-par -oobj\puview -mm -I..\include puview.c
tcc -c -w -w-par -oobj\sd1stfld -mm -I..\include sd1stfld.c
tcc -c -w -w-par -oobj\sdalloc -mm -I..\include sdalloc.c
tcc -c -w -w-par -oobj\sdcenter -mm -I..\include sdcenter.c
tcc -c -w -w-par -oobj\sdcurs -mm -I..\include sdcurs.c
tcc -c -w -w-par -oobj\sddecchr -mm -I..\include sddecchr.c
tcc -c -w -w-par -oobj\sddecfld -mm -I..\include sddecfld.c
tcc -c -w -w-par -oobj\sddelfld -mm -I..\include sddelfld.c
tcc -c -w -w-par -oobj\sddelrow -mm -I..\include sddelrow.c
tcc -c -w -w-par -oobj\sddisp -mm -I..\include sddisp.c
tcc -c -w -w-par -oobj\sddobob -mm -I..\include sddobob.c
tcc -c -w -w-par -oobj\sddsexit -mm -I..\include sddsexit.c
tcc -c -w -w-par -oobj\sdfindf -mm -I..\include sdfindf.c
tcc -c -w -w-par -oobj\sdgetbhw -mm -I..\include sdgetbhw.c
tcc -c -w -w-par -oobj\sdgetclr -mm -I..\include sdgetclr.c
tcc -c -w -w-par -oobj\sdgetcor -mm -I..\include sdgetcor.c
tcc -c -w -w-par -oobj\sdgetfrc -mm -I..\include sdgetfrc.c
tcc -c -w -w-par -oobj\sdgethw -mm -I..\include sdgethw.c
tcc -c -w -w-par -oobj\sdgetpos -mm -I..\include sdgetpos.c
tcc -c -w -w-par -oobj\sdgetsiz -mm -I..\include sdgetsiz.c
tcc -c -w -w-par -oobj\sdgettb -mm -I..\include sdgettb.c
tcc -c -w -w-par -oobj\sdgfld -mm -I..\include sdgfld.c
tcc -c -w -w-par -oobj\sdgo -mm -I..\include sdgo.c
tcc -c -w -w-par -oobj\sdgohome -mm -I..\include sdgohome.c
tcc -c -w -w-par -oobj\sdgoto -mm -I..\include sdgoto.c
tcc -c -w -w-par -oobj\sdgrid -mm -I..\include sdgrid.c
tcc -c -w -w-par -oobj\sdgtfclr -mm -I..\include sdgtfclr.c
tcc -c -w -w-par -oobj\sdgtochr -mm -I..\include sdgtochr.c
tcc -c -w -w-par -oobj\sdgtofld -mm -I..\include sdgtofld.c
tcc -c -w -w-par -oobj\sdincchr -mm -I..\include sdincchr.c
tcc -c -w -w-par -oobj\sdincfld -mm -I..\include sdincfld.c
tcc -c -w -w-par -oobj\sdinsrow -mm -I..\include sdinsrow.c
tcc -c -w -w-par -oobj\sdisfnam -mm -I..\include sdisfnam.c
tcc -c -w -w-par -oobj\sdload -mm -I..\include sdload.c
tcc -c -w -w-par -oobj\sdlstfld -mm -I..\include sdlstfld.c
tcc -c -w -w-par -oobj\sdmevacc -mm -I..\include sdmevacc.c
tcc -c -w -w-par -oobj\sdmouckf -mm -I..\include sdmouckf.c
tcc -c -w -w-par -oobj\sdmouclk -mm -I..\include sdmouclk.c
tcc -c -w -w-par -oobj\sdmoudrg -mm -I..\include sdmoudrg.c
tcc -c -w -w-par -oobj\sdmoufrm -mm -I..\include sdmoufrm.c
tcc -c -w -w-par -oobj\sdmougck -mm -I..\include sdmougck.c
tcc -c -w -w-par -oobj\sdmougtk -mm -I..\include sdmougtk.c
tcc -c -w -w-par -oobj\sdmoutrk -mm -I..\include sdmoutrk.c
tcc -c -w -w-par -oobj\sdmovfld -mm -I..\include sdmovfld.c
tcc -c -w -w-par -oobj\sdname -mm -I..\include sdname.c
tcc -c -w -w-par -oobj\sdnamvar -mm -I..\include sdnamvar.c
tcc -c -w -w-par -oobj\sdok -mm -I..\include sdok.c
tcc -c -w -w-par -oobj\sdopen -mm -I..\include sdopen.c
tcc -c -w -w-par -oobj\sdover -mm -I..\include sdover.c
tcc -c -w -w-par -oobj\sdovrwrt -mm -I..\include sdovrwrt.c
tcc -c -w -w-par -oobj\sdpgdn -mm -I..\include sdpgdn.c
tcc -c -w -w-par -oobj\sdpglt -mm -I..\include sdpglt.c
tcc -c -w -w-par -oobj\sdpgrt -mm -I..\include sdpgrt.c
tcc -c -w -w-par -oobj\sdpgup -mm -I..\include sdpgup.c
tcc -c -w -w-par -oobj\sdploat -mm -I..\include sdploat.c
tcc -c -w -w-par -oobj\sdpulllt -mm -I..\include sdpulllt.c
tcc -c -w -w-par -oobj\sdpullrt -mm -I..\include sdpullrt.c
tcc -c -w -w-par -oobj\sdpushlt -mm -I..\include sdpushlt.c
tcc -c -w -w-par -oobj\sdpushrt -mm -I..\include sdpushrt.c
tcc -c -w -w-par -oobj\sdrptfld -mm -I..\include sdrptfld.c
tcc -c -w -w-par -oobj\sdsave -mm -I..\include sdsave.c
tcc -c -w -w-par -oobj\sdscrlad -mm -I..\include sdscrlad.c
tcc -c -w -w-par -oobj\sdscrldn -mm -I..\include sdscrldn.c
tcc -c -w -w-par -oobj\sdscrllt -mm -I..\include sdscrllt.c
tcc -c -w -w-par -oobj\sdscrlrt -mm -I..\include sdscrlrt.c
tcc -c -w -w-par -oobj\sdscrlup -mm -I..\include sdscrlup.c
tcc -c -w -w-par -oobj\sdsetclr -mm -I..\include sdsetclr.c
tcc -c -w -w-par -oobj\sdsetfw -mm -I..\include sdsetfw.c
tcc -c -w -w-par -oobj\sdsethgt -mm -I..\include sdsethgt.c
tcc -c -w -w-par -oobj\sdsetmou -mm -I..\include sdsetmou.c
tcc -c -w -w-par -oobj\sdsettb -mm -I..\include sdsettb.c
tcc -c -w -w-par -oobj\sdsetwid -mm -I..\include sdsetwid.c
tcc -c -w -w-par -oobj\sdsrch -mm -I..\include sdsrch.c
tcc -c -w -w-par -oobj\sdwin -mm -I..\include sdwin.c
tcc -c -w -w-par -oobj\sdwinimo -mm -I..\include sdwinimo.c
tcc -c -w -w-par -oobj\sdxflds -mm -I..\include sdxflds.c
tcc -c -w -w-par -oobj\sfile -mm -I..\include sfile.c
tcc -c -w -w-par -oobj\slddrows -mm -I..\include slddrows.c
tcc -c -w -w-par -oobj\sldirows -mm -I..\include sldirows.c
tcc -c -w -w-par -oobj\sledopen -mm -I..\include sledopen.c
tcc -c -w -w-par -oobj\sledprot -mm -I..\include sledprot.c
tcc -c -w -w-par -oobj\sledwin -mm -I..\include sledwin.c
tcc -c -w -w-par -oobj\slug -mm -I..\include slug.c
tcc -c -w -w-par -oobj\spcabort -mm -I..\include spcabort.c
tcc -c -w -w-par -oobj\spcembed -mm -I..\include spcembed.c
tcc -c -w -w-par -oobj\spcembtd -mm -I..\include spcembtd.c
tcc -c -w -w-par -oobj\spcsled -mm -I..\include spcsled.c
tcc -c -w -w-par -oobj\tbsetmax -mm -I..\include tbsetmax.c
tcc -c -w -w-par -oobj\tbstr -mm -I..\include tbstr.c
tcc -c -w -w-par -oobj\tedcopy -mm -I..\include tedcopy.c
tcc -c -w -w-par -oobj\tedcurs -mm -I..\include tedcurs.c
tcc -c -w -w-par -oobj\tedfile -mm -I..\include tedfile.c
tcc -c -w -w-par -oobj\tedfoll -mm -I..\include tedfoll.c
tcc -c -w -w-par -oobj\tedgstr -mm -I..\include tedgstr.c
tcc -c -w -w-par -oobj\tedit -mm -I..\include tedit.c
tcc -c -w -w-par -oobj\tedline -mm -I..\include tedline.c
tcc -c -w -w-par -oobj\tedpast -mm -I..\include tedpast.c
tcc -c -w -w-par -oobj\tedsetmv -mm -I..\include tedsetmv.c
tcc -c -w -w-par -oobj\tedsrch -mm -I..\include tedsrch.c
tcc -c -w -w-par -oobj\tedstrip -mm -I..\include tedstrip.c
tcc -c -w -w-par -oobj\tedword -mm -I..\include tedword.c
tcc -c -w -w-par -oobj\textbuf -mm -I..\include textbuf.c
tcc -c -w -w-par -oobj\ufncload -mm -I..\include ufncload.c
tcc -c -w -w-par -oobj\ufncsave -mm -I..\include ufncsave.c
tcc -c -w -w-par -oobj\ufuncobj -mm -I..\include ufuncobj.c

echo Compiling OWL files

tcc -c -w -w-par -oobj\bbchain -mm -I..\include -zCOWL_TEXT bbchain.c
tcc -c -w -w-par -oobj\bcwin -mm -I..\include -zCOWL_TEXT bcwin.c
tcc -c -w -w-par -oobj\bfaux -mm -I..\include -zCOWL_TEXT bfaux.c
tcc -c -w -w-par -oobj\bfile -mm -I..\include -zCOWL_TEXT bfile.c
tcc -c -w -w-par -oobj\blwin -mm -I..\include -zCOWL_TEXT blwin.c
tcc -c -w -w-par -oobj\bobgo -mm -I..\include -zCOWL_TEXT bobgo.c
tcc -c -w -w-par -oobj\bobgtanc -mm -I..\include -zCOWL_TEXT bobgtanc.c
tcc -c -w -w-par -oobj\bobgtown -mm -I..\include -zCOWL_TEXT bobgtown.c
tcc -c -w -w-par -oobj\bobset -mm -I..\include -zCOWL_TEXT bobset.c
tcc -c -w -w-par -oobj\bordaux -mm -I..\include -zCOWL_TEXT bordaux.c
tcc -c -w -w-par -oobj\bordclos -mm -I..\include -zCOWL_TEXT bordclos.c
tcc -c -w -w-par -oobj\borddrwt -mm -I..\include -zCOWL_TEXT borddrwt.c
tcc -c -w -w-par -oobj\bordghzb -mm -I..\include -zCOWL_TEXT bordghzb.c
tcc -c -w -w-par -oobj\bordglts -mm -I..\include -zCOWL_TEXT bordglts.c
tcc -c -w -w-par -oobj\bordgvtb -mm -I..\include -zCOWL_TEXT bordgvtb.c
tcc -c -w -w-par -oobj\bordimo -mm -I..\include -zCOWL_TEXT bordimo.c
tcc -c -w -w-par -oobj\bordobj -mm -I..\include -zCOWL_TEXT bordobj.c
tcc -c -w -w-par -oobj\bordout -mm -I..\include -zCOWL_TEXT bordout.c
tcc -c -w -w-par -oobj\bordsend -mm -I..\include -zCOWL_TEXT bordsend.c
tcc -c -w -w-par -oobj\bordsetp -mm -I..\include -zCOWL_TEXT bordsetp.c
tcc -c -w -w-par -oobj\bordssds -mm -I..\include -zCOWL_TEXT bordssds.c
tcc -c -w -w-par -oobj\cmap -mm -I..\include -zCOWL_TEXT cmap.c
tcc -c -w -w-par -oobj\cmapcopy -mm -I..\include -zCOWL_TEXT cmapcopy.c
tcc -c -w -w-par -oobj\cmapput -mm -I..\include -zCOWL_TEXT cmapput.c
tcc -c -w -w-par -oobj\cmwin -mm -I..\include -zCOWL_TEXT cmwin.c
tcc -c -w -w-par -oobj\cmwindra -mm -I..\include -zCOWL_TEXT cmwindra.c
tcc -c -w -w-par -oobj\cmwinimo -mm -I..\include -zCOWL_TEXT cmwinimo.c
tcc -c -w -w-par -oobj\cmwintty -mm -I..\include -zCOWL_TEXT cmwintty.c
tcc -c -w -w-par -oobj\disp -mm -I..\include -zCOWL_TEXT disp.c
tcc -c -w -w-par -oobj\dispapv -mm -I..\include -zCOWL_TEXT dispapv.c
tcc -c -w -w-par -oobj\dispbfon -mm -I..\include -zCOWL_TEXT dispbfon.c
tcc -c -w -w-par -oobj\dispclr -mm -I..\include -zCOWL_TEXT dispclr.c
tcc -c -w -w-par -oobj\dispcurr -mm -I..\include -zCOWL_TEXT dispcurr.c
tcc -c -w -w-par -oobj\dispinit -mm -I..\include -zCOWL_TEXT dispinit.c
tcc -c -w -w-par -oobj\dispmono -mm -I..\include -zCOWL_TEXT dispmono.c
tcc -c -w -w-par -oobj\disppcco -mm -I..\include -zCOWL_TEXT disppcco.c
tcc -c -w -w-par -oobj\disprein -mm -I..\include -zCOWL_TEXT disprein.c
tcc -c -w -w-par -oobj\expbmu -mm -I..\include -zCOWL_TEXT expbmu.c
tcc -c -w -w-par -oobj\expstd -mm -I..\include -zCOWL_TEXT expstd.c
tcc -c -w -w-par -oobj\frw -mm -I..\include -zCOWL_TEXT frw.c
tcc -c -w -w-par -oobj\grwin -mm -I..\include -zCOWL_TEXT grwin.c
tcc -c -w -w-par -oobj\jains -mm -I..\include -zCOWL_TEXT jains.c
tcc -c -w -w-par -oobj\jarray -mm -I..\include -zCOWL_TEXT jarray.c
tcc -c -w -w-par -oobj\kbidle -mm -I..\include -zCOWL_TEXT kbidle.c
tcc -c -w -w-par -oobj\kblist -mm -I..\include -zCOWL_TEXT kblist.c
tcc -c -w -w-par -oobj\kbmacro -mm -I..\include -zCOWL_TEXT kbmacro.c
tcc -c -w -w-par -oobj\kbread -mm -I..\include -zCOWL_TEXT kbread.c
tcc -c -w -w-par -oobj\kbrecord -mm -I..\include -zCOWL_TEXT kbrecord.c
tcc -c -w -w-par -oobj\mouseini -mm -I..\include -zCOWL_TEXT mouseini.c
tcc -c -w -w-par -oobj\msgwin -mm -I..\include -zCOWL_TEXT msgwin.c
tcc -c -w -w-par -oobj\npwin -mm -I..\include -zCOWL_TEXT npwin.c
tcc -c -w -w-par -oobj\oakalloc -mm -I..\include -zCOWL_TEXT oakalloc.c
tcc -c -w -w-par -oobj\oakerrno -mm -I..\include -zCOWL_TEXT oakerrno.c
tcc -c -w -w-par -oobj\oakerror -mm -I..\include -zCOWL_TEXT oakerror.c
tcc -c -w -w-par -oobj\oakint -mm -I..\include -zCOWL_TEXT oakint.c
tcc -c -w -w-par -oobj\objfuncs -mm -I..\include -zCOWL_TEXT objfuncs.c
tcc -c -w -w-par -oobj\objname -mm -I..\include -zCOWL_TEXT objname.c
tcc -c -w -w-par -oobj\oboxclip -mm -I..\include -zCOWL_TEXT oboxclip.c
tcc -c -w -w-par -oobj\oboxdist -mm -I..\include -zCOWL_TEXT oboxdist.c
tcc -c -w -w-par -oobj\ocbox -mm -I..\include -zCOWL_TEXT ocbox.c
tcc -c -w -w-par -oobj\ocolmap -mm -I..\include -zCOWL_TEXT ocolmap.c
tcc -c -w -w-par -oobj\omemmove -mm -I..\include -zCOWL_TEXT omemmove.c
tcc -c -w -w-par -oobj\opbox -mm -I..\include -zCOWL_TEXT opbox.c
tcc -c -w -w-par -oobj\opclipso -mm -I..\include -zCOWL_TEXT opclipso.c
tcc -c -w -w-par -oobj\opclipst -mm -I..\include -zCOWL_TEXT opclipst.c
tcc -c -w -w-par -oobj\oslist -mm -I..\include -zCOWL_TEXT oslist.c
tcc -c -w -w-par -oobj\pmapload -mm -I..\include -zCOWL_TEXT pmapload.c
tcc -c -w -w-par -oobj\pmapopen -mm -I..\include -zCOWL_TEXT pmapopen.c
tcc -c -w -w-par -oobj\pmapx -mm -I..\include -zCOWL_TEXT pmapx.c
tcc -c -w -w-par -oobj\pmwin -mm -I..\include -zCOWL_TEXT pmwin.c
tcc -c -w -w-par -oobj\pmwinimo -mm -I..\include -zCOWL_TEXT pmwinimo.c
tcc -c -w -w-par -oobj\pmwinope -mm -I..\include -zCOWL_TEXT pmwinope.c
tcc -c -w -w-par -oobj\ptdchar -mm -I..\include -zCOWL_TEXT ptdchar.c
tcc -c -w -w-par -oobj\ptdframe -mm -I..\include -zCOWL_TEXT ptdframe.c
tcc -c -w -w-par -oobj\ptdline -mm -I..\include -zCOWL_TEXT ptdline.c
tcc -c -w -w-par -oobj\ptdpixch -mm -I..\include -zCOWL_TEXT ptdpixch.c
tcc -c -w -w-par -oobj\sarray -mm -I..\include -zCOWL_TEXT sarray.c
tcc -c -w -w-par -oobj\sfiltext -mm -I..\include -zCOWL_TEXT sfiltext.c
tcc -c -w -w-par -oobj\strmask -mm -I..\include -zCOWL_TEXT strmask.c
tcc -c -w -w-par -oobj\strtools -mm -I..\include -zCOWL_TEXT strtools.c
tcc -c -w -w-par -oobj\strwrap -mm -I..\include -zCOWL_TEXT strwrap.c
tcc -c -w -w-par -oobj\tmadd -mm -I..\include -zCOWL_TEXT tmadd.c
tcc -c -w -w-par -oobj\tmelap -mm -I..\include -zCOWL_TEXT tmelap.c
tcc -c -w -w-par -oobj\tmnow -mm -I..\include -zCOWL_TEXT tmnow.c
tcc -c -w -w-par -oobj\tmvalid -mm -I..\include -zCOWL_TEXT tmvalid.c
tcc -c -w -w-par -oobj\userwin -mm -I..\include -zCOWL_TEXT userwin.c
tcc -c -w -w-par -oobj\varray -mm -I..\include -zCOWL_TEXT varray.c
tcc -c -w -w-par -oobj\vid -mm -I..\include -zCOWL_TEXT vid.c
tcc -c -w -w-par -oobj\winclear -mm -I..\include -zCOWL_TEXT winclear.c
tcc -c -w -w-par -oobj\winclip -mm -I..\include -zCOWL_TEXT winclip.c
tcc -c -w -w-par -oobj\wincurso -mm -I..\include -zCOWL_TEXT wincurso.c
tcc -c -w -w-par -oobj\windump -mm -I..\include -zCOWL_TEXT windump.c
tcc -c -w -w-par -oobj\winexpos -mm -I..\include -zCOWL_TEXT winexpos.c
tcc -c -w -w-par -oobj\wingetp -mm -I..\include -zCOWL_TEXT wingetp.c
tcc -c -w -w-par -oobj\wingo -mm -I..\include -zCOWL_TEXT wingo.c
tcc -c -w -w-par -oobj\winlist -mm -I..\include -zCOWL_TEXT winlist.c
tcc -c -w -w-par -oobj\winload -mm -I..\include -zCOWL_TEXT winload.c
tcc -c -w -w-par -oobj\winmev -mm -I..\include -zCOWL_TEXT winmev.c
tcc -c -w -w-par -oobj\winmougt -mm -I..\include -zCOWL_TEXT winmougt.c
tcc -c -w -w-par -oobj\winmouse -mm -I..\include -zCOWL_TEXT winmouse.c
tcc -c -w -w-par -oobj\winmoutk -mm -I..\include -zCOWL_TEXT winmoutk.c
tcc -c -w -w-par -oobj\winobj -mm -I..\include -zCOWL_TEXT winobj.c
tcc -c -w -w-par -oobj\winobsc -mm -I..\include -zCOWL_TEXT winobsc.c
tcc -c -w -w-par -oobj\winopen -mm -I..\include -zCOWL_TEXT winopen.c
tcc -c -w -w-par -oobj\winpaint -mm -I..\include -zCOWL_TEXT winpaint.c
tcc -c -w -w-par -oobj\winsave -mm -I..\include -zCOWL_TEXT winsave.c
tcc -c -w -w-par -oobj\winscrol -mm -I..\include -zCOWL_TEXT winscrol.c
tcc -c -w -w-par -oobj\winsetp -mm -I..\include -zCOWL_TEXT winsetp.c
tcc -c -w -w-par -oobj\winsize -mm -I..\include -zCOWL_TEXT winsize.c
tcc -c -w -w-par -oobj\wintop -mm -I..\include -zCOWL_TEXT wintop.c
tcc -c -w -w-par -oobj\wmgrinit -mm -I..\include -zCOWL_TEXT wmgrinit.c

echo Compiling BD files

tcc -c -w -w-par -oobj\bd1 -mm -I..\include bd1.c
tcc -c -w -w-par -oobj\bd123 -mm -I..\include bd123.c
tcc -c -w -w-par -oobj\bd2 -mm -I..\include bd2.c
tcc -c -w -w-par -oobj\bdbar -mm -I..\include bdbar.c
tcc -c -w -w-par -oobj\bdbox -mm -I..\include bdbox.c
tcc -c -w -w-par -oobj\bdboxlt -mm -I..\include bdboxlt.c
tcc -c -w -w-par -oobj\bdhead -mm -I..\include bdhead.c
tcc -c -w -w-par -oobj\bdmouse -mm -I..\include bdmouse.c
tcc -c -w -w-par -oobj\bdmouse2 -mm -I..\include bdmouse2.c
tcc -c -w -w-par -oobj\bdnull -mm -I..\include bdnull.c
tcc -c -w -w-par -oobj\bdplain -mm -I..\include bdplain.c
tcc -c -w -w-par -oobj\bdprompt -mm -I..\include bdprompt.c
tcc -c -w -w-par -oobj\bdside -mm -I..\include bdside.c
tcc -c -w -w-par -oobj\bdstd -mm -I..\include bdstd.c
tcc -c -w -w-par -oobj\bdtitle -mm -I..\include bdtitle.c
tcc -c -w -w-par -oobj\bdxref -mm -I..\include bdxref.c

echo Compiling DIG files

tcc -c -w -w-par -oobj\digbtree -mm -I..\include -zCPCDIG_TEXT digbtree.c
tcc -c -w -w-par -oobj\digcursb -mm -I..\include -zCPCDIG_TEXT digcursb.c
tcc -c -w -w-par -oobj\digcursl -mm -I..\include -zCPCDIG_TEXT digcursl.c
tcc -c -w -w-par -oobj\digflip -mm -I..\include -zCPCDIG_TEXT digflip.c
tcc -c -w -w-par -oobj\digklex -mm -I..\include -zCPCDIG_TEXT digklex.c
tcc -c -w -w-par -oobj\digpmcli -mm -I..\include -zCPCDIG_TEXT digpmcli.c
tcc -c -w -w-par -oobj\digpow2 -mm -I..\include -zCPCDIG_TEXT digpow2.c
tcc -c -w -w-par -oobj\digscmap -mm -I..\include -zCPCDIG_TEXT digscmap.c
tcc -c -w -w-par -oobj\digshsec -mm -I..\include -zCPCDIG_TEXT digshsec.c
tcc -c -w -w-par -oobj\digsqcm -mm -I..\include -zCPCDIG_TEXT digsqcm.c
tcc -c -w -w-par -oobj\pcxload -mm -I..\include -zCPCDIG_TEXT pcxload.c
tcc -c -w -w-par -oobj\pcxsave -mm -I..\include -zCPCDIG_TEXT pcxsave.c

echo Compiling PC files

tcc -c -w -w-par -oobj\pcbdrawc -mm -I..\include -zCPCDIG_TEXT pcbdrawc.c
tcc -c -w -w-par -oobj\pcbios -mm -I..\include -zCPCDIG_TEXT pcbios.c
tcc -c -w -w-par -oobj\pcbscrol -mm -I..\include -zCPCDIG_TEXT pcbscrol.c
tcc -c -w -w-par -oobj\pcbsetcu -mm -I..\include -zCPCDIG_TEXT pcbsetcu.c
tcc -c -w -w-par -oobj\pccga -mm -I..\include -zCPCDIG_TEXT pccga.c
tcc -c -w -w-par -oobj\pcdir -mm -I..\include -zCPCDIG_TEXT pcdir.c
tcc -c -w -w-par -oobj\pcdisp -mm -I..\include -zCPCDIG_TEXT pcdisp.c
tcc -c -w -w-par -oobj\pcevga -mm -I..\include -zCPCDIG_TEXT pcevga.c
tcc -c -w -w-par -oobj\pcgfuncs -mm -I..\include -zCPCDIG_TEXT pcgfuncs.c
tcc -c -w -w-par -oobj\pchard -mm -I..\include -zCPCDIG_TEXT pchard.c
tcc -c -w -w-par -oobj\pcherc -mm -I..\include -zCPCDIG_TEXT pcherc.c
tcc -c -w -w-par -oobj\pcmcga -mm -I..\include -zCPCDIG_TEXT pcmcga.c
tcc -c -w -w-par -oobj\pcmcurr -mm -I..\include -zCPCDIG_TEXT pcmcurr.c
tcc -c -w -w-par -oobj\pcmcurrt -mm -I..\include -zCPCDIG_TEXT pcmcurrt.c
tcc -c -w -w-par -oobj\pcmgraph -mm -I..\include -zCPCDIG_TEXT pcmgraph.c
tcc -c -w -w-par -oobj\pcmode -mm -I..\include -zCPCDIG_TEXT pcmode.c
tcc -c -w -w-par -oobj\pcopen -mm -I..\include -zCPCDIG_TEXT pcopen.c
tcc -c -w -w-par -oobj\pcpmap -mm -I..\include -zCPCDIG_TEXT pcpmap.c
tcc -c -w -w-par -oobj\pcpmapio -mm -I..\include -zCPCDIG_TEXT pcpmapio.c
tcc -c -w -w-par -oobj\pcramcle -mm -I..\include -zCPCDIG_TEXT pcramcle.c
tcc -c -w -w-par -oobj\pcramcpp -mm -I..\include -zCPCDIG_TEXT pcramcpp.c
tcc -c -w -w-par -oobj\pcramdra -mm -I..\include -zCPCDIG_TEXT pcramdra.c
tcc -c -w -w-par -oobj\pcrestor -mm -I..\include -zCPCDIG_TEXT pcrestor.c
tcc -c -w -w-par -oobj\pcsplash -mm -I..\include -zCPCDIG_TEXT pcsplash.c
tcc -c -w -w-par -oobj\pctext -mm -I..\include -zCPCDIG_TEXT pctext.c
tcc -c -w -w-par -oobj\pctextin -mm -I..\include -zCPCDIG_TEXT pctextin.c
tcc -c -w -w-par -oobj\pcvgrab -mm -I..\include -zCPCDIG_TEXT pcvgrab.c

echo Compiling PCA files

tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pc1bitpl.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pc2bitpl.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pc8bitpl.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pcbunrun.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pcbxlat.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pccbrk.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pcevgapl.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pchcfont.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pchcfunc.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pciscpq.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pcneares.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pcoint86.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pcrammov.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pcramwmo.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pcvfreez.asm, obj\;
tasm /ml /dT2=99 /dmMOD=99 /I..\include /dDIGSEG=99  pcvscan.asm, obj\;

echo Done compiling.

echo Creating C-scape library file.
rem  Delete old C-scape lib if it exists to prepare for new one.
del ..\lib\T2mCSCAP.lib
rem 
tlib @CSRESP.T2m
echo Creating OWL library file.
rem  Delete old OWL lib if it exists to prepare for new one.
del ..\lib\T2mOWL.lib
rem 
tlib @OWLRESP.T2m
echo Done.

