/*
	fncntry.c	gam	 	5/31/89

	% declaration of the ocountry_struct

	C-scape 3.2
	Copyright (c) 1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 6/06/89 gam	Created and hooked into date_funcs, sdouble_funcs,
					double_funcs, yesno_funcs, strcomma, & strdecp.
	 8/15/89 gam	Took out #include's of stdio.h and string.h

	12/21/89 jmd	fixed declaration of strtrans
	 3/28/90 jmd	ansi-fied
	 8/09/90 jdc	added time_fmt initialization
	 8/27/90 jmd	added errmsg initialization
	 9/13/90 jmd	added press esc msg
	 9/21/90 pmcm	made ocountry OGLOBAL
	 9/21/90 pmcm	included oakland.h for OEXTERN definition in fncntry.h
*/

#include "oakland.h"
#include "fncntry.h"

OGLOBAL ocountry_struct ocountry = {
	"Yes",
	"No",
	MMDDYY,
	TIME_24,
	'.',
	',',
	"Invalid Entry",
	"Press Esc to leave help, Backspace for previous help screen.",
	"Press Escape"
};


char *strtrans(char *string, int letter, int replace)
/*
	Translates occurences of 'letter' in 'string' with 'replace'.
*/
{
	char	*place;

	for (place = string; *place != '\0'; place++) {
		if (*place == (char) letter) {
			*place = (char) replace;
		}
	}

	return(string);
}

