/*
  	helpview.c

	% help_View

	A help display function.

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 4/22/89 jmd	changed border to bord
	 3/28/90 jmd	ansi-fied
*/

#include <stdio.h>
#include "cscape.h"
#include "popdecl.h"
#include "helpdecl.h"

int help_View(help_type h)
/*
	Display help using the pop_View function.
	If there is data associated with help use it, else
	use defaults.
*/
{
	struct hv_struct *hv;

	hv = (struct hv_struct *) help_GetData(h);

	if (hv == NULL) {
		pop_View(help_GetTitle(h), help_GetText(h), 
			-1, -1,	-1, -1, ATTR_NORMAL, 0, bd_std);
	}
	else {
		pop_View(help_GetTitle(h), help_GetText(h), hv->row, hv->col, 
				hv->height, hv->width, hv->color, 0, hv->bord);
	}

	return(0);
}
