/*
  	menumfld.c

	% menu_MarkField

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 2/08/89 jdc	used to be sed_MarkField()
	 3/28/90 jmd	ansi-fied
*/

#include "menu.h"
#include "fldpriv.h"		/* for field set attr */

void menu_MarkField(menu_type menu, int fieldno, char reg, char sel)
/*
	modifies:	the menu and the menu(!).
					  
	effects:	marks the field passed with the attribute reg.  
				when the field is refreshed, it will be set to 
				this attribute.  when it is selected, the field
				attribute will be set to the select attribute.
*/
{
	field_type field;

	cs_Assert(menu_Ok(menu), CS_SD_MF_SED, 0);

	field = menu_GetField(menu, fieldno);

	field_SetMarked(field, TRUE);
	field_SetSelAttr(field, sel);
	field_SetRegAttr(field, reg);
}
