/*
	sddobob.c		12/07/88

	% sed_DoThemBobs

	C-scape 3.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

void sed_DoThemBobs(sed_type sed, int msg, VOID *indata, VOID *outdata, unsigned mode)
/*
	Send a message to all the sed's bobs
	mode:
	SDTB_DEP	send messages to dependent bobs only.
	SDTB_ALL	send messages to all bobs
*/
{
	register int i;
	bob_type 	bob;
	menu_type 	menu;

	menu = sed_GetMenu(sed);

	for (i = 0; i < menu_GetBobCount(menu); i++) {
		bob = menu_GetBob(menu, i);

		if ((mode & SDTB_ALL) || ((mode & SDTB_DEP) && bob_IsDepend(bob))) {
			bob_Do(bob, msg, indata, outdata);
		}
	}
}

