/*
	sdrptfld.c

	% sed_RepaintField

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	11/08/86 jmd	added calls to do_funcs
	11/18/87 jmd 	changed names of some low-level funcs

	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

void sed_RepaintField(sed_type sed, int fieldno)
/*
	effects:	sets the record to the string passed, then refreshes
				the field to reflect its new contents.
	modifies:	the sed.
*/
{
	cs_Assert(sed_Ok(sed), CS_SD_RPTF_SED, 0);

	sed_DoFieldSenter(sed, fieldno);
	sd_refresh_field(sed, fieldno);
}
