/*
	bordclos.c   2/87

	% bord_Close

	OWL 1.2
	Copyright (c) 1986, 1987, 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	10/31/88 Ted	Removed linking.

	12/10/89 jmd	made win_GetBorder macro
	 3/28/90 jmd	ansi-fied
*/

#include "oakhead.h"
#include "disppriv.h"
#include "bordobj.h"

void bord_Close(win_type win)
/*
	Close a window's border object.
*/
{
	if (win != NULL && win_GetBorder(win) != NULL) {
		obj_Close(win_GetBorder(win));
		win_setbd(win, NULL);
	}
}
/* -------------------------------------------------------------------------- */

