/*
	bordsend.c

	% bord_SendMsg

	OWL 1.2
	Copyright (c) 1986, 1987, 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	12/18/88 jmd	pulled out of border.c

	 5/23/89 jmd	added "border features"

	12/20/89 ted	Removed bord_SetFeature because it's a macro now.
	 3/28/90 jmd	ansi-fied
	 7/25/90 jdc	added win == NULL check, fixes prompt_win == NULL bug
*/

#include "oakhead.h"
#include "disppriv.h"
#include "bordobj.h"
/* -------------------------------------------------------------------------- */

int bord_SendMsg(win_type win, int msg, VOID *indata, VOID *outdata)
/*
	Simply a function wrapped around bord_Do to save code size.
*/
{
	return((win == NULL) ? FALSE : bord_Do(win, msg, indata, outdata));
}
/* -------------------------------------------------------------------------- */

