/*
	pcrestor.c

	% pc_RestoreDisp

	10/19/88  by Ted.
	Extracted from pcdisp.c

	OWL-PC 1.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
	 6/22/90 ted	added "void"s to no-parameter function per ansii.
*/

#include "pcpriv.h"
/* -------------------------------------------------------------------------- */

void pc_RestoreDisp(void)
{
	/* Re-Init video mode */
	pc_initmode();

	/* Re-Init mouse in case the mode swap confused the mouse driver */
	if (hard_IsMouseOn()) {
		hard_InitMouse();
	}
	disp_Repaint();
}
/* -------------------------------------------------------------------------- */

