/*
  	cscape.c

	A simple C-scape demonstration.

	C-scape 3.2	Example Program
	Copyright (c) 1988, 1990 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 6/06/90 jmd	changed main to return an int
	 9/14/90 bkd	changed to use exit(0) instead of return(0).
	10/19/90 pmcm	included ostdlib.h for exit(), added return(1)
	12/01/90 ted	prototyped main, except if Turbo C++.
	12/04/90 ted	restored "" includes for C-scape headers (not <> includes).
*/

#include <stdio.h>

#include "cscape.h"
#include "ostdlib.h"	/*	for exit() */

/* Turbo C++ complains if main is prototyped */
#ifndef TCP
int main(void);
#endif

int main(void)
{
	menu_type menu;
	sed_type sed;
	char phone[11];

	phone[0] = '\0';
	
	disp_Init(def_ModeText, FNULL);

	menu = menu_Open();

	menu_Printf(menu, "Phone Number: @f[(###) ###-####]", phone, &string_funcs);

  	menu_Flush(menu);

	sed = sed_Open(menu); 

	sed_Repaint(sed);
	sed_Go(sed);

	sed_Close(sed);

	disp_Close();		

	printf("\nphone = %s\n", phone);

	exit(0);
	return(0);
}

