/*
	bobproto.h

	% macros and functions for bobs

	8/27/90	by Ted - moved out of 'winobj.h'

	OWL 1.2
	Copyright (c) 1988, 1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

/* -------------------------------------------------------------------------- */
/* Macros */

#define bob_GetParent(bob)			(bob_getxd(bob)->parent)
#define bob_IsDepend(bob)			((boolean) bob_getxd(bob)->depend)

#define bob_SetParent(bob, parnt)	(bob_getxd(bob)->parent = (parnt))
#define bob_SetDepend(bob, d)  		(bob_getxd(bob)->depend = (d))

#define bob_GetUbit0(bob)			(bob_getxd(bob)->ubit0)
#define bob_GetUbit1(bob)			(bob_getxd(bob)->ubit1)

#define bob_SetUbit0(bob, x)		(bob_getxd(bob)->ubit0 = (x))
#define bob_SetUbit1(bob, x)		(bob_getxd(bob)->ubit1 = (x))

#define bob_SetParentMove(bob, x)	(bob_getxd(bob)->noparmove = !(x))
#define bob_IsParentMove(bob)  		((boolean) !(bob_getxd(bob)->noparmove))

#define	bob_IsWin(bob)				obj_Who(bob, ID_WIN)

#define	obj_GetClassHandle(bob)		(bob_getxd(bob)->classhandle)
#define	obj_SetClassHandle(bob, h)	(bob_getxd(bob)->classhandle = h)

#define BOB_DEPENDENT		TRUE
#define BOB_INDEPENDENT		FALSE

typedef obj_type	bob_type;

#define win_CreateBob(win, flag)	(win_SetParentClip(win, flag), (win))

#define bob_Repaint(bob)			win_Do(bob, WINM_PAINTREQ, NULL, NULL)
#define bob_Pop(bob)				win_UnEmploy(bob)
#define bob_SetPosition(bob, row, col) 	(bord_SetPosition(bob, row, col))

/* Function prototypes */
/* BOBGO.C */
extern int		bob_Go(bob_type bob);

/* BOBSET.C */
extern void		bob_GetPosition(bob_type bob, int *rowp, int *colp);
extern void		bob_GetSize(bob_type bob, int *heightp, int *widthp);

/* BOBGTANC.C */
extern win_type	bob_GetAncestor(bob_type bob);

/* BOBGTOWN.C */
extern win_type	bob_GetOwner(bob_type bob, int *childnop);
/* -------------------------------------------------------------------------- */

