/*
	cmwinod.h		11/28/88

	Cmap window object header.
	by Ted.

	OWL 1.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	11/06/89 jmd	removed DoRaw macros
*/

#ifndef OAK_CMWINOD
#define OAK_CMWINOD

#include "winod.h"
#include "cmapdecl.h"

/* The cmap window class */

typedef struct _cmwinod {
	win_od		wd;		  		/* window super class */
} cmwin_od;

#define cmwinod_GetSelf(cmwdd)		(winod_GetSelf(&(cmwdd)->wd))

/* request funcs */

OEXTERN objreq_fptr cmwinreq_mousefptr;

/* -------------------------------------------------------------------------- */
/* The blank char window class */

typedef struct _bcwinod {
	win_od		wd;		  		/* window super class */
} bcwin_od;

#define bcwinod_GetSelf(bcwdd)		(winod_GetSelf(&(bcwdd)->wd))
/* -------------------------------------------------------------------------- */
#endif

