/*
	fncntry.h	gam 	5/31/89

	Typedefs, etc. for the ocountry_struct.

	C-scape 3.2
	Copyright (c) 1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 6/06/89 gam	Created
	 8/15/89 gam	Took out #include's of stdio.h and string.h
	 8/01/90 jdc	added time_fmt field to the ocountry_struct
	 8/27/90 jmd	added errmsg
	 9/13/90 jmd	added press esc msg
	 9/21/90 pmcm	changed extern to OEXTERN for ocountry
*/

#include <ctype.h>

#define		MMDDYY		0
#define		DDMMYY		1
#define		YYMMDD		2

#define		TIME_24		0
#define		TIME_12		1

typedef struct _ocountry {
	char 	   *yes_ptr;
	char	   *no_ptr;
	int			date_fmt;
	int			time_fmt;
	char		dec_char;
	char		sep_char;

	char 	   *errmsg;					/* field function error message */
	char 	   *helpxrefmsg;   			/* help xref message */
	char 	   *pressesc;   			/* Press Escape message */
} ocountry_struct;

OEXTERN ocountry_struct ocountry;


