/*
  	kbidle.h

	% Header for kb_Idle function

	OWL 1.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 7/12/89 ted	Converted '_func' prototypes from typedef to macro.

	 3/28/90 jmd	ansi-fied
	 4/14/90 jmd	added return value to idle_func
	 4/24/90 jmd	redefined idle messages
	 5/08/90 jmd	added underscores to func macros for vms compiler
	 5/12/90 jmd 	changed scancodes to ints
	 5/17/90 jmd 	moved idle_Clock proto to here
	 7/20/90 jmd 	added IDLE_LASTMSG
*/

#define idle_func(fname)			int fname(int _msg, unsigned _wait)
typedef idle_func ((*idle_fptr));

#define IDLE_READ		0
#define IDLE_CHECK		1
#define IDLE_START		2
#define IDLE_STOP		3

#define IDLE_LASTMSG	10

/* KBIDLE.C */
extern void		kb_Idle(idle_fptr idle);

/* IDLECLK.C (in the cscape library) */
extern idle_func (idle_Clock);
