/*
	oakalloc.h  

	% 'oakland' insulated malloc functions headers

	OWL 1.2
	Copyright (c) 1986, 1987, 1988 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
*/

/* This is here for general access. The rest are in oaktag.h */
#define OA_NOTAG    1

/* OAKALLOC.C */
extern VOID	   *omalloc(int tag, SIZE_T size);
extern VOID	   *ocalloc(int tag, SIZE_T n, SIZE_T size);
extern VOID	   *orealloc(int tag, VOID *buffer, SIZE_T size);
extern void		ofree(int tag, VOID *buffer);


