/*
	ptdchar.h	7/11/88

	% Character oriented window painting code
	By Ted.

	OWL 1.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 7/27/88 jmd	Converted DrawLine to take an opbox

	 3/28/90 jmd	ansi-fied
*/
/* -------------------------------------------------------------------------- */
/* PTDCHAR.C */
extern void		ptd_DrawString(ptd_struct *ptd, int row, int col, char *string, byte attr, int slen);

/* PTDLINE.C */
extern void		ptd_DrawCharBox(ptd_struct *ptd, char *boxchar, ocbox *cboxp, byte attr);
extern void		ptd_DrawCharLine(ptd_struct *ptd, char *linechar, ocbox *cboxp, byte attr);

/* PTDFRAME.C */
extern void		ptd_ClearFrame(ptd_struct *ptd, opcoord xoffs, opcoord yoffs, odim width, odim height, opixval color);

/* PTDPIXCH.C */
extern void		ptd_DrawPixCharBox(ptd_struct *ptd, opbox *boxp, char *boxchar, ofont_type font, byte attr);
extern void		ptd_DrawPixCharLine(ptd_struct *ptd, opcoord x, opcoord y, boolean down, char *linechar, ofont_type font, byte attr, unsigned len);
/* -------------------------------------------------------------------------- */

