/*
	sadecl.h

	% sleazy array header

	OWL 1.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
*/

typedef bbc_type sarray_type;

/* SARRAY.C */
extern VOID	   *sa_Get(sarray_type sa, long i);
extern VOID	   *sa_set(sarray_type sa, long i, VOID *sdata, byte cdata, unsigned len, boolean ins);
extern long		sa_Del(sarray_type sa, long i, long count);
extern boolean	sa_find(sarray_type sa, long i);

#define	sa_Open(esize, bsize, asize)	bbc_Open(esize, bsize, asize)
#define sa_Put(sa, i, d)				sa_set(sa, i, d, 0, 1, FALSE)
#define sa_Ins(sa, i, d)				sa_set(sa, i, d, 0, 1, TRUE)
#define sa_Blank(sa, i, len, ins)		sa_set(sa, i, NULL, 0, len, ins)
#define	sa_Close(sa)					bbc_Close(sa)
