/*
	strdecl.h   	 7/27/88

	% Include File for string functions.

	OWL 1.2
	Copyright (c) 1986, 1987, 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
	 4/11/90 mla	added strmask
*/

/* STRTOOLS.C */
extern char	   *strleft(char *s, int len);
extern char	   *strright(char *s, int len);
extern char	   *strcenter(char *s, int len);
extern char	   *strclip(char *s);
extern char	   *strpreclip(char *s);
extern char	   *strpad(char *s, int len);
extern char	   *strfill(char *s, char chr, int count);
extern char		invert_char(char c);
extern char	   *strcompact(char *s);

/* STRWRAP.C */
extern char	   *strwrap(char *text, int *row, int width);

/* STRMASK.C */
extern boolean strmask(char *str, char *mask);
