/*
	ufuncod.h

	% private header for ufunc bob object class

	C-scape 3.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

 	Revision History:
	-----------------
	11/21/89 ted	Renamed ufunc xd and od bob kernels from cd to bd.
*/

#include "winod.h"				/* get bob parent stuff */

typedef struct _ufuncod {
	bob_od		bd;	 			/* the bob object superclass od */
	ufunc_fptr 	ufunc;			/* the user function */
	int			idata;			/* integer data for the user function */

} ufunc_od;

#define ufuncod_GetSelf(ufd)			(bobod_GetSelf(&(ufd)->bd))

/* -------------------------------------------------------------------------- */
/* Request funcs */

OEXTERN objreq_fptr ufuncreq_loadfptr;
OEXTERN objreq_fptr ufuncreq_savefptr;


