@echo off
echo This batch file will produce the C-scape libraries
echo  ..\lib\M1LCSCAP.lib and ..\lib\M1LOWLM.lib for
echo  Metagraphics Corporation's MetaWINDOW graphics library and
echo  the Microsoft C 5.1 compiler.
rem  Compiler = M1, model = L, type = MGR, nearsegs = TRUE
rem  Delete old object files if they exist to prepare for new ones.
echo del obj\*.obj
del obj\*.obj
rem 
rem  Create object files directory if it's not already there.
echo md obj
md obj
rem 

echo Compiling CS files

cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc auxtop.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc field.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fldcls.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fldgetb.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fldpulll.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fldpullr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fldpushl.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fldpushr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnalpha.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnbob.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnchar.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fncheck.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnclong.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fncmoney.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fncntry.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fncomma.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fndate.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fndecpt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fndigit.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fndouble.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnfixdp.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnframer.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnhex.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnifld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnifldg.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnint.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnipage.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnlist.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnlong.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnmark.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnmenu.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnmoney.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnmsys.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnnowrit.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnnum.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnpnum.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnradio.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnrange.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnsdoubl.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnsecure.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnselect.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnsfloat.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnsint.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnslong.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnslug.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnspec.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnstd.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnstdval.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnstrcom.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnstring.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnted.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnticker.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fntime.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fntoggle.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fntogint.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnvalfmt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnvalnum.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnvalrng.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnvalstr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnxstr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fnyesno.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc framer.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fsym.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fsymidef.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc fsyminit.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc help.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc helpshow.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc helpview.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc helpxref.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc idleclk.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menu.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menuaftg.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menucfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menudest.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menudfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menudrow.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menufind.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menuirow.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menuload.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menumfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menumrkf.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menuname.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menupdpl.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menuputb.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menusave.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menusfb.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menusfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menusize.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menutb.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menutffg.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menuunpf.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menuvars.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc menuxfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc msys.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc msysdo.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc msyspars.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc objload.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc puedit.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc pumenu.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc pumsg.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc puparms.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc puprompt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc putext.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc puview.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sd1stfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdalloc.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdcenter.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdcurs.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sddecchr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sddecfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sddelfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sddelrow.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sddisp.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sddobob.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sddsexit.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdfindf.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgetbhw.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgetclr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgetcor.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgetfrc.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgethw.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgetpos.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgetsiz.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgettb.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgo.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgohome.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgoto.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgrid.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgtfclr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgtochr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdgtofld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdincchr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdincfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdinsrow.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdisfnam.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdload.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdlstfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdmevacc.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdmouckf.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdmouclk.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdmoudrg.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdmoufrm.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdmougck.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdmougtk.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdmoutrk.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdmovfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdname.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdnamvar.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdok.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdopen.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdover.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdovrwrt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdpgdn.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdpglt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdpgrt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdpgup.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdploat.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdpulllt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdpullrt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdpushlt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdpushrt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdrptfld.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdsave.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdscrlad.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdscrldn.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdscrllt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdscrlrt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdscrlup.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdsetclr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdsetfw.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdsethgt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdsetmou.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdsettb.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdsetwid.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdsrch.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdwinimo.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sdxflds.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sfile.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc slddrows.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sldirows.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sledopen.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sledprot.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc sledwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc slug.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc spcabort.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc spcembed.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc spcembtd.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc spcsled.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tbsetmax.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tbstr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedcopy.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedcurs.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedfile.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedfoll.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedgstr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedit.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedline.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedpast.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedsetmv.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedsrch.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedstrip.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc tedword.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc textbuf.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc ufncload.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc ufncsave.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc ufuncobj.c

echo Compiling OWL files

cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bbchain.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bcwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bfaux.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bfile.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc blwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bobgo.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bobgtanc.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bobgtown.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bobset.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordaux.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordclos.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc borddrwt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordghzb.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordglts.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordgvtb.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordimo.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordobj.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordout.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordsend.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordsetp.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc bordssds.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc cmap.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc cmapcopy.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc cmapput.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc cmwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc cmwindra.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc cmwinimo.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc cmwintty.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc disp.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc dispapv.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc dispbfon.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc dispclr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc dispcurr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc dispinit.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc dispmono.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc disppcco.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc disprein.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc expbmu.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc expstd.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc frw.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc grwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc jains.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc jarray.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc kbidle.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc kblist.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc kbmacro.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc kbread.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc kbrecord.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc mouseini.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc msgwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc npwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc oakalloc.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc oakerrno.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc oakerror.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc oakint.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc objfuncs.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc objname.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc oboxclip.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc oboxdist.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc ocbox.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc ocolmap.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc omemmove.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc opbox.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc opclipso.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc opclipst.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc oslist.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc pmapload.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc pmapopen.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc pmapx.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc pmwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc pmwinimo.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc pmwinope.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc ptdchar.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc ptdframe.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc ptdline.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc ptdpixch.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc sarray.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc sfiltext.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc strmask.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc strtools.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc strwrap.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc tmadd.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc tmelap.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc tmnow.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc tmvalid.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc userwin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc varray.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc vid.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winclear.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winclip.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc wincurso.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc windump.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winexpos.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc wingetp.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc wingo.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winlist.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winload.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winmev.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winmougt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winmouse.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winmoutk.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winobj.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winobsc.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winopen.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winpaint.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winsave.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winscrol.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winsetp.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc winsize.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc wintop.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTOWL_TEXT -Tc wmgrinit.c

echo Compiling BD files

cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bd1.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bd123.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bd2.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdbar.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdbox.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdboxlt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdhead.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdmouse.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdmouse2.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdnull.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdplain.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdprompt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdside.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdstd.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdtitle.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -Tc bdxref.c

echo Compiling DIG files

cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digbtree.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digcursb.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digcursl.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digflip.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digklex.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digpmcli.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digpow2.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digscmap.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digshsec.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc digsqcm.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcxload.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcxsave.c

echo Compiling PC files

cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcbdrawc.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcbios.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcbscrol.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcbsetcu.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pccga.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcdir.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcdisp.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcevga.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcgfuncs.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pchard.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcherc.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcmcga.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcmcurr.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcmcurrt.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcmgraph.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcmode.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcopen.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcpmap.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcpmapio.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcramcle.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcramcpp.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcramdra.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcrestor.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcsplash.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pctext.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pctextin.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc pcvgrab.c

echo Compiling PCA files

masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pc1bitpl.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pc2bitpl.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pc8bitpl.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pcbunrun.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pcbxlat.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pccbrk.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pcevgapl.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pchcfont.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pchcfunc.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pciscpq.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pcneares.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pcoint86.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pcrammov.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pcramwmo.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pcvfreez.asm, obj\;
masm /ML /DM1=99 /DLMOD=99 /I..\include /DDIGSEG=99  pcvscan.asm, obj\;

echo Compiling MGR files

cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrarg.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrdetec.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrdisp.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrffont.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrfont.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrhard.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrmodeg.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgropen.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrpmap.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrpmapi.c
cl -c -DM5 -Foobj\ -AL -FPc -W3 -Zl -Oit -Gs -I..\include -NTPCDIG_TEXT -Tc mgrquerm.c

echo Done compiling.

echo Creating C-scape library file.
rem  Delete old C-scape lib if it exists to prepare for new one.
del ..\lib\M1LCSCAP.lib
rem 
lib @CSRESP.M1L
echo Creating OWL library file.
rem  Delete old OWL lib if it exists to prepare for new one.
del ..\lib\M1LOWLM.lib
rem 
lib @OWLRESPM.M1L
echo Done.

