@echo off
echo This batch file will produce the C-scape libraries
echo  ..\lib\MGSCSCAP.lib and ..\lib\MGSOWL.lib for
echo  the Phar Lap DOS Extender and MetaWare High C 386 2.3 globally optimizing compiler.
rem  Compiler = MG, model = S, type = Regular, nearsegs = TRUE
rem  Delete old object files if they exist to prepare for new ones.
echo del obj\*.obj
del obj\*.obj
rem 
rem  Create object files directory if it's not already there.
echo md obj
md obj
rem 

echo Compiling CS files

hc386 -c auxtop.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\auxtop.obj -I..\include 
hc386 -c field.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\field.obj -I..\include 
hc386 -c fldcls.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fldcls.obj -I..\include 
hc386 -c fldgetb.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fldgetb.obj -I..\include 
hc386 -c fldpulll.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fldpulll.obj -I..\include 
hc386 -c fldpullr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fldpullr.obj -I..\include 
hc386 -c fldpushl.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fldpushl.obj -I..\include 
hc386 -c fldpushr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fldpushr.obj -I..\include 
hc386 -c fnalpha.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnalpha.obj -I..\include 
hc386 -c fnbob.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnbob.obj -I..\include 
hc386 -c fnchar.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnchar.obj -I..\include 
hc386 -c fncheck.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fncheck.obj -I..\include 
hc386 -c fnclong.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnclong.obj -I..\include 
hc386 -c fncmoney.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fncmoney.obj -I..\include 
hc386 -c fncntry.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fncntry.obj -I..\include 
hc386 -c fncomma.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fncomma.obj -I..\include 
hc386 -c fndate.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fndate.obj -I..\include 
hc386 -c fndecpt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fndecpt.obj -I..\include 
hc386 -c fndigit.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fndigit.obj -I..\include 
hc386 -c fndouble.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fndouble.obj -I..\include 
hc386 -c fnfixdp.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnfixdp.obj -I..\include 
hc386 -c fnframer.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnframer.obj -I..\include 
hc386 -c fnhex.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnhex.obj -I..\include 
hc386 -c fnifld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnifld.obj -I..\include 
hc386 -c fnifldg.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnifldg.obj -I..\include 
hc386 -c fnint.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnint.obj -I..\include 
hc386 -c fnipage.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnipage.obj -I..\include 
hc386 -c fnlist.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnlist.obj -I..\include 
hc386 -c fnlong.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnlong.obj -I..\include 
hc386 -c fnmark.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnmark.obj -I..\include 
hc386 -c fnmenu.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnmenu.obj -I..\include 
hc386 -c fnmoney.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnmoney.obj -I..\include 
hc386 -c fnmsys.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnmsys.obj -I..\include 
hc386 -c fnnowrit.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnnowrit.obj -I..\include 
hc386 -c fnnum.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnnum.obj -I..\include 
hc386 -c fnpnum.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnpnum.obj -I..\include 
hc386 -c fnradio.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnradio.obj -I..\include 
hc386 -c fnrange.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnrange.obj -I..\include 
hc386 -c fnsdoubl.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnsdoubl.obj -I..\include 
hc386 -c fnsecure.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnsecure.obj -I..\include 
hc386 -c fnselect.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnselect.obj -I..\include 
hc386 -c fnsfloat.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnsfloat.obj -I..\include 
hc386 -c fnsint.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnsint.obj -I..\include 
hc386 -c fnslong.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnslong.obj -I..\include 
hc386 -c fnslug.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnslug.obj -I..\include 
hc386 -c fnspec.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnspec.obj -I..\include 
hc386 -c fnstd.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnstd.obj -I..\include 
hc386 -c fnstdval.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnstdval.obj -I..\include 
hc386 -c fnstrcom.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnstrcom.obj -I..\include 
hc386 -c fnstring.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnstring.obj -I..\include 
hc386 -c fnted.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnted.obj -I..\include 
hc386 -c fnticker.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnticker.obj -I..\include 
hc386 -c fntime.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fntime.obj -I..\include 
hc386 -c fntoggle.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fntoggle.obj -I..\include 
hc386 -c fntogint.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fntogint.obj -I..\include 
hc386 -c fnvalfmt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnvalfmt.obj -I..\include 
hc386 -c fnvalnum.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnvalnum.obj -I..\include 
hc386 -c fnvalrng.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnvalrng.obj -I..\include 
hc386 -c fnvalstr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnvalstr.obj -I..\include 
hc386 -c fnxstr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnxstr.obj -I..\include 
hc386 -c fnyesno.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fnyesno.obj -I..\include 
hc386 -c framer.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\framer.obj -I..\include 
hc386 -c fsym.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fsym.obj -I..\include 
hc386 -c fsymidef.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fsymidef.obj -I..\include 
hc386 -c fsyminit.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\fsyminit.obj -I..\include 
hc386 -c help.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\help.obj -I..\include 
hc386 -c helpshow.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\helpshow.obj -I..\include 
hc386 -c helpview.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\helpview.obj -I..\include 
hc386 -c helpxref.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\helpxref.obj -I..\include 
hc386 -c idleclk.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\idleclk.obj -I..\include 
hc386 -c menu.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menu.obj -I..\include 
hc386 -c menuaftg.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menuaftg.obj -I..\include 
hc386 -c menucfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menucfld.obj -I..\include 
hc386 -c menudest.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menudest.obj -I..\include 
hc386 -c menudfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menudfld.obj -I..\include 
hc386 -c menudrow.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menudrow.obj -I..\include 
hc386 -c menufind.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menufind.obj -I..\include 
hc386 -c menuirow.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menuirow.obj -I..\include 
hc386 -c menuload.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menuload.obj -I..\include 
hc386 -c menumfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menumfld.obj -I..\include 
hc386 -c menumrkf.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menumrkf.obj -I..\include 
hc386 -c menuname.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menuname.obj -I..\include 
hc386 -c menupdpl.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menupdpl.obj -I..\include 
hc386 -c menuputb.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menuputb.obj -I..\include 
hc386 -c menusave.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menusave.obj -I..\include 
hc386 -c menusfb.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menusfb.obj -I..\include 
hc386 -c menusfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menusfld.obj -I..\include 
hc386 -c menusize.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menusize.obj -I..\include 
hc386 -c menutb.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menutb.obj -I..\include 
hc386 -c menutffg.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menutffg.obj -I..\include 
hc386 -c menuunpf.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menuunpf.obj -I..\include 
hc386 -c menuvars.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menuvars.obj -I..\include 
hc386 -c menuxfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\menuxfld.obj -I..\include 
hc386 -c msys.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\msys.obj -I..\include 
hc386 -c msysdo.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\msysdo.obj -I..\include 
hc386 -c msyspars.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\msyspars.obj -I..\include 
hc386 -c objload.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\objload.obj -I..\include 
hc386 -c puedit.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\puedit.obj -I..\include 
hc386 -c pumenu.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pumenu.obj -I..\include 
hc386 -c pumsg.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pumsg.obj -I..\include 
hc386 -c puparms.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\puparms.obj -I..\include 
hc386 -c puprompt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\puprompt.obj -I..\include 
hc386 -c putext.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\putext.obj -I..\include 
hc386 -c puview.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\puview.obj -I..\include 
hc386 -c sd1stfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sd1stfld.obj -I..\include 
hc386 -c sdalloc.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdalloc.obj -I..\include 
hc386 -c sdcenter.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdcenter.obj -I..\include 
hc386 -c sdcurs.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdcurs.obj -I..\include 
hc386 -c sddecchr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sddecchr.obj -I..\include 
hc386 -c sddecfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sddecfld.obj -I..\include 
hc386 -c sddelfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sddelfld.obj -I..\include 
hc386 -c sddelrow.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sddelrow.obj -I..\include 
hc386 -c sddisp.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sddisp.obj -I..\include 
hc386 -c sddobob.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sddobob.obj -I..\include 
hc386 -c sddsexit.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sddsexit.obj -I..\include 
hc386 -c sdfindf.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdfindf.obj -I..\include 
hc386 -c sdgetbhw.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgetbhw.obj -I..\include 
hc386 -c sdgetclr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgetclr.obj -I..\include 
hc386 -c sdgetcor.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgetcor.obj -I..\include 
hc386 -c sdgetfrc.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgetfrc.obj -I..\include 
hc386 -c sdgethw.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgethw.obj -I..\include 
hc386 -c sdgetpos.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgetpos.obj -I..\include 
hc386 -c sdgetsiz.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgetsiz.obj -I..\include 
hc386 -c sdgettb.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgettb.obj -I..\include 
hc386 -c sdgfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgfld.obj -I..\include 
hc386 -c sdgo.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgo.obj -I..\include 
hc386 -c sdgohome.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgohome.obj -I..\include 
hc386 -c sdgoto.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgoto.obj -I..\include 
hc386 -c sdgrid.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgrid.obj -I..\include 
hc386 -c sdgtfclr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgtfclr.obj -I..\include 
hc386 -c sdgtochr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgtochr.obj -I..\include 
hc386 -c sdgtofld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdgtofld.obj -I..\include 
hc386 -c sdincchr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdincchr.obj -I..\include 
hc386 -c sdincfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdincfld.obj -I..\include 
hc386 -c sdinsrow.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdinsrow.obj -I..\include 
hc386 -c sdisfnam.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdisfnam.obj -I..\include 
hc386 -c sdload.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdload.obj -I..\include 
hc386 -c sdlstfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdlstfld.obj -I..\include 
hc386 -c sdmevacc.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdmevacc.obj -I..\include 
hc386 -c sdmouckf.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdmouckf.obj -I..\include 
hc386 -c sdmouclk.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdmouclk.obj -I..\include 
hc386 -c sdmoudrg.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdmoudrg.obj -I..\include 
hc386 -c sdmoufrm.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdmoufrm.obj -I..\include 
hc386 -c sdmougck.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdmougck.obj -I..\include 
hc386 -c sdmougtk.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdmougtk.obj -I..\include 
hc386 -c sdmoutrk.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdmoutrk.obj -I..\include 
hc386 -c sdmovfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdmovfld.obj -I..\include 
hc386 -c sdname.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdname.obj -I..\include 
hc386 -c sdnamvar.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdnamvar.obj -I..\include 
hc386 -c sdok.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdok.obj -I..\include 
hc386 -c sdopen.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdopen.obj -I..\include 
hc386 -c sdover.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdover.obj -I..\include 
hc386 -c sdovrwrt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdovrwrt.obj -I..\include 
hc386 -c sdpgdn.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdpgdn.obj -I..\include 
hc386 -c sdpglt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdpglt.obj -I..\include 
hc386 -c sdpgrt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdpgrt.obj -I..\include 
hc386 -c sdpgup.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdpgup.obj -I..\include 
hc386 -c sdploat.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdploat.obj -I..\include 
hc386 -c sdpulllt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdpulllt.obj -I..\include 
hc386 -c sdpullrt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdpullrt.obj -I..\include 
hc386 -c sdpushlt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdpushlt.obj -I..\include 
hc386 -c sdpushrt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdpushrt.obj -I..\include 
hc386 -c sdrptfld.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdrptfld.obj -I..\include 
hc386 -c sdsave.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdsave.obj -I..\include 
hc386 -c sdscrlad.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdscrlad.obj -I..\include 
hc386 -c sdscrldn.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdscrldn.obj -I..\include 
hc386 -c sdscrllt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdscrllt.obj -I..\include 
hc386 -c sdscrlrt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdscrlrt.obj -I..\include 
hc386 -c sdscrlup.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdscrlup.obj -I..\include 
hc386 -c sdsetclr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdsetclr.obj -I..\include 
hc386 -c sdsetfw.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdsetfw.obj -I..\include 
hc386 -c sdsethgt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdsethgt.obj -I..\include 
hc386 -c sdsetmou.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdsetmou.obj -I..\include 
hc386 -c sdsettb.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdsettb.obj -I..\include 
hc386 -c sdsetwid.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdsetwid.obj -I..\include 
hc386 -c sdsrch.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdsrch.obj -I..\include 
hc386 -c sdwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdwin.obj -I..\include 
hc386 -c sdwinimo.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdwinimo.obj -I..\include 
hc386 -c sdxflds.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sdxflds.obj -I..\include 
hc386 -c sfile.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sfile.obj -I..\include 
hc386 -c slddrows.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\slddrows.obj -I..\include 
hc386 -c sldirows.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sldirows.obj -I..\include 
hc386 -c sledopen.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sledopen.obj -I..\include 
hc386 -c sledprot.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sledprot.obj -I..\include 
hc386 -c sledwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sledwin.obj -I..\include 
hc386 -c slug.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\slug.obj -I..\include 
hc386 -c spcabort.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\spcabort.obj -I..\include 
hc386 -c spcembed.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\spcembed.obj -I..\include 
hc386 -c spcembtd.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\spcembtd.obj -I..\include 
hc386 -c spcsled.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\spcsled.obj -I..\include 
hc386 -c tbsetmax.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tbsetmax.obj -I..\include 
hc386 -c tbstr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tbstr.obj -I..\include 
hc386 -c tedcopy.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedcopy.obj -I..\include 
hc386 -c tedcurs.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedcurs.obj -I..\include 
hc386 -c tedfile.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedfile.obj -I..\include 
hc386 -c tedfoll.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedfoll.obj -I..\include 
hc386 -c tedgstr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedgstr.obj -I..\include 
hc386 -c tedit.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedit.obj -I..\include 
hc386 -c tedline.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedline.obj -I..\include 
hc386 -c tedpast.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedpast.obj -I..\include 
hc386 -c tedsetmv.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedsetmv.obj -I..\include 
hc386 -c tedsrch.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedsrch.obj -I..\include 
hc386 -c tedstrip.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedstrip.obj -I..\include 
hc386 -c tedword.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tedword.obj -I..\include 
hc386 -c textbuf.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\textbuf.obj -I..\include 
hc386 -c ufncload.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\ufncload.obj -I..\include 
hc386 -c ufncsave.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\ufncsave.obj -I..\include 
hc386 -c ufuncobj.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\ufuncobj.obj -I..\include 

echo Compiling OWL files

hc386 -c bbchain.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bbchain.obj -I..\include 
hc386 -c bcwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bcwin.obj -I..\include 
hc386 -c bfaux.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bfaux.obj -I..\include 
hc386 -c bfile.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bfile.obj -I..\include 
hc386 -c blwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\blwin.obj -I..\include 
hc386 -c bobgo.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bobgo.obj -I..\include 
hc386 -c bobgtanc.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bobgtanc.obj -I..\include 
hc386 -c bobgtown.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bobgtown.obj -I..\include 
hc386 -c bobset.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bobset.obj -I..\include 
hc386 -c bordaux.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordaux.obj -I..\include 
hc386 -c bordclos.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordclos.obj -I..\include 
hc386 -c borddrwt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\borddrwt.obj -I..\include 
hc386 -c bordghzb.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordghzb.obj -I..\include 
hc386 -c bordglts.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordglts.obj -I..\include 
hc386 -c bordgvtb.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordgvtb.obj -I..\include 
hc386 -c bordimo.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordimo.obj -I..\include 
hc386 -c bordobj.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordobj.obj -I..\include 
hc386 -c bordout.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordout.obj -I..\include 
hc386 -c bordsend.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordsend.obj -I..\include 
hc386 -c bordsetp.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordsetp.obj -I..\include 
hc386 -c bordssds.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bordssds.obj -I..\include 
hc386 -c cmap.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\cmap.obj -I..\include 
hc386 -c cmapcopy.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\cmapcopy.obj -I..\include 
hc386 -c cmapput.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\cmapput.obj -I..\include 
hc386 -c cmwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\cmwin.obj -I..\include 
hc386 -c cmwindra.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\cmwindra.obj -I..\include 
hc386 -c cmwinimo.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\cmwinimo.obj -I..\include 
hc386 -c cmwintty.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\cmwintty.obj -I..\include 
hc386 -c disp.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\disp.obj -I..\include 
hc386 -c dispapv.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\dispapv.obj -I..\include 
hc386 -c dispbfon.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\dispbfon.obj -I..\include 
hc386 -c dispclr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\dispclr.obj -I..\include 
hc386 -c dispcurr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\dispcurr.obj -I..\include 
hc386 -c dispinit.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\dispinit.obj -I..\include 
hc386 -c dispmono.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\dispmono.obj -I..\include 
hc386 -c disppcco.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\disppcco.obj -I..\include 
hc386 -c disprein.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\disprein.obj -I..\include 
hc386 -c expbmu.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\expbmu.obj -I..\include 
hc386 -c expstd.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\expstd.obj -I..\include 
hc386 -c frw.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\frw.obj -I..\include 
hc386 -c grwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\grwin.obj -I..\include 
hc386 -c jains.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\jains.obj -I..\include 
hc386 -c jarray.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\jarray.obj -I..\include 
hc386 -c kbidle.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\kbidle.obj -I..\include 
hc386 -c kblist.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\kblist.obj -I..\include 
hc386 -c kbmacro.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\kbmacro.obj -I..\include 
hc386 -c kbread.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\kbread.obj -I..\include 
hc386 -c kbrecord.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\kbrecord.obj -I..\include 
hc386 -c mouseini.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\mouseini.obj -I..\include 
hc386 -c msgwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\msgwin.obj -I..\include 
hc386 -c npwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\npwin.obj -I..\include 
hc386 -c oakalloc.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\oakalloc.obj -I..\include 
hc386 -c oakerrno.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\oakerrno.obj -I..\include 
hc386 -c oakerror.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\oakerror.obj -I..\include 
hc386 -c oakint.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\oakint.obj -I..\include 
hc386 -c objfuncs.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\objfuncs.obj -I..\include 
hc386 -c objname.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\objname.obj -I..\include 
hc386 -c oboxclip.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\oboxclip.obj -I..\include 
hc386 -c oboxdist.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\oboxdist.obj -I..\include 
hc386 -c ocbox.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\ocbox.obj -I..\include 
hc386 -c ocolmap.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\ocolmap.obj -I..\include 
hc386 -c omemmove.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\omemmove.obj -I..\include 
hc386 -c opbox.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\opbox.obj -I..\include 
hc386 -c opclipso.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\opclipso.obj -I..\include 
hc386 -c opclipst.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\opclipst.obj -I..\include 
hc386 -c oslist.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\oslist.obj -I..\include 
hc386 -c pmapload.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pmapload.obj -I..\include 
hc386 -c pmapopen.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pmapopen.obj -I..\include 
hc386 -c pmapx.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pmapx.obj -I..\include 
hc386 -c pmwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pmwin.obj -I..\include 
hc386 -c pmwinimo.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pmwinimo.obj -I..\include 
hc386 -c pmwinope.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pmwinope.obj -I..\include 
hc386 -c ptdchar.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\ptdchar.obj -I..\include 
hc386 -c ptdframe.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\ptdframe.obj -I..\include 
hc386 -c ptdline.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\ptdline.obj -I..\include 
hc386 -c ptdpixch.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\ptdpixch.obj -I..\include 
hc386 -c sarray.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sarray.obj -I..\include 
hc386 -c sfiltext.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\sfiltext.obj -I..\include 
hc386 -c strmask.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\strmask.obj -I..\include 
hc386 -c strtools.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\strtools.obj -I..\include 
hc386 -c strwrap.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\strwrap.obj -I..\include 
hc386 -c tmadd.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tmadd.obj -I..\include 
hc386 -c tmelap.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tmelap.obj -I..\include 
hc386 -c tmnow.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tmnow.obj -I..\include 
hc386 -c tmvalid.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\tmvalid.obj -I..\include 
hc386 -c userwin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\userwin.obj -I..\include 
hc386 -c varray.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\varray.obj -I..\include 
hc386 -c vid.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\vid.obj -I..\include 
hc386 -c winclear.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winclear.obj -I..\include 
hc386 -c winclip.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winclip.obj -I..\include 
hc386 -c wincurso.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\wincurso.obj -I..\include 
hc386 -c windump.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\windump.obj -I..\include 
hc386 -c winexpos.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winexpos.obj -I..\include 
hc386 -c wingetp.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\wingetp.obj -I..\include 
hc386 -c wingo.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\wingo.obj -I..\include 
hc386 -c winlist.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winlist.obj -I..\include 
hc386 -c winload.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winload.obj -I..\include 
hc386 -c winmev.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winmev.obj -I..\include 
hc386 -c winmougt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winmougt.obj -I..\include 
hc386 -c winmouse.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winmouse.obj -I..\include 
hc386 -c winmoutk.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winmoutk.obj -I..\include 
hc386 -c winobj.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winobj.obj -I..\include 
hc386 -c winobsc.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winobsc.obj -I..\include 
hc386 -c winopen.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winopen.obj -I..\include 
hc386 -c winpaint.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winpaint.obj -I..\include 
hc386 -c winsave.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winsave.obj -I..\include 
hc386 -c winscrol.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winscrol.obj -I..\include 
hc386 -c winsetp.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winsetp.obj -I..\include 
hc386 -c winsize.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\winsize.obj -I..\include 
hc386 -c wintop.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\wintop.obj -I..\include 
hc386 -c wmgrinit.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\wmgrinit.obj -I..\include 

echo Compiling BD files

hc386 -c bd1.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bd1.obj -I..\include 
hc386 -c bd123.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bd123.obj -I..\include 
hc386 -c bd2.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bd2.obj -I..\include 
hc386 -c bdbar.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdbar.obj -I..\include 
hc386 -c bdbox.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdbox.obj -I..\include 
hc386 -c bdboxlt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdboxlt.obj -I..\include 
hc386 -c bdhead.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdhead.obj -I..\include 
hc386 -c bdmouse.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdmouse.obj -I..\include 
hc386 -c bdmouse2.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdmouse2.obj -I..\include 
hc386 -c bdnull.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdnull.obj -I..\include 
hc386 -c bdplain.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdplain.obj -I..\include 
hc386 -c bdprompt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdprompt.obj -I..\include 
hc386 -c bdside.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdside.obj -I..\include 
hc386 -c bdstd.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdstd.obj -I..\include 
hc386 -c bdtitle.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdtitle.obj -I..\include 
hc386 -c bdxref.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\bdxref.obj -I..\include 

echo Compiling DIG files

hc386 -c digbtree.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digbtree.obj -I..\include 
hc386 -c digcursb.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digcursb.obj -I..\include 
hc386 -c digcursl.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digcursl.obj -I..\include 
hc386 -c digflip.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digflip.obj -I..\include 
hc386 -c digklex.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digklex.obj -I..\include 
hc386 -c digpmcli.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digpmcli.obj -I..\include 
hc386 -c digpow2.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digpow2.obj -I..\include 
hc386 -c digscmap.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digscmap.obj -I..\include 
hc386 -c digshsec.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digshsec.obj -I..\include 
hc386 -c digsqcm.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\digsqcm.obj -I..\include 
hc386 -c pcxload.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcxload.obj -I..\include 
hc386 -c pcxsave.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcxsave.obj -I..\include 

echo Compiling PC files

hc386 -c pcbdrawc.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcbdrawc.obj -I..\include 
hc386 -c pcbios.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcbios.obj -I..\include 
hc386 -c pcbscrol.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcbscrol.obj -I..\include 
hc386 -c pcbsetcu.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcbsetcu.obj -I..\include 
hc386 -c pccga.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pccga.obj -I..\include 
hc386 -c pcdir.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcdir.obj -I..\include 
hc386 -c pcdisp.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcdisp.obj -I..\include 
hc386 -c pcevga.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcevga.obj -I..\include 
hc386 -c pcgfuncs.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcgfuncs.obj -I..\include 
hc386 -c pchard.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pchard.obj -I..\include 
hc386 -c pcherc.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcherc.obj -I..\include 
hc386 -c pcmcga.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcmcga.obj -I..\include 
hc386 -c pcmcurr.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcmcurr.obj -I..\include 
hc386 -c pcmcurrt.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcmcurrt.obj -I..\include 
hc386 -c pcmgraph.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcmgraph.obj -I..\include 
hc386 -c pcmode.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcmode.obj -I..\include 
hc386 -c pcopen.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcopen.obj -I..\include 
hc386 -c pcpmap.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcpmap.obj -I..\include 
hc386 -c pcpmapio.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcpmapio.obj -I..\include 
hc386 -c pcramcle.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcramcle.obj -I..\include 
hc386 -c pcramcpp.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcramcpp.obj -I..\include 
hc386 -c pcramdra.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcramdra.obj -I..\include 
hc386 -c pcrestor.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcrestor.obj -I..\include 
hc386 -c pcsplash.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcsplash.obj -I..\include 
hc386 -c pctext.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pctext.obj -I..\include 
hc386 -c pctextin.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pctextin.obj -I..\include 
hc386 -c pcvgrab.c -Hloc -Hoff=Floating_point -Hoff=Align_members -o obj\pcvgrab.obj -I..\include 

echo Compiling PLA files

386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ pl1bitpl.asm -o obj\pl1bitpl
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ pl2bitpl.asm -o obj\pl2bitpl
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ pl8bitpl.asm -o obj\pl8bitpl
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plbunrun.asm -o obj\plbunrun
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plbxlat.asm -o obj\plbxlat
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plevgapl.asm -o obj\plevgapl
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plhcfont.asm -o obj\plhcfont
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plhcfunc.asm -o obj\plhcfunc
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ pliscpq.asm -o obj\pliscpq
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plneares.asm -o obj\plneares
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ ploint86.asm -o obj\ploint86
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ ploutp.asm -o obj\ploutp
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plrammov.asm -o obj\plrammov
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plramwmo.asm -o obj\plramwmo
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plvfreez.asm -o obj\plvfreez
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plvscan.asm -o obj\plvscan

echo Done compiling.

echo Creating C-scape library file.
rem  Delete old C-scape lib if it exists to prepare for new one.
del ..\lib\MGSCSCAP.lib
rem 
386lib ..\lib\MGSCSCAP.lib -twocase @CSRESP.MGS
echo Creating OWL library file.
rem  Delete old OWL lib if it exists to prepare for new one.
del ..\lib\MGSOWL.lib
rem 
386lib ..\lib\MGSOWL.lib -twocase @OWLRESP.MGS
echo Done.

