@echo off
echo This batch file will produce the C-scape libraries
echo  ..\lib\MWSCSCAP.lib and ..\lib\MWSOWL.lib for
echo  the Phar Lap DOS Extender and MetaWare High C 386 1.6 locally optimizing compiler.
rem  Compiler = MW, model = S, type = Regular, nearsegs = TRUE
rem  Delete old object files if they exist to prepare for new ones.
echo del obj\*.obj
del obj\*.obj
rem 
rem  Create object files directory if it's not already there.
echo md obj
md obj
rem 

echo Compiling CS files

hcd386p auxtop.c -ob obj\auxtop -ipath ..\include 
hcd386p field.c -ob obj\field -ipath ..\include 
hcd386p fldcls.c -ob obj\fldcls -ipath ..\include 
hcd386p fldgetb.c -ob obj\fldgetb -ipath ..\include 
hcd386p fldpulll.c -ob obj\fldpulll -ipath ..\include 
hcd386p fldpullr.c -ob obj\fldpullr -ipath ..\include 
hcd386p fldpushl.c -ob obj\fldpushl -ipath ..\include 
hcd386p fldpushr.c -ob obj\fldpushr -ipath ..\include 
hcd386p fnalpha.c -ob obj\fnalpha -ipath ..\include 
hcd386p fnbob.c -ob obj\fnbob -ipath ..\include 
hcd386p fnchar.c -ob obj\fnchar -ipath ..\include 
hcd386p fncheck.c -ob obj\fncheck -ipath ..\include 
hcd386p fnclong.c -ob obj\fnclong -ipath ..\include 
hcd386p fncmoney.c -ob obj\fncmoney -ipath ..\include 
hcd386p fncntry.c -ob obj\fncntry -ipath ..\include 
hcd386p fncomma.c -ob obj\fncomma -ipath ..\include 
hcd386p fndate.c -ob obj\fndate -ipath ..\include 
hcd386p fndecpt.c -ob obj\fndecpt -ipath ..\include 
hcd386p fndigit.c -ob obj\fndigit -ipath ..\include 
hcd386p fndouble.c -ob obj\fndouble -ipath ..\include 
hcd386p fnfixdp.c -ob obj\fnfixdp -ipath ..\include 
hcd386p fnframer.c -ob obj\fnframer -ipath ..\include 
hcd386p fnhex.c -ob obj\fnhex -ipath ..\include 
hcd386p fnifld.c -ob obj\fnifld -ipath ..\include 
hcd386p fnifldg.c -ob obj\fnifldg -ipath ..\include 
hcd386p fnint.c -ob obj\fnint -ipath ..\include 
hcd386p fnipage.c -ob obj\fnipage -ipath ..\include 
hcd386p fnlist.c -ob obj\fnlist -ipath ..\include 
hcd386p fnlong.c -ob obj\fnlong -ipath ..\include 
hcd386p fnmark.c -ob obj\fnmark -ipath ..\include 
hcd386p fnmenu.c -ob obj\fnmenu -ipath ..\include 
hcd386p fnmoney.c -ob obj\fnmoney -ipath ..\include 
hcd386p fnmsys.c -ob obj\fnmsys -ipath ..\include 
hcd386p fnnowrit.c -ob obj\fnnowrit -ipath ..\include 
hcd386p fnnum.c -ob obj\fnnum -ipath ..\include 
hcd386p fnpnum.c -ob obj\fnpnum -ipath ..\include 
hcd386p fnradio.c -ob obj\fnradio -ipath ..\include 
hcd386p fnrange.c -ob obj\fnrange -ipath ..\include 
hcd386p fnsdoubl.c -ob obj\fnsdoubl -ipath ..\include 
hcd386p fnsecure.c -ob obj\fnsecure -ipath ..\include 
hcd386p fnselect.c -ob obj\fnselect -ipath ..\include 
hcd386p fnsfloat.c -ob obj\fnsfloat -ipath ..\include 
hcd386p fnsint.c -ob obj\fnsint -ipath ..\include 
hcd386p fnslong.c -ob obj\fnslong -ipath ..\include 
hcd386p fnslug.c -ob obj\fnslug -ipath ..\include 
hcd386p fnspec.c -ob obj\fnspec -ipath ..\include 
hcd386p fnstd.c -ob obj\fnstd -ipath ..\include 
hcd386p fnstdval.c -ob obj\fnstdval -ipath ..\include 
hcd386p fnstrcom.c -ob obj\fnstrcom -ipath ..\include 
hcd386p fnstring.c -ob obj\fnstring -ipath ..\include 
hcd386p fnted.c -ob obj\fnted -ipath ..\include 
hcd386p fnticker.c -ob obj\fnticker -ipath ..\include 
hcd386p fntime.c -ob obj\fntime -ipath ..\include 
hcd386p fntoggle.c -ob obj\fntoggle -ipath ..\include 
hcd386p fntogint.c -ob obj\fntogint -ipath ..\include 
hcd386p fnvalfmt.c -ob obj\fnvalfmt -ipath ..\include 
hcd386p fnvalnum.c -ob obj\fnvalnum -ipath ..\include 
hcd386p fnvalrng.c -ob obj\fnvalrng -ipath ..\include 
hcd386p fnvalstr.c -ob obj\fnvalstr -ipath ..\include 
hcd386p fnxstr.c -ob obj\fnxstr -ipath ..\include 
hcd386p fnyesno.c -ob obj\fnyesno -ipath ..\include 
hcd386p framer.c -ob obj\framer -ipath ..\include 
hcd386p fsym.c -ob obj\fsym -ipath ..\include 
hcd386p fsymidef.c -ob obj\fsymidef -ipath ..\include 
hcd386p fsyminit.c -ob obj\fsyminit -ipath ..\include 
hcd386p help.c -ob obj\help -ipath ..\include 
hcd386p helpshow.c -ob obj\helpshow -ipath ..\include 
hcd386p helpview.c -ob obj\helpview -ipath ..\include 
hcd386p helpxref.c -ob obj\helpxref -ipath ..\include 
hcd386p idleclk.c -ob obj\idleclk -ipath ..\include 
hcd386p menu.c -ob obj\menu -ipath ..\include 
hcd386p menuaftg.c -ob obj\menuaftg -ipath ..\include 
hcd386p menucfld.c -ob obj\menucfld -ipath ..\include 
hcd386p menudest.c -ob obj\menudest -ipath ..\include 
hcd386p menudfld.c -ob obj\menudfld -ipath ..\include 
hcd386p menudrow.c -ob obj\menudrow -ipath ..\include 
hcd386p menufind.c -ob obj\menufind -ipath ..\include 
hcd386p menuirow.c -ob obj\menuirow -ipath ..\include 
hcd386p menuload.c -ob obj\menuload -ipath ..\include 
hcd386p menumfld.c -ob obj\menumfld -ipath ..\include 
hcd386p menumrkf.c -ob obj\menumrkf -ipath ..\include 
hcd386p menuname.c -ob obj\menuname -ipath ..\include 
hcd386p menupdpl.c -ob obj\menupdpl -ipath ..\include 
hcd386p menuputb.c -ob obj\menuputb -ipath ..\include 
hcd386p menusave.c -ob obj\menusave -ipath ..\include 
hcd386p menusfb.c -ob obj\menusfb -ipath ..\include 
hcd386p menusfld.c -ob obj\menusfld -ipath ..\include 
hcd386p menusize.c -ob obj\menusize -ipath ..\include 
hcd386p menutb.c -ob obj\menutb -ipath ..\include 
hcd386p menutffg.c -ob obj\menutffg -ipath ..\include 
hcd386p menuunpf.c -ob obj\menuunpf -ipath ..\include 
hcd386p menuvars.c -ob obj\menuvars -ipath ..\include 
hcd386p menuxfld.c -ob obj\menuxfld -ipath ..\include 
hcd386p msys.c -ob obj\msys -ipath ..\include 
hcd386p msysdo.c -ob obj\msysdo -ipath ..\include 
hcd386p msyspars.c -ob obj\msyspars -ipath ..\include 
hcd386p objload.c -ob obj\objload -ipath ..\include 
hcd386p puedit.c -ob obj\puedit -ipath ..\include 
hcd386p pumenu.c -ob obj\pumenu -ipath ..\include 
hcd386p pumsg.c -ob obj\pumsg -ipath ..\include 
hcd386p puparms.c -ob obj\puparms -ipath ..\include 
hcd386p puprompt.c -ob obj\puprompt -ipath ..\include 
hcd386p putext.c -ob obj\putext -ipath ..\include 
hcd386p puview.c -ob obj\puview -ipath ..\include 
hcd386p sd1stfld.c -ob obj\sd1stfld -ipath ..\include 
hcd386p sdalloc.c -ob obj\sdalloc -ipath ..\include 
hcd386p sdcenter.c -ob obj\sdcenter -ipath ..\include 
hcd386p sdcurs.c -ob obj\sdcurs -ipath ..\include 
hcd386p sddecchr.c -ob obj\sddecchr -ipath ..\include 
hcd386p sddecfld.c -ob obj\sddecfld -ipath ..\include 
hcd386p sddelfld.c -ob obj\sddelfld -ipath ..\include 
hcd386p sddelrow.c -ob obj\sddelrow -ipath ..\include 
hcd386p sddisp.c -ob obj\sddisp -ipath ..\include 
hcd386p sddobob.c -ob obj\sddobob -ipath ..\include 
hcd386p sddsexit.c -ob obj\sddsexit -ipath ..\include 
hcd386p sdfindf.c -ob obj\sdfindf -ipath ..\include 
hcd386p sdgetbhw.c -ob obj\sdgetbhw -ipath ..\include 
hcd386p sdgetclr.c -ob obj\sdgetclr -ipath ..\include 
hcd386p sdgetcor.c -ob obj\sdgetcor -ipath ..\include 
hcd386p sdgetfrc.c -ob obj\sdgetfrc -ipath ..\include 
hcd386p sdgethw.c -ob obj\sdgethw -ipath ..\include 
hcd386p sdgetpos.c -ob obj\sdgetpos -ipath ..\include 
hcd386p sdgetsiz.c -ob obj\sdgetsiz -ipath ..\include 
hcd386p sdgettb.c -ob obj\sdgettb -ipath ..\include 
hcd386p sdgfld.c -ob obj\sdgfld -ipath ..\include 
hcd386p sdgo.c -ob obj\sdgo -ipath ..\include 
hcd386p sdgohome.c -ob obj\sdgohome -ipath ..\include 
hcd386p sdgoto.c -ob obj\sdgoto -ipath ..\include 
hcd386p sdgrid.c -ob obj\sdgrid -ipath ..\include 
hcd386p sdgtfclr.c -ob obj\sdgtfclr -ipath ..\include 
hcd386p sdgtochr.c -ob obj\sdgtochr -ipath ..\include 
hcd386p sdgtofld.c -ob obj\sdgtofld -ipath ..\include 
hcd386p sdincchr.c -ob obj\sdincchr -ipath ..\include 
hcd386p sdincfld.c -ob obj\sdincfld -ipath ..\include 
hcd386p sdinsrow.c -ob obj\sdinsrow -ipath ..\include 
hcd386p sdisfnam.c -ob obj\sdisfnam -ipath ..\include 
hcd386p sdload.c -ob obj\sdload -ipath ..\include 
hcd386p sdlstfld.c -ob obj\sdlstfld -ipath ..\include 
hcd386p sdmevacc.c -ob obj\sdmevacc -ipath ..\include 
hcd386p sdmouckf.c -ob obj\sdmouckf -ipath ..\include 
hcd386p sdmouclk.c -ob obj\sdmouclk -ipath ..\include 
hcd386p sdmoudrg.c -ob obj\sdmoudrg -ipath ..\include 
hcd386p sdmoufrm.c -ob obj\sdmoufrm -ipath ..\include 
hcd386p sdmougck.c -ob obj\sdmougck -ipath ..\include 
hcd386p sdmougtk.c -ob obj\sdmougtk -ipath ..\include 
hcd386p sdmoutrk.c -ob obj\sdmoutrk -ipath ..\include 
hcd386p sdmovfld.c -ob obj\sdmovfld -ipath ..\include 
hcd386p sdname.c -ob obj\sdname -ipath ..\include 
hcd386p sdnamvar.c -ob obj\sdnamvar -ipath ..\include 
hcd386p sdok.c -ob obj\sdok -ipath ..\include 
hcd386p sdopen.c -ob obj\sdopen -ipath ..\include 
hcd386p sdover.c -ob obj\sdover -ipath ..\include 
hcd386p sdovrwrt.c -ob obj\sdovrwrt -ipath ..\include 
hcd386p sdpgdn.c -ob obj\sdpgdn -ipath ..\include 
hcd386p sdpglt.c -ob obj\sdpglt -ipath ..\include 
hcd386p sdpgrt.c -ob obj\sdpgrt -ipath ..\include 
hcd386p sdpgup.c -ob obj\sdpgup -ipath ..\include 
hcd386p sdploat.c -ob obj\sdploat -ipath ..\include 
hcd386p sdpulllt.c -ob obj\sdpulllt -ipath ..\include 
hcd386p sdpullrt.c -ob obj\sdpullrt -ipath ..\include 
hcd386p sdpushlt.c -ob obj\sdpushlt -ipath ..\include 
hcd386p sdpushrt.c -ob obj\sdpushrt -ipath ..\include 
hcd386p sdrptfld.c -ob obj\sdrptfld -ipath ..\include 
hcd386p sdsave.c -ob obj\sdsave -ipath ..\include 
hcd386p sdscrlad.c -ob obj\sdscrlad -ipath ..\include 
hcd386p sdscrldn.c -ob obj\sdscrldn -ipath ..\include 
hcd386p sdscrllt.c -ob obj\sdscrllt -ipath ..\include 
hcd386p sdscrlrt.c -ob obj\sdscrlrt -ipath ..\include 
hcd386p sdscrlup.c -ob obj\sdscrlup -ipath ..\include 
hcd386p sdsetclr.c -ob obj\sdsetclr -ipath ..\include 
hcd386p sdsetfw.c -ob obj\sdsetfw -ipath ..\include 
hcd386p sdsethgt.c -ob obj\sdsethgt -ipath ..\include 
hcd386p sdsetmou.c -ob obj\sdsetmou -ipath ..\include 
hcd386p sdsettb.c -ob obj\sdsettb -ipath ..\include 
hcd386p sdsetwid.c -ob obj\sdsetwid -ipath ..\include 
hcd386p sdsrch.c -ob obj\sdsrch -ipath ..\include 
hcd386p sdwin.c -ob obj\sdwin -ipath ..\include 
hcd386p sdwinimo.c -ob obj\sdwinimo -ipath ..\include 
hcd386p sdxflds.c -ob obj\sdxflds -ipath ..\include 
hcd386p sfile.c -ob obj\sfile -ipath ..\include 
hcd386p slddrows.c -ob obj\slddrows -ipath ..\include 
hcd386p sldirows.c -ob obj\sldirows -ipath ..\include 
hcd386p sledopen.c -ob obj\sledopen -ipath ..\include 
hcd386p sledprot.c -ob obj\sledprot -ipath ..\include 
hcd386p sledwin.c -ob obj\sledwin -ipath ..\include 
hcd386p slug.c -ob obj\slug -ipath ..\include 
hcd386p spcabort.c -ob obj\spcabort -ipath ..\include 
hcd386p spcembed.c -ob obj\spcembed -ipath ..\include 
hcd386p spcembtd.c -ob obj\spcembtd -ipath ..\include 
hcd386p spcsled.c -ob obj\spcsled -ipath ..\include 
hcd386p tbsetmax.c -ob obj\tbsetmax -ipath ..\include 
hcd386p tbstr.c -ob obj\tbstr -ipath ..\include 
hcd386p tedcopy.c -ob obj\tedcopy -ipath ..\include 
hcd386p tedcurs.c -ob obj\tedcurs -ipath ..\include 
hcd386p tedfile.c -ob obj\tedfile -ipath ..\include 
hcd386p tedfoll.c -ob obj\tedfoll -ipath ..\include 
hcd386p tedgstr.c -ob obj\tedgstr -ipath ..\include 
hcd386p tedit.c -ob obj\tedit -ipath ..\include 
hcd386p tedline.c -ob obj\tedline -ipath ..\include 
hcd386p tedpast.c -ob obj\tedpast -ipath ..\include 
hcd386p tedsetmv.c -ob obj\tedsetmv -ipath ..\include 
hcd386p tedsrch.c -ob obj\tedsrch -ipath ..\include 
hcd386p tedstrip.c -ob obj\tedstrip -ipath ..\include 
hcd386p tedword.c -ob obj\tedword -ipath ..\include 
hcd386p textbuf.c -ob obj\textbuf -ipath ..\include 
hcd386p ufncload.c -ob obj\ufncload -ipath ..\include 
hcd386p ufncsave.c -ob obj\ufncsave -ipath ..\include 
hcd386p ufuncobj.c -ob obj\ufuncobj -ipath ..\include 

echo Compiling OWL files

hcd386p bbchain.c -ob obj\bbchain -ipath ..\include 
hcd386p bcwin.c -ob obj\bcwin -ipath ..\include 
hcd386p bfaux.c -ob obj\bfaux -ipath ..\include 
hcd386p bfile.c -ob obj\bfile -ipath ..\include 
hcd386p blwin.c -ob obj\blwin -ipath ..\include 
hcd386p bobgo.c -ob obj\bobgo -ipath ..\include 
hcd386p bobgtanc.c -ob obj\bobgtanc -ipath ..\include 
hcd386p bobgtown.c -ob obj\bobgtown -ipath ..\include 
hcd386p bobset.c -ob obj\bobset -ipath ..\include 
hcd386p bordaux.c -ob obj\bordaux -ipath ..\include 
hcd386p bordclos.c -ob obj\bordclos -ipath ..\include 
hcd386p borddrwt.c -ob obj\borddrwt -ipath ..\include 
hcd386p bordghzb.c -ob obj\bordghzb -ipath ..\include 
hcd386p bordglts.c -ob obj\bordglts -ipath ..\include 
hcd386p bordgvtb.c -ob obj\bordgvtb -ipath ..\include 
hcd386p bordimo.c -ob obj\bordimo -ipath ..\include 
hcd386p bordobj.c -ob obj\bordobj -ipath ..\include 
hcd386p bordout.c -ob obj\bordout -ipath ..\include 
hcd386p bordsend.c -ob obj\bordsend -ipath ..\include 
hcd386p bordsetp.c -ob obj\bordsetp -ipath ..\include 
hcd386p bordssds.c -ob obj\bordssds -ipath ..\include 
hcd386p cmap.c -ob obj\cmap -ipath ..\include 
hcd386p cmapcopy.c -ob obj\cmapcopy -ipath ..\include 
hcd386p cmapput.c -ob obj\cmapput -ipath ..\include 
hcd386p cmwin.c -ob obj\cmwin -ipath ..\include 
hcd386p cmwindra.c -ob obj\cmwindra -ipath ..\include 
hcd386p cmwinimo.c -ob obj\cmwinimo -ipath ..\include 
hcd386p cmwintty.c -ob obj\cmwintty -ipath ..\include 
hcd386p disp.c -ob obj\disp -ipath ..\include 
hcd386p dispapv.c -ob obj\dispapv -ipath ..\include 
hcd386p dispbfon.c -ob obj\dispbfon -ipath ..\include 
hcd386p dispclr.c -ob obj\dispclr -ipath ..\include 
hcd386p dispcurr.c -ob obj\dispcurr -ipath ..\include 
hcd386p dispinit.c -ob obj\dispinit -ipath ..\include 
hcd386p dispmono.c -ob obj\dispmono -ipath ..\include 
hcd386p disppcco.c -ob obj\disppcco -ipath ..\include 
hcd386p disprein.c -ob obj\disprein -ipath ..\include 
hcd386p expbmu.c -ob obj\expbmu -ipath ..\include 
hcd386p expstd.c -ob obj\expstd -ipath ..\include 
hcd386p frw.c -ob obj\frw -ipath ..\include 
hcd386p grwin.c -ob obj\grwin -ipath ..\include 
hcd386p jains.c -ob obj\jains -ipath ..\include 
hcd386p jarray.c -ob obj\jarray -ipath ..\include 
hcd386p kbidle.c -ob obj\kbidle -ipath ..\include 
hcd386p kblist.c -ob obj\kblist -ipath ..\include 
hcd386p kbmacro.c -ob obj\kbmacro -ipath ..\include 
hcd386p kbread.c -ob obj\kbread -ipath ..\include 
hcd386p kbrecord.c -ob obj\kbrecord -ipath ..\include 
hcd386p mouseini.c -ob obj\mouseini -ipath ..\include 
hcd386p msgwin.c -ob obj\msgwin -ipath ..\include 
hcd386p npwin.c -ob obj\npwin -ipath ..\include 
hcd386p oakalloc.c -ob obj\oakalloc -ipath ..\include 
hcd386p oakerrno.c -ob obj\oakerrno -ipath ..\include 
hcd386p oakerror.c -ob obj\oakerror -ipath ..\include 
hcd386p oakint.c -ob obj\oakint -ipath ..\include 
hcd386p objfuncs.c -ob obj\objfuncs -ipath ..\include 
hcd386p objname.c -ob obj\objname -ipath ..\include 
hcd386p oboxclip.c -ob obj\oboxclip -ipath ..\include 
hcd386p oboxdist.c -ob obj\oboxdist -ipath ..\include 
hcd386p ocbox.c -ob obj\ocbox -ipath ..\include 
hcd386p ocolmap.c -ob obj\ocolmap -ipath ..\include 
hcd386p omemmove.c -ob obj\omemmove -ipath ..\include 
hcd386p opbox.c -ob obj\opbox -ipath ..\include 
hcd386p opclipso.c -ob obj\opclipso -ipath ..\include 
hcd386p opclipst.c -ob obj\opclipst -ipath ..\include 
hcd386p oslist.c -ob obj\oslist -ipath ..\include 
hcd386p pmapload.c -ob obj\pmapload -ipath ..\include 
hcd386p pmapopen.c -ob obj\pmapopen -ipath ..\include 
hcd386p pmapx.c -ob obj\pmapx -ipath ..\include 
hcd386p pmwin.c -ob obj\pmwin -ipath ..\include 
hcd386p pmwinimo.c -ob obj\pmwinimo -ipath ..\include 
hcd386p pmwinope.c -ob obj\pmwinope -ipath ..\include 
hcd386p ptdchar.c -ob obj\ptdchar -ipath ..\include 
hcd386p ptdframe.c -ob obj\ptdframe -ipath ..\include 
hcd386p ptdline.c -ob obj\ptdline -ipath ..\include 
hcd386p ptdpixch.c -ob obj\ptdpixch -ipath ..\include 
hcd386p sarray.c -ob obj\sarray -ipath ..\include 
hcd386p sfiltext.c -ob obj\sfiltext -ipath ..\include 
hcd386p strmask.c -ob obj\strmask -ipath ..\include 
hcd386p strtools.c -ob obj\strtools -ipath ..\include 
hcd386p strwrap.c -ob obj\strwrap -ipath ..\include 
hcd386p tmadd.c -ob obj\tmadd -ipath ..\include 
hcd386p tmelap.c -ob obj\tmelap -ipath ..\include 
hcd386p tmnow.c -ob obj\tmnow -ipath ..\include 
hcd386p tmvalid.c -ob obj\tmvalid -ipath ..\include 
hcd386p userwin.c -ob obj\userwin -ipath ..\include 
hcd386p varray.c -ob obj\varray -ipath ..\include 
hcd386p vid.c -ob obj\vid -ipath ..\include 
hcd386p winclear.c -ob obj\winclear -ipath ..\include 
hcd386p winclip.c -ob obj\winclip -ipath ..\include 
hcd386p wincurso.c -ob obj\wincurso -ipath ..\include 
hcd386p windump.c -ob obj\windump -ipath ..\include 
hcd386p winexpos.c -ob obj\winexpos -ipath ..\include 
hcd386p wingetp.c -ob obj\wingetp -ipath ..\include 
hcd386p wingo.c -ob obj\wingo -ipath ..\include 
hcd386p winlist.c -ob obj\winlist -ipath ..\include 
hcd386p winload.c -ob obj\winload -ipath ..\include 
hcd386p winmev.c -ob obj\winmev -ipath ..\include 
hcd386p winmougt.c -ob obj\winmougt -ipath ..\include 
hcd386p winmouse.c -ob obj\winmouse -ipath ..\include 
hcd386p winmoutk.c -ob obj\winmoutk -ipath ..\include 
hcd386p winobj.c -ob obj\winobj -ipath ..\include 
hcd386p winobsc.c -ob obj\winobsc -ipath ..\include 
hcd386p winopen.c -ob obj\winopen -ipath ..\include 
hcd386p winpaint.c -ob obj\winpaint -ipath ..\include 
hcd386p winsave.c -ob obj\winsave -ipath ..\include 
hcd386p winscrol.c -ob obj\winscrol -ipath ..\include 
hcd386p winsetp.c -ob obj\winsetp -ipath ..\include 
hcd386p winsize.c -ob obj\winsize -ipath ..\include 
hcd386p wintop.c -ob obj\wintop -ipath ..\include 
hcd386p wmgrinit.c -ob obj\wmgrinit -ipath ..\include 

echo Compiling BD files

hcd386p bd1.c -ob obj\bd1 -ipath ..\include 
hcd386p bd123.c -ob obj\bd123 -ipath ..\include 
hcd386p bd2.c -ob obj\bd2 -ipath ..\include 
hcd386p bdbar.c -ob obj\bdbar -ipath ..\include 
hcd386p bdbox.c -ob obj\bdbox -ipath ..\include 
hcd386p bdboxlt.c -ob obj\bdboxlt -ipath ..\include 
hcd386p bdhead.c -ob obj\bdhead -ipath ..\include 
hcd386p bdmouse.c -ob obj\bdmouse -ipath ..\include 
hcd386p bdmouse2.c -ob obj\bdmouse2 -ipath ..\include 
hcd386p bdnull.c -ob obj\bdnull -ipath ..\include 
hcd386p bdplain.c -ob obj\bdplain -ipath ..\include 
hcd386p bdprompt.c -ob obj\bdprompt -ipath ..\include 
hcd386p bdside.c -ob obj\bdside -ipath ..\include 
hcd386p bdstd.c -ob obj\bdstd -ipath ..\include 
hcd386p bdtitle.c -ob obj\bdtitle -ipath ..\include 
hcd386p bdxref.c -ob obj\bdxref -ipath ..\include 

echo Compiling DIG files

hcd386p digbtree.c -ob obj\digbtree -ipath ..\include 
hcd386p digcursb.c -ob obj\digcursb -ipath ..\include 
hcd386p digcursl.c -ob obj\digcursl -ipath ..\include 
hcd386p digflip.c -ob obj\digflip -ipath ..\include 
hcd386p digklex.c -ob obj\digklex -ipath ..\include 
hcd386p digpmcli.c -ob obj\digpmcli -ipath ..\include 
hcd386p digpow2.c -ob obj\digpow2 -ipath ..\include 
hcd386p digscmap.c -ob obj\digscmap -ipath ..\include 
hcd386p digshsec.c -ob obj\digshsec -ipath ..\include 
hcd386p digsqcm.c -ob obj\digsqcm -ipath ..\include 
hcd386p pcxload.c -ob obj\pcxload -ipath ..\include 
hcd386p pcxsave.c -ob obj\pcxsave -ipath ..\include 

echo Compiling PC files

hcd386p pcbdrawc.c -ob obj\pcbdrawc -ipath ..\include 
hcd386p pcbios.c -ob obj\pcbios -ipath ..\include 
hcd386p pcbscrol.c -ob obj\pcbscrol -ipath ..\include 
hcd386p pcbsetcu.c -ob obj\pcbsetcu -ipath ..\include 
hcd386p pccga.c -ob obj\pccga -ipath ..\include 
hcd386p pcdir.c -ob obj\pcdir -ipath ..\include 
hcd386p pcdisp.c -ob obj\pcdisp -ipath ..\include 
hcd386p pcevga.c -ob obj\pcevga -ipath ..\include 
hcd386p pcgfuncs.c -ob obj\pcgfuncs -ipath ..\include 
hcd386p pchard.c -ob obj\pchard -ipath ..\include 
hcd386p pcherc.c -ob obj\pcherc -ipath ..\include 
hcd386p pcmcga.c -ob obj\pcmcga -ipath ..\include 
hcd386p pcmcurr.c -ob obj\pcmcurr -ipath ..\include 
hcd386p pcmcurrt.c -ob obj\pcmcurrt -ipath ..\include 
hcd386p pcmgraph.c -ob obj\pcmgraph -ipath ..\include 
hcd386p pcmode.c -ob obj\pcmode -ipath ..\include 
hcd386p pcopen.c -ob obj\pcopen -ipath ..\include 
hcd386p pcpmap.c -ob obj\pcpmap -ipath ..\include 
hcd386p pcpmapio.c -ob obj\pcpmapio -ipath ..\include 
hcd386p pcramcle.c -ob obj\pcramcle -ipath ..\include 
hcd386p pcramcpp.c -ob obj\pcramcpp -ipath ..\include 
hcd386p pcramdra.c -ob obj\pcramdra -ipath ..\include 
hcd386p pcrestor.c -ob obj\pcrestor -ipath ..\include 
hcd386p pcsplash.c -ob obj\pcsplash -ipath ..\include 
hcd386p pctext.c -ob obj\pctext -ipath ..\include 
hcd386p pctextin.c -ob obj\pctextin -ipath ..\include 
hcd386p pcvgrab.c -ob obj\pcvgrab -ipath ..\include 

echo Compiling PLA files

386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ pl1bitpl.asm -o obj\pl1bitpl
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ pl2bitpl.asm -o obj\pl2bitpl
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ pl8bitpl.asm -o obj\pl8bitpl
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plbunrun.asm -o obj\plbunrun
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plbxlat.asm -o obj\plbxlat
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plevgapl.asm -o obj\plevgapl
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plhcfont.asm -o obj\plhcfont
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plhcfunc.asm -o obj\plhcfunc
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ pliscpq.asm -o obj\pliscpq
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plneares.asm -o obj\plneares
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ ploint86.asm -o obj\ploint86
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ ploutp.asm -o obj\ploutp
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plrammov.asm -o obj\plrammov
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plramwmo.asm -o obj\plramwmo
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plvfreez.asm -o obj\plvfreez
386asm -twoc -nolist -d MW=99 -d SMOD=99 -I ..\include\ plvscan.asm -o obj\plvscan

echo Done compiling.

echo Creating C-scape library file.
rem  Delete old C-scape lib if it exists to prepare for new one.
del ..\lib\MWSCSCAP.lib
rem 
386lib ..\lib\MWSCSCAP.lib -twocase @CSRESP.MWS
echo Creating OWL library file.
rem  Delete old OWL lib if it exists to prepare for new one.
del ..\lib\MWSOWL.lib
rem 
386lib ..\lib\MWSOWL.lib -twocase @OWLRESP.MWS
echo Done.

