@echo off
echo This batch file will produce the C-scape libraries
echo  ..\lib\TPlCSCAP.lib and ..\lib\TPlOWLM.lib for
echo  Metagraphics Corporation's MetaWINDOW graphics library and
echo  the Borland Turbo C++ 1.0 compiler.
rem  Compiler = TP, model = l, type = MGR, nearsegs = TRUE
rem  Delete old object files if they exist to prepare for new ones.
echo del obj\*.obj
del obj\*.obj
rem 
rem  Create object files directory if it's not already there.
echo md obj
md obj
rem 

echo Compiling CS files

tcc -c -P -X -oobj\auxtop -ml -I..\include auxtop.c
tcc -c -P -X -oobj\field -ml -I..\include field.c
tcc -c -P -X -oobj\fldcls -ml -I..\include fldcls.c
tcc -c -P -X -oobj\fldgetb -ml -I..\include fldgetb.c
tcc -c -P -X -oobj\fldpulll -ml -I..\include fldpulll.c
tcc -c -P -X -oobj\fldpullr -ml -I..\include fldpullr.c
tcc -c -P -X -oobj\fldpushl -ml -I..\include fldpushl.c
tcc -c -P -X -oobj\fldpushr -ml -I..\include fldpushr.c
tcc -c -P -X -oobj\fnalpha -ml -I..\include fnalpha.c
tcc -c -P -X -oobj\fnbob -ml -I..\include fnbob.c
tcc -c -P -X -oobj\fnchar -ml -I..\include fnchar.c
tcc -c -P -X -oobj\fncheck -ml -I..\include fncheck.c
tcc -c -P -X -oobj\fnclong -ml -I..\include fnclong.c
tcc -c -P -X -oobj\fncmoney -ml -I..\include fncmoney.c
tcc -c -P -X -oobj\fncntry -ml -I..\include fncntry.c
tcc -c -P -X -oobj\fncomma -ml -I..\include fncomma.c
tcc -c -P -X -oobj\fndate -ml -I..\include fndate.c
tcc -c -P -X -oobj\fndecpt -ml -I..\include fndecpt.c
tcc -c -P -X -oobj\fndigit -ml -I..\include fndigit.c
tcc -c -P -X -oobj\fndouble -ml -I..\include fndouble.c
tcc -c -P -X -oobj\fnfixdp -ml -I..\include fnfixdp.c
tcc -c -P -X -oobj\fnframer -ml -I..\include fnframer.c
tcc -c -P -X -oobj\fnhex -ml -I..\include fnhex.c
tcc -c -P -X -oobj\fnifld -ml -I..\include fnifld.c
tcc -c -P -X -oobj\fnifldg -ml -I..\include fnifldg.c
tcc -c -P -X -oobj\fnint -ml -I..\include fnint.c
tcc -c -P -X -oobj\fnipage -ml -I..\include fnipage.c
tcc -c -P -X -oobj\fnlist -ml -I..\include fnlist.c
tcc -c -P -X -oobj\fnlong -ml -I..\include fnlong.c
tcc -c -P -X -oobj\fnmark -ml -I..\include fnmark.c
tcc -c -P -X -oobj\fnmenu -ml -I..\include fnmenu.c
tcc -c -P -X -oobj\fnmoney -ml -I..\include fnmoney.c
tcc -c -P -X -oobj\fnmsys -ml -I..\include fnmsys.c
tcc -c -P -X -oobj\fnnowrit -ml -I..\include fnnowrit.c
tcc -c -P -X -oobj\fnnum -ml -I..\include fnnum.c
tcc -c -P -X -oobj\fnpnum -ml -I..\include fnpnum.c
tcc -c -P -X -oobj\fnradio -ml -I..\include fnradio.c
tcc -c -P -X -oobj\fnrange -ml -I..\include fnrange.c
tcc -c -P -X -oobj\fnsdoubl -ml -I..\include fnsdoubl.c
tcc -c -P -X -oobj\fnsecure -ml -I..\include fnsecure.c
tcc -c -P -X -oobj\fnselect -ml -I..\include fnselect.c
tcc -c -P -X -oobj\fnsfloat -ml -I..\include fnsfloat.c
tcc -c -P -X -oobj\fnsint -ml -I..\include fnsint.c
tcc -c -P -X -oobj\fnslong -ml -I..\include fnslong.c
tcc -c -P -X -oobj\fnslug -ml -I..\include fnslug.c
tcc -c -P -X -oobj\fnspec -ml -I..\include fnspec.c
tcc -c -P -X -oobj\fnstd -ml -I..\include fnstd.c
tcc -c -P -X -oobj\fnstdval -ml -I..\include fnstdval.c
tcc -c -P -X -oobj\fnstrcom -ml -I..\include fnstrcom.c
tcc -c -P -X -oobj\fnstring -ml -I..\include fnstring.c
tcc -c -P -X -oobj\fnted -ml -I..\include fnted.c
tcc -c -P -X -oobj\fnticker -ml -I..\include fnticker.c
tcc -c -P -X -oobj\fntime -ml -I..\include fntime.c
tcc -c -P -X -oobj\fntoggle -ml -I..\include fntoggle.c
tcc -c -P -X -oobj\fntogint -ml -I..\include fntogint.c
tcc -c -P -X -oobj\fnvalfmt -ml -I..\include fnvalfmt.c
tcc -c -P -X -oobj\fnvalnum -ml -I..\include fnvalnum.c
tcc -c -P -X -oobj\fnvalrng -ml -I..\include fnvalrng.c
tcc -c -P -X -oobj\fnvalstr -ml -I..\include fnvalstr.c
tcc -c -P -X -oobj\fnxstr -ml -I..\include fnxstr.c
tcc -c -P -X -oobj\fnyesno -ml -I..\include fnyesno.c
tcc -c -P -X -oobj\framer -ml -I..\include framer.c
tcc -c -P -X -oobj\fsym -ml -I..\include fsym.c
tcc -c -P -X -oobj\fsymidef -ml -I..\include fsymidef.c
tcc -c -P -X -oobj\fsyminit -ml -I..\include fsyminit.c
tcc -c -P -X -oobj\help -ml -I..\include help.c
tcc -c -P -X -oobj\helpshow -ml -I..\include helpshow.c
tcc -c -P -X -oobj\helpview -ml -I..\include helpview.c
tcc -c -P -X -oobj\helpxref -ml -I..\include helpxref.c
tcc -c -P -X -oobj\idleclk -ml -I..\include idleclk.c
tcc -c -P -X -oobj\menu -ml -I..\include menu.c
tcc -c -P -X -oobj\menuaftg -ml -I..\include menuaftg.c
tcc -c -P -X -oobj\menucfld -ml -I..\include menucfld.c
tcc -c -P -X -oobj\menudest -ml -I..\include menudest.c
tcc -c -P -X -oobj\menudfld -ml -I..\include menudfld.c
tcc -c -P -X -oobj\menudrow -ml -I..\include menudrow.c
tcc -c -P -X -oobj\menufind -ml -I..\include menufind.c
tcc -c -P -X -oobj\menuirow -ml -I..\include menuirow.c
tcc -c -P -X -oobj\menuload -ml -I..\include menuload.c
tcc -c -P -X -oobj\menumfld -ml -I..\include menumfld.c
tcc -c -P -X -oobj\menumrkf -ml -I..\include menumrkf.c
tcc -c -P -X -oobj\menuname -ml -I..\include menuname.c
tcc -c -P -X -oobj\menupdpl -ml -I..\include menupdpl.c
tcc -c -P -X -oobj\menuputb -ml -I..\include menuputb.c
tcc -c -P -X -oobj\menusave -ml -I..\include menusave.c
tcc -c -P -X -oobj\menusfb -ml -I..\include menusfb.c
tcc -c -P -X -oobj\menusfld -ml -I..\include menusfld.c
tcc -c -P -X -oobj\menusize -ml -I..\include menusize.c
tcc -c -P -X -oobj\menutb -ml -I..\include menutb.c
tcc -c -P -X -oobj\menutffg -ml -I..\include menutffg.c
tcc -c -P -X -oobj\menuunpf -ml -I..\include menuunpf.c
tcc -c -P -X -oobj\menuvars -ml -I..\include menuvars.c
tcc -c -P -X -oobj\menuxfld -ml -I..\include menuxfld.c
tcc -c -P -X -oobj\msys -ml -I..\include msys.c
tcc -c -P -X -oobj\msysdo -ml -I..\include msysdo.c
tcc -c -P -X -oobj\msyspars -ml -I..\include msyspars.c
tcc -c -P -X -oobj\objload -ml -I..\include objload.c
tcc -c -P -X -oobj\puedit -ml -I..\include puedit.c
tcc -c -P -X -oobj\pumenu -ml -I..\include pumenu.c
tcc -c -P -X -oobj\pumsg -ml -I..\include pumsg.c
tcc -c -P -X -oobj\puparms -ml -I..\include puparms.c
tcc -c -P -X -oobj\puprompt -ml -I..\include puprompt.c
tcc -c -P -X -oobj\putext -ml -I..\include putext.c
tcc -c -P -X -oobj\puview -ml -I..\include puview.c
tcc -c -P -X -oobj\sd1stfld -ml -I..\include sd1stfld.c
tcc -c -P -X -oobj\sdalloc -ml -I..\include sdalloc.c
tcc -c -P -X -oobj\sdcenter -ml -I..\include sdcenter.c
tcc -c -P -X -oobj\sdcurs -ml -I..\include sdcurs.c
tcc -c -P -X -oobj\sddecchr -ml -I..\include sddecchr.c
tcc -c -P -X -oobj\sddecfld -ml -I..\include sddecfld.c
tcc -c -P -X -oobj\sddelfld -ml -I..\include sddelfld.c
tcc -c -P -X -oobj\sddelrow -ml -I..\include sddelrow.c
tcc -c -P -X -oobj\sddisp -ml -I..\include sddisp.c
tcc -c -P -X -oobj\sddobob -ml -I..\include sddobob.c
tcc -c -P -X -oobj\sddsexit -ml -I..\include sddsexit.c
tcc -c -P -X -oobj\sdfindf -ml -I..\include sdfindf.c
tcc -c -P -X -oobj\sdgetbhw -ml -I..\include sdgetbhw.c
tcc -c -P -X -oobj\sdgetclr -ml -I..\include sdgetclr.c
tcc -c -P -X -oobj\sdgetcor -ml -I..\include sdgetcor.c
tcc -c -P -X -oobj\sdgetfrc -ml -I..\include sdgetfrc.c
tcc -c -P -X -oobj\sdgethw -ml -I..\include sdgethw.c
tcc -c -P -X -oobj\sdgetpos -ml -I..\include sdgetpos.c
tcc -c -P -X -oobj\sdgetsiz -ml -I..\include sdgetsiz.c
tcc -c -P -X -oobj\sdgettb -ml -I..\include sdgettb.c
tcc -c -P -X -oobj\sdgfld -ml -I..\include sdgfld.c
tcc -c -P -X -oobj\sdgo -ml -I..\include sdgo.c
tcc -c -P -X -oobj\sdgohome -ml -I..\include sdgohome.c
tcc -c -P -X -oobj\sdgoto -ml -I..\include sdgoto.c
tcc -c -P -X -oobj\sdgrid -ml -I..\include sdgrid.c
tcc -c -P -X -oobj\sdgtfclr -ml -I..\include sdgtfclr.c
tcc -c -P -X -oobj\sdgtochr -ml -I..\include sdgtochr.c
tcc -c -P -X -oobj\sdgtofld -ml -I..\include sdgtofld.c
tcc -c -P -X -oobj\sdincchr -ml -I..\include sdincchr.c
tcc -c -P -X -oobj\sdincfld -ml -I..\include sdincfld.c
tcc -c -P -X -oobj\sdinsrow -ml -I..\include sdinsrow.c
tcc -c -P -X -oobj\sdisfnam -ml -I..\include sdisfnam.c
tcc -c -P -X -oobj\sdload -ml -I..\include sdload.c
tcc -c -P -X -oobj\sdlstfld -ml -I..\include sdlstfld.c
tcc -c -P -X -oobj\sdmevacc -ml -I..\include sdmevacc.c
tcc -c -P -X -oobj\sdmouckf -ml -I..\include sdmouckf.c
tcc -c -P -X -oobj\sdmouclk -ml -I..\include sdmouclk.c
tcc -c -P -X -oobj\sdmoudrg -ml -I..\include sdmoudrg.c
tcc -c -P -X -oobj\sdmoufrm -ml -I..\include sdmoufrm.c
tcc -c -P -X -oobj\sdmougck -ml -I..\include sdmougck.c
tcc -c -P -X -oobj\sdmougtk -ml -I..\include sdmougtk.c
tcc -c -P -X -oobj\sdmoutrk -ml -I..\include sdmoutrk.c
tcc -c -P -X -oobj\sdmovfld -ml -I..\include sdmovfld.c
tcc -c -P -X -oobj\sdname -ml -I..\include sdname.c
tcc -c -P -X -oobj\sdnamvar -ml -I..\include sdnamvar.c
tcc -c -P -X -oobj\sdok -ml -I..\include sdok.c
tcc -c -P -X -oobj\sdopen -ml -I..\include sdopen.c
tcc -c -P -X -oobj\sdover -ml -I..\include sdover.c
tcc -c -P -X -oobj\sdovrwrt -ml -I..\include sdovrwrt.c
tcc -c -P -X -oobj\sdpgdn -ml -I..\include sdpgdn.c
tcc -c -P -X -oobj\sdpglt -ml -I..\include sdpglt.c
tcc -c -P -X -oobj\sdpgrt -ml -I..\include sdpgrt.c
tcc -c -P -X -oobj\sdpgup -ml -I..\include sdpgup.c
tcc -c -P -X -oobj\sdploat -ml -I..\include sdploat.c
tcc -c -P -X -oobj\sdpulllt -ml -I..\include sdpulllt.c
tcc -c -P -X -oobj\sdpullrt -ml -I..\include sdpullrt.c
tcc -c -P -X -oobj\sdpushlt -ml -I..\include sdpushlt.c
tcc -c -P -X -oobj\sdpushrt -ml -I..\include sdpushrt.c
tcc -c -P -X -oobj\sdrptfld -ml -I..\include sdrptfld.c
tcc -c -P -X -oobj\sdsave -ml -I..\include sdsave.c
tcc -c -P -X -oobj\sdscrlad -ml -I..\include sdscrlad.c
tcc -c -P -X -oobj\sdscrldn -ml -I..\include sdscrldn.c
tcc -c -P -X -oobj\sdscrllt -ml -I..\include sdscrllt.c
tcc -c -P -X -oobj\sdscrlrt -ml -I..\include sdscrlrt.c
tcc -c -P -X -oobj\sdscrlup -ml -I..\include sdscrlup.c
tcc -c -P -X -oobj\sdsetclr -ml -I..\include sdsetclr.c
tcc -c -P -X -oobj\sdsetfw -ml -I..\include sdsetfw.c
tcc -c -P -X -oobj\sdsethgt -ml -I..\include sdsethgt.c
tcc -c -P -X -oobj\sdsetmou -ml -I..\include sdsetmou.c
tcc -c -P -X -oobj\sdsettb -ml -I..\include sdsettb.c
tcc -c -P -X -oobj\sdsetwid -ml -I..\include sdsetwid.c
tcc -c -P -X -oobj\sdsrch -ml -I..\include sdsrch.c
tcc -c -P -X -oobj\sdwin -ml -I..\include sdwin.c
tcc -c -P -X -oobj\sdwinimo -ml -I..\include sdwinimo.c
tcc -c -P -X -oobj\sdxflds -ml -I..\include sdxflds.c
tcc -c -P -X -oobj\sfile -ml -I..\include sfile.c
tcc -c -P -X -oobj\slddrows -ml -I..\include slddrows.c
tcc -c -P -X -oobj\sldirows -ml -I..\include sldirows.c
tcc -c -P -X -oobj\sledopen -ml -I..\include sledopen.c
tcc -c -P -X -oobj\sledprot -ml -I..\include sledprot.c
tcc -c -P -X -oobj\sledwin -ml -I..\include sledwin.c
tcc -c -P -X -oobj\slug -ml -I..\include slug.c
tcc -c -P -X -oobj\spcabort -ml -I..\include spcabort.c
tcc -c -P -X -oobj\spcembed -ml -I..\include spcembed.c
tcc -c -P -X -oobj\spcembtd -ml -I..\include spcembtd.c
tcc -c -P -X -oobj\spcsled -ml -I..\include spcsled.c
tcc -c -P -X -oobj\tbsetmax -ml -I..\include tbsetmax.c
tcc -c -P -X -oobj\tbstr -ml -I..\include tbstr.c
tcc -c -P -X -oobj\tedcopy -ml -I..\include tedcopy.c
tcc -c -P -X -oobj\tedcurs -ml -I..\include tedcurs.c
tcc -c -P -X -oobj\tedfile -ml -I..\include tedfile.c
tcc -c -P -X -oobj\tedfoll -ml -I..\include tedfoll.c
tcc -c -P -X -oobj\tedgstr -ml -I..\include tedgstr.c
tcc -c -P -X -oobj\tedit -ml -I..\include tedit.c
tcc -c -P -X -oobj\tedline -ml -I..\include tedline.c
tcc -c -P -X -oobj\tedpast -ml -I..\include tedpast.c
tcc -c -P -X -oobj\tedsetmv -ml -I..\include tedsetmv.c
tcc -c -P -X -oobj\tedsrch -ml -I..\include tedsrch.c
tcc -c -P -X -oobj\tedstrip -ml -I..\include tedstrip.c
tcc -c -P -X -oobj\tedword -ml -I..\include tedword.c
tcc -c -P -X -oobj\textbuf -ml -I..\include textbuf.c
tcc -c -P -X -oobj\ufncload -ml -I..\include ufncload.c
tcc -c -P -X -oobj\ufncsave -ml -I..\include ufncsave.c
tcc -c -P -X -oobj\ufuncobj -ml -I..\include ufuncobj.c

echo Compiling OWL files

tcc -c -P -X -oobj\bbchain -ml -I..\include -zCOWL_TEXT bbchain.c
tcc -c -P -X -oobj\bcwin -ml -I..\include -zCOWL_TEXT bcwin.c
tcc -c -P -X -oobj\bfaux -ml -I..\include -zCOWL_TEXT bfaux.c
tcc -c -P -X -oobj\bfile -ml -I..\include -zCOWL_TEXT bfile.c
tcc -c -P -X -oobj\blwin -ml -I..\include -zCOWL_TEXT blwin.c
tcc -c -P -X -oobj\bobgo -ml -I..\include -zCOWL_TEXT bobgo.c
tcc -c -P -X -oobj\bobgtanc -ml -I..\include -zCOWL_TEXT bobgtanc.c
tcc -c -P -X -oobj\bobgtown -ml -I..\include -zCOWL_TEXT bobgtown.c
tcc -c -P -X -oobj\bobset -ml -I..\include -zCOWL_TEXT bobset.c
tcc -c -P -X -oobj\bordaux -ml -I..\include -zCOWL_TEXT bordaux.c
tcc -c -P -X -oobj\bordclos -ml -I..\include -zCOWL_TEXT bordclos.c
tcc -c -P -X -oobj\borddrwt -ml -I..\include -zCOWL_TEXT borddrwt.c
tcc -c -P -X -oobj\bordghzb -ml -I..\include -zCOWL_TEXT bordghzb.c
tcc -c -P -X -oobj\bordglts -ml -I..\include -zCOWL_TEXT bordglts.c
tcc -c -P -X -oobj\bordgvtb -ml -I..\include -zCOWL_TEXT bordgvtb.c
tcc -c -P -X -oobj\bordimo -ml -I..\include -zCOWL_TEXT bordimo.c
tcc -c -P -X -oobj\bordobj -ml -I..\include -zCOWL_TEXT bordobj.c
tcc -c -P -X -oobj\bordout -ml -I..\include -zCOWL_TEXT bordout.c
tcc -c -P -X -oobj\bordsend -ml -I..\include -zCOWL_TEXT bordsend.c
tcc -c -P -X -oobj\bordsetp -ml -I..\include -zCOWL_TEXT bordsetp.c
tcc -c -P -X -oobj\bordssds -ml -I..\include -zCOWL_TEXT bordssds.c
tcc -c -P -X -oobj\cmap -ml -I..\include -zCOWL_TEXT cmap.c
tcc -c -P -X -oobj\cmapcopy -ml -I..\include -zCOWL_TEXT cmapcopy.c
tcc -c -P -X -oobj\cmapput -ml -I..\include -zCOWL_TEXT cmapput.c
tcc -c -P -X -oobj\cmwin -ml -I..\include -zCOWL_TEXT cmwin.c
tcc -c -P -X -oobj\cmwindra -ml -I..\include -zCOWL_TEXT cmwindra.c
tcc -c -P -X -oobj\cmwinimo -ml -I..\include -zCOWL_TEXT cmwinimo.c
tcc -c -P -X -oobj\cmwintty -ml -I..\include -zCOWL_TEXT cmwintty.c
tcc -c -P -X -oobj\disp -ml -I..\include -zCOWL_TEXT disp.c
tcc -c -P -X -oobj\dispapv -ml -I..\include -zCOWL_TEXT dispapv.c
tcc -c -P -X -oobj\dispbfon -ml -I..\include -zCOWL_TEXT dispbfon.c
tcc -c -P -X -oobj\dispclr -ml -I..\include -zCOWL_TEXT dispclr.c
tcc -c -P -X -oobj\dispcurr -ml -I..\include -zCOWL_TEXT dispcurr.c
tcc -c -P -X -oobj\dispinit -ml -I..\include -zCOWL_TEXT dispinit.c
tcc -c -P -X -oobj\dispmono -ml -I..\include -zCOWL_TEXT dispmono.c
tcc -c -P -X -oobj\disppcco -ml -I..\include -zCOWL_TEXT disppcco.c
tcc -c -P -X -oobj\disprein -ml -I..\include -zCOWL_TEXT disprein.c
tcc -c -P -X -oobj\expbmu -ml -I..\include -zCOWL_TEXT expbmu.c
tcc -c -P -X -oobj\expstd -ml -I..\include -zCOWL_TEXT expstd.c
tcc -c -P -X -oobj\frw -ml -I..\include -zCOWL_TEXT frw.c
tcc -c -P -X -oobj\grwin -ml -I..\include -zCOWL_TEXT grwin.c
tcc -c -P -X -oobj\jains -ml -I..\include -zCOWL_TEXT jains.c
tcc -c -P -X -oobj\jarray -ml -I..\include -zCOWL_TEXT jarray.c
tcc -c -P -X -oobj\kbidle -ml -I..\include -zCOWL_TEXT kbidle.c
tcc -c -P -X -oobj\kblist -ml -I..\include -zCOWL_TEXT kblist.c
tcc -c -P -X -oobj\kbmacro -ml -I..\include -zCOWL_TEXT kbmacro.c
tcc -c -P -X -oobj\kbread -ml -I..\include -zCOWL_TEXT kbread.c
tcc -c -P -X -oobj\kbrecord -ml -I..\include -zCOWL_TEXT kbrecord.c
tcc -c -P -X -oobj\mouseini -ml -I..\include -zCOWL_TEXT mouseini.c
tcc -c -P -X -oobj\msgwin -ml -I..\include -zCOWL_TEXT msgwin.c
tcc -c -P -X -oobj\npwin -ml -I..\include -zCOWL_TEXT npwin.c
tcc -c -P -X -oobj\oakalloc -ml -I..\include -zCOWL_TEXT oakalloc.c
tcc -c -P -X -oobj\oakerrno -ml -I..\include -zCOWL_TEXT oakerrno.c
tcc -c -P -X -oobj\oakerror -ml -I..\include -zCOWL_TEXT oakerror.c
tcc -c -P -X -oobj\oakint -ml -I..\include -zCOWL_TEXT oakint.c
tcc -c -P -X -oobj\objfuncs -ml -I..\include -zCOWL_TEXT objfuncs.c
tcc -c -P -X -oobj\objname -ml -I..\include -zCOWL_TEXT objname.c
tcc -c -P -X -oobj\oboxclip -ml -I..\include -zCOWL_TEXT oboxclip.c
tcc -c -P -X -oobj\oboxdist -ml -I..\include -zCOWL_TEXT oboxdist.c
tcc -c -P -X -oobj\ocbox -ml -I..\include -zCOWL_TEXT ocbox.c
tcc -c -P -X -oobj\ocolmap -ml -I..\include -zCOWL_TEXT ocolmap.c
tcc -c -P -X -oobj\omemmove -ml -I..\include -zCOWL_TEXT omemmove.c
tcc -c -P -X -oobj\opbox -ml -I..\include -zCOWL_TEXT opbox.c
tcc -c -P -X -oobj\opclipso -ml -I..\include -zCOWL_TEXT opclipso.c
tcc -c -P -X -oobj\opclipst -ml -I..\include -zCOWL_TEXT opclipst.c
tcc -c -P -X -oobj\oslist -ml -I..\include -zCOWL_TEXT oslist.c
tcc -c -P -X -oobj\pmapload -ml -I..\include -zCOWL_TEXT pmapload.c
tcc -c -P -X -oobj\pmapopen -ml -I..\include -zCOWL_TEXT pmapopen.c
tcc -c -P -X -oobj\pmapx -ml -I..\include -zCOWL_TEXT pmapx.c
tcc -c -P -X -oobj\pmwin -ml -I..\include -zCOWL_TEXT pmwin.c
tcc -c -P -X -oobj\pmwinimo -ml -I..\include -zCOWL_TEXT pmwinimo.c
tcc -c -P -X -oobj\pmwinope -ml -I..\include -zCOWL_TEXT pmwinope.c
tcc -c -P -X -oobj\ptdchar -ml -I..\include -zCOWL_TEXT ptdchar.c
tcc -c -P -X -oobj\ptdframe -ml -I..\include -zCOWL_TEXT ptdframe.c
tcc -c -P -X -oobj\ptdline -ml -I..\include -zCOWL_TEXT ptdline.c
tcc -c -P -X -oobj\ptdpixch -ml -I..\include -zCOWL_TEXT ptdpixch.c
tcc -c -P -X -oobj\sarray -ml -I..\include -zCOWL_TEXT sarray.c
tcc -c -P -X -oobj\sfiltext -ml -I..\include -zCOWL_TEXT sfiltext.c
tcc -c -P -X -oobj\strmask -ml -I..\include -zCOWL_TEXT strmask.c
tcc -c -P -X -oobj\strtools -ml -I..\include -zCOWL_TEXT strtools.c
tcc -c -P -X -oobj\strwrap -ml -I..\include -zCOWL_TEXT strwrap.c
tcc -c -P -X -oobj\tmadd -ml -I..\include -zCOWL_TEXT tmadd.c
tcc -c -P -X -oobj\tmelap -ml -I..\include -zCOWL_TEXT tmelap.c
tcc -c -P -X -oobj\tmnow -ml -I..\include -zCOWL_TEXT tmnow.c
tcc -c -P -X -oobj\tmvalid -ml -I..\include -zCOWL_TEXT tmvalid.c
tcc -c -P -X -oobj\userwin -ml -I..\include -zCOWL_TEXT userwin.c
tcc -c -P -X -oobj\varray -ml -I..\include -zCOWL_TEXT varray.c
tcc -c -P -X -oobj\vid -ml -I..\include -zCOWL_TEXT vid.c
tcc -c -P -X -oobj\winclear -ml -I..\include -zCOWL_TEXT winclear.c
tcc -c -P -X -oobj\winclip -ml -I..\include -zCOWL_TEXT winclip.c
tcc -c -P -X -oobj\wincurso -ml -I..\include -zCOWL_TEXT wincurso.c
tcc -c -P -X -oobj\windump -ml -I..\include -zCOWL_TEXT windump.c
tcc -c -P -X -oobj\winexpos -ml -I..\include -zCOWL_TEXT winexpos.c
tcc -c -P -X -oobj\wingetp -ml -I..\include -zCOWL_TEXT wingetp.c
tcc -c -P -X -oobj\wingo -ml -I..\include -zCOWL_TEXT wingo.c
tcc -c -P -X -oobj\winlist -ml -I..\include -zCOWL_TEXT winlist.c
tcc -c -P -X -oobj\winload -ml -I..\include -zCOWL_TEXT winload.c
tcc -c -P -X -oobj\winmev -ml -I..\include -zCOWL_TEXT winmev.c
tcc -c -P -X -oobj\winmougt -ml -I..\include -zCOWL_TEXT winmougt.c
tcc -c -P -X -oobj\winmouse -ml -I..\include -zCOWL_TEXT winmouse.c
tcc -c -P -X -oobj\winmoutk -ml -I..\include -zCOWL_TEXT winmoutk.c
tcc -c -P -X -oobj\winobj -ml -I..\include -zCOWL_TEXT winobj.c
tcc -c -P -X -oobj\winobsc -ml -I..\include -zCOWL_TEXT winobsc.c
tcc -c -P -X -oobj\winopen -ml -I..\include -zCOWL_TEXT winopen.c
tcc -c -P -X -oobj\winpaint -ml -I..\include -zCOWL_TEXT winpaint.c
tcc -c -P -X -oobj\winsave -ml -I..\include -zCOWL_TEXT winsave.c
tcc -c -P -X -oobj\winscrol -ml -I..\include -zCOWL_TEXT winscrol.c
tcc -c -P -X -oobj\winsetp -ml -I..\include -zCOWL_TEXT winsetp.c
tcc -c -P -X -oobj\winsize -ml -I..\include -zCOWL_TEXT winsize.c
tcc -c -P -X -oobj\wintop -ml -I..\include -zCOWL_TEXT wintop.c
tcc -c -P -X -oobj\wmgrinit -ml -I..\include -zCOWL_TEXT wmgrinit.c

echo Compiling BD files

tcc -c -P -X -oobj\bd1 -ml -I..\include bd1.c
tcc -c -P -X -oobj\bd123 -ml -I..\include bd123.c
tcc -c -P -X -oobj\bd2 -ml -I..\include bd2.c
tcc -c -P -X -oobj\bdbar -ml -I..\include bdbar.c
tcc -c -P -X -oobj\bdbox -ml -I..\include bdbox.c
tcc -c -P -X -oobj\bdboxlt -ml -I..\include bdboxlt.c
tcc -c -P -X -oobj\bdhead -ml -I..\include bdhead.c
tcc -c -P -X -oobj\bdmouse -ml -I..\include bdmouse.c
tcc -c -P -X -oobj\bdmouse2 -ml -I..\include bdmouse2.c
tcc -c -P -X -oobj\bdnull -ml -I..\include bdnull.c
tcc -c -P -X -oobj\bdplain -ml -I..\include bdplain.c
tcc -c -P -X -oobj\bdprompt -ml -I..\include bdprompt.c
tcc -c -P -X -oobj\bdside -ml -I..\include bdside.c
tcc -c -P -X -oobj\bdstd -ml -I..\include bdstd.c
tcc -c -P -X -oobj\bdtitle -ml -I..\include bdtitle.c
tcc -c -P -X -oobj\bdxref -ml -I..\include bdxref.c

echo Compiling DIG files

tcc -c -P -X -oobj\digbtree -ml -I..\include -zCPCDIG_TEXT digbtree.c
tcc -c -P -X -oobj\digcursb -ml -I..\include -zCPCDIG_TEXT digcursb.c
tcc -c -P -X -oobj\digcursl -ml -I..\include -zCPCDIG_TEXT digcursl.c
tcc -c -P -X -oobj\digflip -ml -I..\include -zCPCDIG_TEXT digflip.c
tcc -c -P -X -oobj\digklex -ml -I..\include -zCPCDIG_TEXT digklex.c
tcc -c -P -X -oobj\digpmcli -ml -I..\include -zCPCDIG_TEXT digpmcli.c
tcc -c -P -X -oobj\digpow2 -ml -I..\include -zCPCDIG_TEXT digpow2.c
tcc -c -P -X -oobj\digscmap -ml -I..\include -zCPCDIG_TEXT digscmap.c
tcc -c -P -X -oobj\digshsec -ml -I..\include -zCPCDIG_TEXT digshsec.c
tcc -c -P -X -oobj\digsqcm -ml -I..\include -zCPCDIG_TEXT digsqcm.c
tcc -c -P -X -oobj\pcxload -ml -I..\include -zCPCDIG_TEXT pcxload.c
tcc -c -P -X -oobj\pcxsave -ml -I..\include -zCPCDIG_TEXT pcxsave.c

echo Compiling PC files

tcc -c -P -X -oobj\pcbdrawc -ml -I..\include -zCPCDIG_TEXT pcbdrawc.c
tcc -c -P -X -oobj\pcbios -ml -I..\include -zCPCDIG_TEXT pcbios.c
tcc -c -P -X -oobj\pcbscrol -ml -I..\include -zCPCDIG_TEXT pcbscrol.c
tcc -c -P -X -oobj\pcbsetcu -ml -I..\include -zCPCDIG_TEXT pcbsetcu.c
tcc -c -P -X -oobj\pccga -ml -I..\include -zCPCDIG_TEXT pccga.c
tcc -c -P -X -oobj\pcdir -ml -I..\include -zCPCDIG_TEXT pcdir.c
tcc -c -P -X -oobj\pcdisp -ml -I..\include -zCPCDIG_TEXT pcdisp.c
tcc -c -P -X -oobj\pcevga -ml -I..\include -zCPCDIG_TEXT pcevga.c
tcc -c -P -X -oobj\pcgfuncs -ml -I..\include -zCPCDIG_TEXT pcgfuncs.c
tcc -c -P -X -oobj\pchard -ml -I..\include -zCPCDIG_TEXT pchard.c
tcc -c -P -X -oobj\pcherc -ml -I..\include -zCPCDIG_TEXT pcherc.c
tcc -c -P -X -oobj\pcmcga -ml -I..\include -zCPCDIG_TEXT pcmcga.c
tcc -c -P -X -oobj\pcmcurr -ml -I..\include -zCPCDIG_TEXT pcmcurr.c
tcc -c -P -X -oobj\pcmcurrt -ml -I..\include -zCPCDIG_TEXT pcmcurrt.c
tcc -c -P -X -oobj\pcmgraph -ml -I..\include -zCPCDIG_TEXT pcmgraph.c
tcc -c -P -X -oobj\pcmode -ml -I..\include -zCPCDIG_TEXT pcmode.c
tcc -c -P -X -oobj\pcopen -ml -I..\include -zCPCDIG_TEXT pcopen.c
tcc -c -P -X -oobj\pcpmap -ml -I..\include -zCPCDIG_TEXT pcpmap.c
tcc -c -P -X -oobj\pcpmapio -ml -I..\include -zCPCDIG_TEXT pcpmapio.c
tcc -c -P -X -oobj\pcramcle -ml -I..\include -zCPCDIG_TEXT pcramcle.c
tcc -c -P -X -oobj\pcramcpp -ml -I..\include -zCPCDIG_TEXT pcramcpp.c
tcc -c -P -X -oobj\pcramdra -ml -I..\include -zCPCDIG_TEXT pcramdra.c
tcc -c -P -X -oobj\pcrestor -ml -I..\include -zCPCDIG_TEXT pcrestor.c
tcc -c -P -X -oobj\pcsplash -ml -I..\include -zCPCDIG_TEXT pcsplash.c
tcc -c -P -X -oobj\pctext -ml -I..\include -zCPCDIG_TEXT pctext.c
tcc -c -P -X -oobj\pctextin -ml -I..\include -zCPCDIG_TEXT pctextin.c
tcc -c -P -X -oobj\pcvgrab -ml -I..\include -zCPCDIG_TEXT pcvgrab.c

echo Compiling PCA files

tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pc1bitpl.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pc2bitpl.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pc8bitpl.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pcbunrun.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pcbxlat.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pccbrk.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pcevgapl.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pchcfont.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pchcfunc.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pciscpq.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pcneares.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pcoint86.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pcrammov.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pcramwmo.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pcvfreez.asm, obj\;
tasm /ml /dTP=99 /dlMOD=99 /I..\include /dDIGSEG=99  pcvscan.asm, obj\;

echo Compiling MGR files

tcc -c -P -X -oobj\mgrarg -ml -I..\include -zCPCDIG_TEXT mgrarg.c
tcc -c -P -X -oobj\mgrdetec -ml -I..\include -zCPCDIG_TEXT mgrdetec.c
tcc -c -P -X -oobj\mgrdisp -ml -I..\include -zCPCDIG_TEXT mgrdisp.c
tcc -c -P -X -oobj\mgrffont -ml -I..\include -zCPCDIG_TEXT mgrffont.c
tcc -c -P -X -oobj\mgrfont -ml -I..\include -zCPCDIG_TEXT mgrfont.c
tcc -c -P -X -oobj\mgrhard -ml -I..\include -zCPCDIG_TEXT mgrhard.c
tcc -c -P -X -oobj\mgrmodeg -ml -I..\include -zCPCDIG_TEXT mgrmodeg.c
tcc -c -P -X -oobj\mgropen -ml -I..\include -zCPCDIG_TEXT mgropen.c
tcc -c -P -X -oobj\mgrpmap -ml -I..\include -zCPCDIG_TEXT mgrpmap.c
tcc -c -P -X -oobj\mgrpmapi -ml -I..\include -zCPCDIG_TEXT mgrpmapi.c
tcc -c -P -X -oobj\mgrquerm -ml -I..\include -zCPCDIG_TEXT mgrquerm.c

echo Done compiling.

echo Creating C-scape library file.
rem  Delete old C-scape lib if it exists to prepare for new one.
del ..\lib\TPlCSCAP.lib
rem 
tlib @CSRESP.TPl
echo Creating OWL library file.
rem  Delete old OWL lib if it exists to prepare for new one.
del ..\lib\TPlOWLM.lib
rem 
tlib @OWLRESPM.TPl
echo Done.

