@echo off
echo This batch file will produce the C-scape libraries
echo  ..\lib\Z2LCSCAP.lib and ..\lib\Z2LOWL.lib for
echo  the Zortech C++ 2.0 compiler.
rem  Compiler = Z2, model = L, type = Regular, nearsegs = TRUE
rem  Delete old object files if they exist to prepare for new ones.
echo del obj\*.obj
del obj\*.obj
rem 
rem  Create object files directory if it's not already there.
echo md obj
md obj
rem 

echo Compiling CS files

ztc -br -c -cpp -b -r -oobj\auxtop -mL -I..\include auxtop.c
ztc -br -c -cpp -b -r -oobj\field -mL -I..\include field.c
ztc -br -c -cpp -b -r -oobj\fldcls -mL -I..\include fldcls.c
ztc -br -c -cpp -b -r -oobj\fldgetb -mL -I..\include fldgetb.c
ztc -br -c -cpp -b -r -oobj\fldpulll -mL -I..\include fldpulll.c
ztc -br -c -cpp -b -r -oobj\fldpullr -mL -I..\include fldpullr.c
ztc -br -c -cpp -b -r -oobj\fldpushl -mL -I..\include fldpushl.c
ztc -br -c -cpp -b -r -oobj\fldpushr -mL -I..\include fldpushr.c
ztc -br -c -cpp -b -r -oobj\fnalpha -mL -I..\include fnalpha.c
ztc -br -c -cpp -b -r -oobj\fnbob -mL -I..\include fnbob.c
ztc -br -c -cpp -b -r -oobj\fnchar -mL -I..\include fnchar.c
ztc -br -c -cpp -b -r -oobj\fncheck -mL -I..\include fncheck.c
ztc -br -c -cpp -b -r -oobj\fnclong -mL -I..\include fnclong.c
ztc -br -c -cpp -b -r -oobj\fncmoney -mL -I..\include fncmoney.c
ztc -br -c -cpp -b -r -oobj\fncntry -mL -I..\include fncntry.c
ztc -br -c -cpp -b -r -oobj\fncomma -mL -I..\include fncomma.c
ztc -br -c -cpp -b -r -oobj\fndate -mL -I..\include fndate.c
ztc -br -c -cpp -b -r -oobj\fndecpt -mL -I..\include fndecpt.c
ztc -br -c -cpp -b -r -oobj\fndigit -mL -I..\include fndigit.c
ztc -br -c -cpp -b -r -oobj\fndouble -mL -I..\include fndouble.c
ztc -br -c -cpp -b -r -oobj\fnfixdp -mL -I..\include fnfixdp.c
ztc -br -c -cpp -b -r -oobj\fnframer -mL -I..\include fnframer.c
ztc -br -c -cpp -b -r -oobj\fnhex -mL -I..\include fnhex.c
ztc -br -c -cpp -b -r -oobj\fnifld -mL -I..\include fnifld.c
ztc -br -c -cpp -b -r -oobj\fnifldg -mL -I..\include fnifldg.c
ztc -br -c -cpp -b -r -oobj\fnint -mL -I..\include fnint.c
ztc -br -c -cpp -b -r -oobj\fnipage -mL -I..\include fnipage.c
ztc -br -c -cpp -b -r -oobj\fnlist -mL -I..\include fnlist.c
ztc -br -c -cpp -b -r -oobj\fnlong -mL -I..\include fnlong.c
ztc -br -c -cpp -b -r -oobj\fnmark -mL -I..\include fnmark.c
ztc -br -c -cpp -b -r -oobj\fnmenu -mL -I..\include fnmenu.c
ztc -br -c -cpp -b -r -oobj\fnmoney -mL -I..\include fnmoney.c
ztc -br -c -cpp -b -r -oobj\fnmsys -mL -I..\include fnmsys.c
ztc -br -c -cpp -b -r -oobj\fnnowrit -mL -I..\include fnnowrit.c
ztc -br -c -cpp -b -r -oobj\fnnum -mL -I..\include fnnum.c
ztc -br -c -cpp -b -r -oobj\fnpnum -mL -I..\include fnpnum.c
ztc -br -c -cpp -b -r -oobj\fnradio -mL -I..\include fnradio.c
ztc -br -c -cpp -b -r -oobj\fnrange -mL -I..\include fnrange.c
ztc -br -c -cpp -b -r -oobj\fnsdoubl -mL -I..\include fnsdoubl.c
ztc -br -c -cpp -b -r -oobj\fnsecure -mL -I..\include fnsecure.c
ztc -br -c -cpp -b -r -oobj\fnselect -mL -I..\include fnselect.c
ztc -br -c -cpp -b -r -oobj\fnsfloat -mL -I..\include fnsfloat.c
ztc -br -c -cpp -b -r -oobj\fnsint -mL -I..\include fnsint.c
ztc -br -c -cpp -b -r -oobj\fnslong -mL -I..\include fnslong.c
ztc -br -c -cpp -b -r -oobj\fnslug -mL -I..\include fnslug.c
ztc -br -c -cpp -b -r -oobj\fnspec -mL -I..\include fnspec.c
ztc -br -c -cpp -b -r -oobj\fnstd -mL -I..\include fnstd.c
ztc -br -c -cpp -b -r -oobj\fnstdval -mL -I..\include fnstdval.c
ztc -br -c -cpp -b -r -oobj\fnstrcom -mL -I..\include fnstrcom.c
ztc -br -c -cpp -b -r -oobj\fnstring -mL -I..\include fnstring.c
ztc -br -c -cpp -b -r -oobj\fnted -mL -I..\include fnted.c
ztc -br -c -cpp -b -r -oobj\fnticker -mL -I..\include fnticker.c
ztc -br -c -cpp -b -r -oobj\fntime -mL -I..\include fntime.c
ztc -br -c -cpp -b -r -oobj\fntoggle -mL -I..\include fntoggle.c
ztc -br -c -cpp -b -r -oobj\fntogint -mL -I..\include fntogint.c
ztc -br -c -cpp -b -r -oobj\fnvalfmt -mL -I..\include fnvalfmt.c
ztc -br -c -cpp -b -r -oobj\fnvalnum -mL -I..\include fnvalnum.c
ztc -br -c -cpp -b -r -oobj\fnvalrng -mL -I..\include fnvalrng.c
ztc -br -c -cpp -b -r -oobj\fnvalstr -mL -I..\include fnvalstr.c
ztc -br -c -cpp -b -r -oobj\fnxstr -mL -I..\include fnxstr.c
ztc -br -c -cpp -b -r -oobj\fnyesno -mL -I..\include fnyesno.c
ztc -br -c -cpp -b -r -oobj\framer -mL -I..\include framer.c
ztc -br -c -cpp -b -r -oobj\fsym -mL -I..\include fsym.c
ztc -br -c -cpp -b -r -oobj\fsymidef -mL -I..\include fsymidef.c
ztc -br -c -cpp -b -r -oobj\fsyminit -mL -I..\include fsyminit.c
ztc -br -c -cpp -b -r -oobj\help -mL -I..\include help.c
ztc -br -c -cpp -b -r -oobj\helpshow -mL -I..\include helpshow.c
ztc -br -c -cpp -b -r -oobj\helpview -mL -I..\include helpview.c
ztc -br -c -cpp -b -r -oobj\helpxref -mL -I..\include helpxref.c
ztc -br -c -cpp -b -r -oobj\idleclk -mL -I..\include idleclk.c
ztc -br -c -cpp -b -r -oobj\menu -mL -I..\include menu.c
ztc -br -c -cpp -b -r -oobj\menuaftg -mL -I..\include menuaftg.c
ztc -br -c -cpp -b -r -oobj\menucfld -mL -I..\include menucfld.c
ztc -br -c -cpp -b -r -oobj\menudest -mL -I..\include menudest.c
ztc -br -c -cpp -b -r -oobj\menudfld -mL -I..\include menudfld.c
ztc -br -c -cpp -b -r -oobj\menudrow -mL -I..\include menudrow.c
ztc -br -c -cpp -b -r -oobj\menufind -mL -I..\include menufind.c
ztc -br -c -cpp -b -r -oobj\menuirow -mL -I..\include menuirow.c
ztc -br -c -cpp -b -r -oobj\menuload -mL -I..\include menuload.c
ztc -br -c -cpp -b -r -oobj\menumfld -mL -I..\include menumfld.c
ztc -br -c -cpp -b -r -oobj\menumrkf -mL -I..\include menumrkf.c
ztc -br -c -cpp -b -r -oobj\menuname -mL -I..\include menuname.c
ztc -br -c -cpp -b -r -oobj\menupdpl -mL -I..\include menupdpl.c
ztc -br -c -cpp -b -r -oobj\menuputb -mL -I..\include menuputb.c
ztc -br -c -cpp -b -r -oobj\menusave -mL -I..\include menusave.c
ztc -br -c -cpp -b -r -oobj\menusfb -mL -I..\include menusfb.c
ztc -br -c -cpp -b -r -oobj\menusfld -mL -I..\include menusfld.c
ztc -br -c -cpp -b -r -oobj\menusize -mL -I..\include menusize.c
ztc -br -c -cpp -b -r -oobj\menutb -mL -I..\include menutb.c
ztc -br -c -cpp -b -r -oobj\menutffg -mL -I..\include menutffg.c
ztc -br -c -cpp -b -r -oobj\menuunpf -mL -I..\include menuunpf.c
ztc -br -c -cpp -b -r -oobj\menuvars -mL -I..\include menuvars.c
ztc -br -c -cpp -b -r -oobj\menuxfld -mL -I..\include menuxfld.c
ztc -br -c -cpp -b -r -oobj\msys -mL -I..\include msys.c
ztc -br -c -cpp -b -r -oobj\msysdo -mL -I..\include msysdo.c
ztc -br -c -cpp -b -r -oobj\msyspars -mL -I..\include msyspars.c
ztc -br -c -cpp -b -r -oobj\objload -mL -I..\include objload.c
ztc -br -c -cpp -b -r -oobj\puedit -mL -I..\include puedit.c
ztc -br -c -cpp -b -r -oobj\pumenu -mL -I..\include pumenu.c
ztc -br -c -cpp -b -r -oobj\pumsg -mL -I..\include pumsg.c
ztc -br -c -cpp -b -r -oobj\puparms -mL -I..\include puparms.c
ztc -br -c -cpp -b -r -oobj\puprompt -mL -I..\include puprompt.c
ztc -br -c -cpp -b -r -oobj\putext -mL -I..\include putext.c
ztc -br -c -cpp -b -r -oobj\puview -mL -I..\include puview.c
ztc -br -c -cpp -b -r -oobj\sd1stfld -mL -I..\include sd1stfld.c
ztc -br -c -cpp -b -r -oobj\sdalloc -mL -I..\include sdalloc.c
ztc -br -c -cpp -b -r -oobj\sdcenter -mL -I..\include sdcenter.c
ztc -br -c -cpp -b -r -oobj\sdcurs -mL -I..\include sdcurs.c
ztc -br -c -cpp -b -r -oobj\sddecchr -mL -I..\include sddecchr.c
ztc -br -c -cpp -b -r -oobj\sddecfld -mL -I..\include sddecfld.c
ztc -br -c -cpp -b -r -oobj\sddelfld -mL -I..\include sddelfld.c
ztc -br -c -cpp -b -r -oobj\sddelrow -mL -I..\include sddelrow.c
ztc -br -c -cpp -b -r -oobj\sddisp -mL -I..\include sddisp.c
ztc -br -c -cpp -b -r -oobj\sddobob -mL -I..\include sddobob.c
ztc -br -c -cpp -b -r -oobj\sddsexit -mL -I..\include sddsexit.c
ztc -br -c -cpp -b -r -oobj\sdfindf -mL -I..\include sdfindf.c
ztc -br -c -cpp -b -r -oobj\sdgetbhw -mL -I..\include sdgetbhw.c
ztc -br -c -cpp -b -r -oobj\sdgetclr -mL -I..\include sdgetclr.c
ztc -br -c -cpp -b -r -oobj\sdgetcor -mL -I..\include sdgetcor.c
ztc -br -c -cpp -b -r -oobj\sdgetfrc -mL -I..\include sdgetfrc.c
ztc -br -c -cpp -b -r -oobj\sdgethw -mL -I..\include sdgethw.c
ztc -br -c -cpp -b -r -oobj\sdgetpos -mL -I..\include sdgetpos.c
ztc -br -c -cpp -b -r -oobj\sdgetsiz -mL -I..\include sdgetsiz.c
ztc -br -c -cpp -b -r -oobj\sdgettb -mL -I..\include sdgettb.c
ztc -br -c -cpp -b -r -oobj\sdgfld -mL -I..\include sdgfld.c
ztc -br -c -cpp -b -r -oobj\sdgo -mL -I..\include sdgo.c
ztc -br -c -cpp -b -r -oobj\sdgohome -mL -I..\include sdgohome.c
ztc -br -c -cpp -b -r -oobj\sdgoto -mL -I..\include sdgoto.c
ztc -br -c -cpp -b -r -oobj\sdgrid -mL -I..\include sdgrid.c
ztc -br -c -cpp -b -r -oobj\sdgtfclr -mL -I..\include sdgtfclr.c
ztc -br -c -cpp -b -r -oobj\sdgtochr -mL -I..\include sdgtochr.c
ztc -br -c -cpp -b -r -oobj\sdgtofld -mL -I..\include sdgtofld.c
ztc -br -c -cpp -b -r -oobj\sdincchr -mL -I..\include sdincchr.c
ztc -br -c -cpp -b -r -oobj\sdincfld -mL -I..\include sdincfld.c
ztc -br -c -cpp -b -r -oobj\sdinsrow -mL -I..\include sdinsrow.c
ztc -br -c -cpp -b -r -oobj\sdisfnam -mL -I..\include sdisfnam.c
ztc -br -c -cpp -b -r -oobj\sdload -mL -I..\include sdload.c
ztc -br -c -cpp -b -r -oobj\sdlstfld -mL -I..\include sdlstfld.c
ztc -br -c -cpp -b -r -oobj\sdmevacc -mL -I..\include sdmevacc.c
ztc -br -c -cpp -b -r -oobj\sdmouckf -mL -I..\include sdmouckf.c
ztc -br -c -cpp -b -r -oobj\sdmouclk -mL -I..\include sdmouclk.c
ztc -br -c -cpp -b -r -oobj\sdmoudrg -mL -I..\include sdmoudrg.c
ztc -br -c -cpp -b -r -oobj\sdmoufrm -mL -I..\include sdmoufrm.c
ztc -br -c -cpp -b -r -oobj\sdmougck -mL -I..\include sdmougck.c
ztc -br -c -cpp -b -r -oobj\sdmougtk -mL -I..\include sdmougtk.c
ztc -br -c -cpp -b -r -oobj\sdmoutrk -mL -I..\include sdmoutrk.c
ztc -br -c -cpp -b -r -oobj\sdmovfld -mL -I..\include sdmovfld.c
ztc -br -c -cpp -b -r -oobj\sdname -mL -I..\include sdname.c
ztc -br -c -cpp -b -r -oobj\sdnamvar -mL -I..\include sdnamvar.c
ztc -br -c -cpp -b -r -oobj\sdok -mL -I..\include sdok.c
ztc -br -c -cpp -b -r -oobj\sdopen -mL -I..\include sdopen.c
ztc -br -c -cpp -b -r -oobj\sdover -mL -I..\include sdover.c
ztc -br -c -cpp -b -r -oobj\sdovrwrt -mL -I..\include sdovrwrt.c
ztc -br -c -cpp -b -r -oobj\sdpgdn -mL -I..\include sdpgdn.c
ztc -br -c -cpp -b -r -oobj\sdpglt -mL -I..\include sdpglt.c
ztc -br -c -cpp -b -r -oobj\sdpgrt -mL -I..\include sdpgrt.c
ztc -br -c -cpp -b -r -oobj\sdpgup -mL -I..\include sdpgup.c
ztc -br -c -cpp -b -r -oobj\sdploat -mL -I..\include sdploat.c
ztc -br -c -cpp -b -r -oobj\sdpulllt -mL -I..\include sdpulllt.c
ztc -br -c -cpp -b -r -oobj\sdpullrt -mL -I..\include sdpullrt.c
ztc -br -c -cpp -b -r -oobj\sdpushlt -mL -I..\include sdpushlt.c
ztc -br -c -cpp -b -r -oobj\sdpushrt -mL -I..\include sdpushrt.c
ztc -br -c -cpp -b -r -oobj\sdrptfld -mL -I..\include sdrptfld.c
ztc -br -c -cpp -b -r -oobj\sdsave -mL -I..\include sdsave.c
ztc -br -c -cpp -b -r -oobj\sdscrlad -mL -I..\include sdscrlad.c
ztc -br -c -cpp -b -r -oobj\sdscrldn -mL -I..\include sdscrldn.c
ztc -br -c -cpp -b -r -oobj\sdscrllt -mL -I..\include sdscrllt.c
ztc -br -c -cpp -b -r -oobj\sdscrlrt -mL -I..\include sdscrlrt.c
ztc -br -c -cpp -b -r -oobj\sdscrlup -mL -I..\include sdscrlup.c
ztc -br -c -cpp -b -r -oobj\sdsetclr -mL -I..\include sdsetclr.c
ztc -br -c -cpp -b -r -oobj\sdsetfw -mL -I..\include sdsetfw.c
ztc -br -c -cpp -b -r -oobj\sdsethgt -mL -I..\include sdsethgt.c
ztc -br -c -cpp -b -r -oobj\sdsetmou -mL -I..\include sdsetmou.c
ztc -br -c -cpp -b -r -oobj\sdsettb -mL -I..\include sdsettb.c
ztc -br -c -cpp -b -r -oobj\sdsetwid -mL -I..\include sdsetwid.c
ztc -br -c -cpp -b -r -oobj\sdsrch -mL -I..\include sdsrch.c
ztc -br -c -cpp -b -r -oobj\sdwin -mL -I..\include sdwin.c
ztc -br -c -cpp -b -r -oobj\sdwinimo -mL -I..\include sdwinimo.c
ztc -br -c -cpp -b -r -oobj\sdxflds -mL -I..\include sdxflds.c
ztc -br -c -cpp -b -r -oobj\sfile -mL -I..\include sfile.c
ztc -br -c -cpp -b -r -oobj\slddrows -mL -I..\include slddrows.c
ztc -br -c -cpp -b -r -oobj\sldirows -mL -I..\include sldirows.c
ztc -br -c -cpp -b -r -oobj\sledopen -mL -I..\include sledopen.c
ztc -br -c -cpp -b -r -oobj\sledprot -mL -I..\include sledprot.c
ztc -br -c -cpp -b -r -oobj\sledwin -mL -I..\include sledwin.c
ztc -br -c -cpp -b -r -oobj\slug -mL -I..\include slug.c
ztc -br -c -cpp -b -r -oobj\spcabort -mL -I..\include spcabort.c
ztc -br -c -cpp -b -r -oobj\spcembed -mL -I..\include spcembed.c
ztc -br -c -cpp -b -r -oobj\spcembtd -mL -I..\include spcembtd.c
ztc -br -c -cpp -b -r -oobj\spcsled -mL -I..\include spcsled.c
ztc -br -c -cpp -b -r -oobj\tbsetmax -mL -I..\include tbsetmax.c
ztc -br -c -cpp -b -r -oobj\tbstr -mL -I..\include tbstr.c
ztc -br -c -cpp -b -r -oobj\tedcopy -mL -I..\include tedcopy.c
ztc -br -c -cpp -b -r -oobj\tedcurs -mL -I..\include tedcurs.c
ztc -br -c -cpp -b -r -oobj\tedfile -mL -I..\include tedfile.c
ztc -br -c -cpp -b -r -oobj\tedfoll -mL -I..\include tedfoll.c
ztc -br -c -cpp -b -r -oobj\tedgstr -mL -I..\include tedgstr.c
ztc -br -c -cpp -b -r -oobj\tedit -mL -I..\include tedit.c
ztc -br -c -cpp -b -r -oobj\tedline -mL -I..\include tedline.c
ztc -br -c -cpp -b -r -oobj\tedpast -mL -I..\include tedpast.c
ztc -br -c -cpp -b -r -oobj\tedsetmv -mL -I..\include tedsetmv.c
ztc -br -c -cpp -b -r -oobj\tedsrch -mL -I..\include tedsrch.c
ztc -br -c -cpp -b -r -oobj\tedstrip -mL -I..\include tedstrip.c
ztc -br -c -cpp -b -r -oobj\tedword -mL -I..\include tedword.c
ztc -br -c -cpp -b -r -oobj\textbuf -mL -I..\include textbuf.c
ztc -br -c -cpp -b -r -oobj\ufncload -mL -I..\include ufncload.c
ztc -br -c -cpp -b -r -oobj\ufncsave -mL -I..\include ufncsave.c
ztc -br -c -cpp -b -r -oobj\ufuncobj -mL -I..\include ufuncobj.c

echo Compiling OWL files

ztc -br -c -cpp -b -r -oobj\bbchain -mL -I..\include bbchain.c
ztc -br -c -cpp -b -r -oobj\bcwin -mL -I..\include bcwin.c
ztc -br -c -cpp -b -r -oobj\bfaux -mL -I..\include bfaux.c
ztc -br -c -cpp -b -r -oobj\bfile -mL -I..\include bfile.c
ztc -br -c -cpp -b -r -oobj\blwin -mL -I..\include blwin.c
ztc -br -c -cpp -b -r -oobj\bobgo -mL -I..\include bobgo.c
ztc -br -c -cpp -b -r -oobj\bobgtanc -mL -I..\include bobgtanc.c
ztc -br -c -cpp -b -r -oobj\bobgtown -mL -I..\include bobgtown.c
ztc -br -c -cpp -b -r -oobj\bobset -mL -I..\include bobset.c
ztc -br -c -cpp -b -r -oobj\bordaux -mL -I..\include bordaux.c
ztc -br -c -cpp -b -r -oobj\bordclos -mL -I..\include bordclos.c
ztc -br -c -cpp -b -r -oobj\borddrwt -mL -I..\include borddrwt.c
ztc -br -c -cpp -b -r -oobj\bordghzb -mL -I..\include bordghzb.c
ztc -br -c -cpp -b -r -oobj\bordglts -mL -I..\include bordglts.c
ztc -br -c -cpp -b -r -oobj\bordgvtb -mL -I..\include bordgvtb.c
ztc -br -c -cpp -b -r -oobj\bordimo -mL -I..\include bordimo.c
ztc -br -c -cpp -b -r -oobj\bordobj -mL -I..\include bordobj.c
ztc -br -c -cpp -b -r -oobj\bordout -mL -I..\include bordout.c
ztc -br -c -cpp -b -r -oobj\bordsend -mL -I..\include bordsend.c
ztc -br -c -cpp -b -r -oobj\bordsetp -mL -I..\include bordsetp.c
ztc -br -c -cpp -b -r -oobj\bordssds -mL -I..\include bordssds.c
ztc -br -c -cpp -b -r -oobj\cmap -mL -I..\include cmap.c
ztc -br -c -cpp -b -r -oobj\cmapcopy -mL -I..\include cmapcopy.c
ztc -br -c -cpp -b -r -oobj\cmapput -mL -I..\include cmapput.c
ztc -br -c -cpp -b -r -oobj\cmwin -mL -I..\include cmwin.c
ztc -br -c -cpp -b -r -oobj\cmwindra -mL -I..\include cmwindra.c
ztc -br -c -cpp -b -r -oobj\cmwinimo -mL -I..\include cmwinimo.c
ztc -br -c -cpp -b -r -oobj\cmwintty -mL -I..\include cmwintty.c
ztc -br -c -cpp -b -r -oobj\disp -mL -I..\include disp.c
ztc -br -c -cpp -b -r -oobj\dispapv -mL -I..\include dispapv.c
ztc -br -c -cpp -b -r -oobj\dispbfon -mL -I..\include dispbfon.c
ztc -br -c -cpp -b -r -oobj\dispclr -mL -I..\include dispclr.c
ztc -br -c -cpp -b -r -oobj\dispcurr -mL -I..\include dispcurr.c
ztc -br -c -cpp -b -r -oobj\dispinit -mL -I..\include dispinit.c
ztc -br -c -cpp -b -r -oobj\dispmono -mL -I..\include dispmono.c
ztc -br -c -cpp -b -r -oobj\disppcco -mL -I..\include disppcco.c
ztc -br -c -cpp -b -r -oobj\disprein -mL -I..\include disprein.c
ztc -br -c -cpp -b -r -oobj\expbmu -mL -I..\include expbmu.c
ztc -br -c -cpp -b -r -oobj\expstd -mL -I..\include expstd.c
ztc -br -c -cpp -b -r -oobj\frw -mL -I..\include frw.c
ztc -br -c -cpp -b -r -oobj\grwin -mL -I..\include grwin.c
ztc -br -c -cpp -b -r -oobj\jains -mL -I..\include jains.c
ztc -br -c -cpp -b -r -oobj\jarray -mL -I..\include jarray.c
ztc -br -c -cpp -b -r -oobj\kbidle -mL -I..\include kbidle.c
ztc -br -c -cpp -b -r -oobj\kblist -mL -I..\include kblist.c
ztc -br -c -cpp -b -r -oobj\kbmacro -mL -I..\include kbmacro.c
ztc -br -c -cpp -b -r -oobj\kbread -mL -I..\include kbread.c
ztc -br -c -cpp -b -r -oobj\kbrecord -mL -I..\include kbrecord.c
ztc -br -c -cpp -b -r -oobj\mouseini -mL -I..\include mouseini.c
ztc -br -c -cpp -b -r -oobj\msgwin -mL -I..\include msgwin.c
ztc -br -c -cpp -b -r -oobj\npwin -mL -I..\include npwin.c
ztc -br -c -cpp -b -r -oobj\oakalloc -mL -I..\include oakalloc.c
ztc -br -c -cpp -b -r -oobj\oakerrno -mL -I..\include oakerrno.c
ztc -br -c -cpp -b -r -oobj\oakerror -mL -I..\include oakerror.c
ztc -br -c -cpp -b -r -oobj\oakint -mL -I..\include oakint.c
ztc -br -c -cpp -b -r -oobj\objfuncs -mL -I..\include objfuncs.c
ztc -br -c -cpp -b -r -oobj\objname -mL -I..\include objname.c
ztc -br -c -cpp -b -r -oobj\oboxclip -mL -I..\include oboxclip.c
ztc -br -c -cpp -b -r -oobj\oboxdist -mL -I..\include oboxdist.c
ztc -br -c -cpp -b -r -oobj\ocbox -mL -I..\include ocbox.c
ztc -br -c -cpp -b -r -oobj\ocolmap -mL -I..\include ocolmap.c
ztc -br -c -cpp -b -r -oobj\omemmove -mL -I..\include omemmove.c
ztc -br -c -cpp -b -r -oobj\opbox -mL -I..\include opbox.c
ztc -br -c -cpp -b -r -oobj\opclipso -mL -I..\include opclipso.c
ztc -br -c -cpp -b -r -oobj\opclipst -mL -I..\include opclipst.c
ztc -br -c -cpp -b -r -oobj\oslist -mL -I..\include oslist.c
ztc -br -c -cpp -b -r -oobj\pmapload -mL -I..\include pmapload.c
ztc -br -c -cpp -b -r -oobj\pmapopen -mL -I..\include pmapopen.c
ztc -br -c -cpp -b -r -oobj\pmapx -mL -I..\include pmapx.c
ztc -br -c -cpp -b -r -oobj\pmwin -mL -I..\include pmwin.c
ztc -br -c -cpp -b -r -oobj\pmwinimo -mL -I..\include pmwinimo.c
ztc -br -c -cpp -b -r -oobj\pmwinope -mL -I..\include pmwinope.c
ztc -br -c -cpp -b -r -oobj\ptdchar -mL -I..\include ptdchar.c
ztc -br -c -cpp -b -r -oobj\ptdframe -mL -I..\include ptdframe.c
ztc -br -c -cpp -b -r -oobj\ptdline -mL -I..\include ptdline.c
ztc -br -c -cpp -b -r -oobj\ptdpixch -mL -I..\include ptdpixch.c
ztc -br -c -cpp -b -r -oobj\sarray -mL -I..\include sarray.c
ztc -br -c -cpp -b -r -oobj\sfiltext -mL -I..\include sfiltext.c
ztc -br -c -cpp -b -r -oobj\strmask -mL -I..\include strmask.c
ztc -br -c -cpp -b -r -oobj\strtools -mL -I..\include strtools.c
ztc -br -c -cpp -b -r -oobj\strwrap -mL -I..\include strwrap.c
ztc -br -c -cpp -b -r -oobj\tmadd -mL -I..\include tmadd.c
ztc -br -c -cpp -b -r -oobj\tmelap -mL -I..\include tmelap.c
ztc -br -c -cpp -b -r -oobj\tmnow -mL -I..\include tmnow.c
ztc -br -c -cpp -b -r -oobj\tmvalid -mL -I..\include tmvalid.c
ztc -br -c -cpp -b -r -oobj\userwin -mL -I..\include userwin.c
ztc -br -c -cpp -b -r -oobj\varray -mL -I..\include varray.c
ztc -br -c -cpp -b -r -oobj\vid -mL -I..\include vid.c
ztc -br -c -cpp -b -r -oobj\winclear -mL -I..\include winclear.c
ztc -br -c -cpp -b -r -oobj\winclip -mL -I..\include winclip.c
ztc -br -c -cpp -b -r -oobj\wincurso -mL -I..\include wincurso.c
ztc -br -c -cpp -b -r -oobj\windump -mL -I..\include windump.c
ztc -br -c -cpp -b -r -oobj\winexpos -mL -I..\include winexpos.c
ztc -br -c -cpp -b -r -oobj\wingetp -mL -I..\include wingetp.c
ztc -br -c -cpp -b -r -oobj\wingo -mL -I..\include wingo.c
ztc -br -c -cpp -b -r -oobj\winlist -mL -I..\include winlist.c
ztc -br -c -cpp -b -r -oobj\winload -mL -I..\include winload.c
ztc -br -c -cpp -b -r -oobj\winmev -mL -I..\include winmev.c
ztc -br -c -cpp -b -r -oobj\winmougt -mL -I..\include winmougt.c
ztc -br -c -cpp -b -r -oobj\winmouse -mL -I..\include winmouse.c
ztc -br -c -cpp -b -r -oobj\winmoutk -mL -I..\include winmoutk.c
ztc -br -c -cpp -b -r -oobj\winobj -mL -I..\include winobj.c
ztc -br -c -cpp -b -r -oobj\winobsc -mL -I..\include winobsc.c
ztc -br -c -cpp -b -r -oobj\winopen -mL -I..\include winopen.c
ztc -br -c -cpp -b -r -oobj\winpaint -mL -I..\include winpaint.c
ztc -br -c -cpp -b -r -oobj\winsave -mL -I..\include winsave.c
ztc -br -c -cpp -b -r -oobj\winscrol -mL -I..\include winscrol.c
ztc -br -c -cpp -b -r -oobj\winsetp -mL -I..\include winsetp.c
ztc -br -c -cpp -b -r -oobj\winsize -mL -I..\include winsize.c
ztc -br -c -cpp -b -r -oobj\wintop -mL -I..\include wintop.c
ztc -br -c -cpp -b -r -oobj\wmgrinit -mL -I..\include wmgrinit.c

echo Compiling BD files

ztc -br -c -cpp -b -r -oobj\bd1 -mL -I..\include bd1.c
ztc -br -c -cpp -b -r -oobj\bd123 -mL -I..\include bd123.c
ztc -br -c -cpp -b -r -oobj\bd2 -mL -I..\include bd2.c
ztc -br -c -cpp -b -r -oobj\bdbar -mL -I..\include bdbar.c
ztc -br -c -cpp -b -r -oobj\bdbox -mL -I..\include bdbox.c
ztc -br -c -cpp -b -r -oobj\bdboxlt -mL -I..\include bdboxlt.c
ztc -br -c -cpp -b -r -oobj\bdhead -mL -I..\include bdhead.c
ztc -br -c -cpp -b -r -oobj\bdmouse -mL -I..\include bdmouse.c
ztc -br -c -cpp -b -r -oobj\bdmouse2 -mL -I..\include bdmouse2.c
ztc -br -c -cpp -b -r -oobj\bdnull -mL -I..\include bdnull.c
ztc -br -c -cpp -b -r -oobj\bdplain -mL -I..\include bdplain.c
ztc -br -c -cpp -b -r -oobj\bdprompt -mL -I..\include bdprompt.c
ztc -br -c -cpp -b -r -oobj\bdside -mL -I..\include bdside.c
ztc -br -c -cpp -b -r -oobj\bdstd -mL -I..\include bdstd.c
ztc -br -c -cpp -b -r -oobj\bdtitle -mL -I..\include bdtitle.c
ztc -br -c -cpp -b -r -oobj\bdxref -mL -I..\include bdxref.c

echo Compiling DIG files

ztc -br -c -cpp -b -r -oobj\digbtree -mL -I..\include digbtree.c
ztc -br -c -cpp -b -r -oobj\digcursb -mL -I..\include digcursb.c
ztc -br -c -cpp -b -r -oobj\digcursl -mL -I..\include digcursl.c
ztc -br -c -cpp -b -r -oobj\digflip -mL -I..\include digflip.c
ztc -br -c -cpp -b -r -oobj\digklex -mL -I..\include digklex.c
ztc -br -c -cpp -b -r -oobj\digpmcli -mL -I..\include digpmcli.c
ztc -br -c -cpp -b -r -oobj\digpow2 -mL -I..\include digpow2.c
ztc -br -c -cpp -b -r -oobj\digscmap -mL -I..\include digscmap.c
ztc -br -c -cpp -b -r -oobj\digshsec -mL -I..\include digshsec.c
ztc -br -c -cpp -b -r -oobj\digsqcm -mL -I..\include digsqcm.c
ztc -br -c -cpp -b -r -oobj\pcxload -mL -I..\include pcxload.c
ztc -br -c -cpp -b -r -oobj\pcxsave -mL -I..\include pcxsave.c

echo Compiling PC files

ztc -br -c -cpp -b -r -oobj\pcbdrawc -mL -I..\include pcbdrawc.c
ztc -br -c -cpp -b -r -oobj\pcbios -mL -I..\include pcbios.c
ztc -br -c -cpp -b -r -oobj\pcbscrol -mL -I..\include pcbscrol.c
ztc -br -c -cpp -b -r -oobj\pcbsetcu -mL -I..\include pcbsetcu.c
ztc -br -c -cpp -b -r -oobj\pccga -mL -I..\include pccga.c
ztc -br -c -cpp -b -r -oobj\pcdir -mL -I..\include pcdir.c
ztc -br -c -cpp -b -r -oobj\pcdisp -mL -I..\include pcdisp.c
ztc -br -c -cpp -b -r -oobj\pcevga -mL -I..\include pcevga.c
ztc -br -c -cpp -b -r -oobj\pcgfuncs -mL -I..\include pcgfuncs.c
ztc -br -c -cpp -b -r -oobj\pchard -mL -I..\include pchard.c
ztc -br -c -cpp -b -r -oobj\pcherc -mL -I..\include pcherc.c
ztc -br -c -cpp -b -r -oobj\pcmcga -mL -I..\include pcmcga.c
ztc -br -c -cpp -b -r -oobj\pcmcurr -mL -I..\include pcmcurr.c
ztc -br -c -cpp -b -r -oobj\pcmcurrt -mL -I..\include pcmcurrt.c
ztc -br -c -cpp -b -r -oobj\pcmgraph -mL -I..\include pcmgraph.c
ztc -br -c -cpp -b -r -oobj\pcmode -mL -I..\include pcmode.c
ztc -br -c -cpp -b -r -oobj\pcopen -mL -I..\include pcopen.c
ztc -br -c -cpp -b -r -oobj\pcpmap -mL -I..\include pcpmap.c
ztc -br -c -cpp -b -r -oobj\pcpmapio -mL -I..\include pcpmapio.c
ztc -br -c -cpp -b -r -oobj\pcramcle -mL -I..\include pcramcle.c
ztc -br -c -cpp -b -r -oobj\pcramcpp -mL -I..\include pcramcpp.c
ztc -br -c -cpp -b -r -oobj\pcramdra -mL -I..\include pcramdra.c
ztc -br -c -cpp -b -r -oobj\pcrestor -mL -I..\include pcrestor.c
ztc -br -c -cpp -b -r -oobj\pcsplash -mL -I..\include pcsplash.c
ztc -br -c -cpp -b -r -oobj\pctext -mL -I..\include pctext.c
ztc -br -c -cpp -b -r -oobj\pctextin -mL -I..\include pctextin.c
ztc -br -c -cpp -b -r -oobj\pcvgrab -mL -I..\include pcvgrab.c

echo Compiling PCA files

masm /ML /DZ2=99 /DLMOD=99 /I..\include  pc1bitpl.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pc2bitpl.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pc8bitpl.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pcbunrun.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pcbxlat.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pccbrk.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pcevgapl.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pchcfont.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pchcfunc.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pciscpq.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pcneares.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pcoint86.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pcrammov.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pcramwmo.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pcvfreez.asm, obj\;
masm /ML /DZ2=99 /DLMOD=99 /I..\include  pcvscan.asm, obj\;

echo Done compiling.

echo Creating C-scape library file.
rem  Delete old C-scape lib if it exists to prepare for new one.
del ..\lib\Z2LCSCAP.lib
rem 
zorlib @CSRESP.Z2L
echo Creating OWL library file.
rem  Delete old OWL lib if it exists to prepare for new one.
del ..\lib\Z2LOWL.lib
rem 
zorlib @OWLRESP.Z2L
echo Done.

