/*
	menuvars.c

	% menu_GetVarSize

	C-scape 3.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 8/23/88 jdc	created
	 7/06/89 jdc	fixed VAR_TED

	 3/28/90 jmd	ansi-fied
*/

#include "menu.h"

SIZE_T menu_GetVarSize(menu_type menu, int fld)
/*
*/	
{
	SIZE_T varsize;

	switch((varsize = field_GetVarSize(menu_GetField(menu, fld)))) {

	case VAR_INVALID:
		cs_Assert(FALSE, CS_BOB_NOSLED, 0);
		break;
	case VAR_STRING:
		varsize = menu_GetRecordLen(menu, fld) + 1;
		break;
	case VAR_TED:
		varsize = 0;
		break;
	default:
		break;
	}

	return(varsize);
}


