/*
	sddsexit.c

	% sed_DoSexits

	C-scape 3.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	10/07/88 jdc	Created

	 3/28/90 jmd	ansi-fied
	12/07/90 pmcm	added AUX messages
*/

#include "sed.h"

void sed_DoSexits(sed_type sed)
{
	int 		row, count, fld;
	menu_type 	menu;

	menu = sed_GetMenu(sed);

	if ((count = menu_GetFieldCount(menu)) <= 0) {
		return;
	}

	sed_DoAux(sed, SED_PRESEXIT, NULL, NULL);

	row = 0;
	while (count > 0) {
		while ((fld = menu_GetGRow(menu, row)) <= 0) {
			row++;
		}
		fld--;
		do {
			sed_DoFieldSexit(sed, fld);
			count--;

		} while ((fld = menu_GetFieldRight(menu, fld)) >= 0);
		row++;
	}

	sed_DoAux(sed, SED_POSTSEXIT, NULL, NULL);
}





