/*
	sdsetclr.c

	% sed_SetColors

	C-scape 3.2
	Copyright (c) 1986, 1987, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/24/89 jmd	added sed_ macros

	 3/28/90 jmd	ansi-fied
*/

#include "sed.h"

void sed_SetColors(sed_type sed, byte reg, byte back, byte sel)
/*
	modifies:	the sed.
	effects:    sets the colors of the sed.
*/
{
	cs_Assert(sed_Ok(sed), CS_SD_SC_SED, 0);

	sed_SetRegAttr(sed, reg);
	sed_SetSelAttr(sed, sel);
	win_SetAttr(sed, back);
}


