/*
	bobgtanc.c  5/15/89

	% bob_GetAncestor

	OWL 1.2
	Copyright (c) 1989 by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 8/12/89 jmd	removed call to sed_GetBob

	12/20/89 jmd	converted to bob_GetAncestor, moved to OWL
	 1/04/90 jmd	changed to use bob_GetOwner
	 3/28/90 jmd	ansi-fied
*/

#include "oakhead.h"
#include "disppriv.h"
/* -------------------------------------------------------------------------- */

win_type bob_GetAncestor(bob_type bob)
/*
	Returns the bob's ultimate owner (which could be the bob itself if the bob
	is unowned).
*/
{	
	bob_type next;

	while ((next = bob_GetParent(bob)) != NULL) {
		bob = next;
	}
	return(bob);
}
/* -------------------------------------------------------------------------- */

