/*
	pcbsetcu.c

	% BIOS set cursor routines

	10/19/88  by Ted.
	Extracted from pcdisp.c

	OWL-PC 1.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	 3/28/90 jmd	ansi-fied
*/

#include "pcpriv.h"
/* -------------------------------------------------------------------------- */

void DIGPRIV pc_bsetcursortype(cursortype ctype, unsigned short nlines)
{
	OREGS regs;
	opcoord start, end;

	dig_getcurslines(ctype, nlines, &start, &end);
	regs.h.ch = (byte)start;
	regs.h.cl = (byte)end-1;
	
	regs.h.ah = VIDINT_SETT;
	oakint86(BIOS_VIDINT, &regs);
}
/* -------------------------------------------------------------------------- */

void DIGPRIV pc_bsetcursorpos(int row, int col)
{
	OREGS regs;

	regs.h.dl = ((byte) col);		/* set global cursor col */
	regs.h.dh = ((byte) row);		/* set global cursor row */
	regs.h.ah = VIDINT_SETC;
	regs.h.bh = TEXT_RPAGE;
	oakint86(BIOS_VIDINT, &regs);
}
/* -------------------------------------------------------------------------- */

